2006-04-21  Brian Cameron  <brian.cameron@sun.com>

	* Release 2.14.4: 
	* NEWS: Updated.
	* configure.ac: Update to new release version.
	* po/LINGUAS: Revert to old version.

2006-04-14  Brian Cameron  <brian.cameron@sun.com>

	* Release 2.14.3: 
	* NEWS: Updated.
	* configure.ac: Update to new release version.
	* gui/Makefile.am, po/POTFILES.in: Fix gdmsetup.desktop.in.in stuff.

2006-04-20  Brian Cameron  <brian.cameron@sun.com>

	* configure.ac: Fix to configure.ac to conform to po/LINGUAS
	  standard.  Fixes bug #339153.  Patch by Przemyslaw Grzegorczyk
	  <pgrzegorczyk@gmail.com>.
	  
2006-04-17  Brian Cameron  <brian.cameron@sun.com>

	* gui/gdmsetup.c: Fix for C89 compilers.  Patch by Jens Granseuer
	  <jensgr@gmx.net>.
	
2006-04-17  Brian Cameron  <brian.cameron@sun.com>

	* gui/gdmlogin.c, gui/gdmsetup.glade, gui/greeter/greeter.c:
	  Fixed strings so that they are marked as translatable.
	  Fixes bug #338765.  Patch provided by Vincent Fretin
	  <vincent.fretin@gmail.com>.

2006-04-17  Brian Cameron  <brian.cameron@sun.com>

	* gui/gdmchooser.c:  Fix setting of GdmHosts so it should use
	  the hosts from the config file when when BROADCAST/MULTICAST
	  is set to false.  Partial fix for #338274.  Thanks to Tiago
	  Vignatti <tv02@c3sl.ufpr.br> for noticing this.

2006-04-17  Brian Cameron  <brian.cameron@sun.com>

	* gui/gdmsetup.desktop.in.in: Added.  This makes gdmsetup.desktop
	  get properly translated.  Fixes bug #334647.  Patch by Vincent
	  Fretin <vincent.fretin@gmail.com>
	* gui/gdmsetup.desktop.in: Removed
	* gui/Makefile.am: Updated to reflect change.
	* configure.ac, po/LINGUAS: Updated to reflect latest po/LINGUAS
	  patch.  Fixes bug #33769.  Patch provided by Przemyslaw Grzegorczyk
	  <pgrzegorczyk@gmail.com>.

2006-04-14  Brian Cameron  <brian.cameron@sun.com>

	* Release 2.14.2: 
	* NEWS: Updated.
	* configure.ac: Update to new release version.
	
2006-04-14  Brian Cameron  <brian.cameron@sun.com>

	* daemon/slave.c: Further clean up access to ICEAuthority file.  Fixes
	  bug #338358.  Patch provided by Ray Strode <rstrode@redhat.com>.

2006-04-13  Brian Cameron  <brian.cameron@sun.com>

	* NEWS: Updated NEWS.
	* gui/gdmchooser.c: Fix references to the BROADCAST key so it is
	  correctly listed as a bool, not a string.  Kudos to Tiago Vignatti
	  <tv02@c3sl.ufpr.br>.
	* configure.ac: Fix check for adding /usr/bin to the GDM_USER_PATH so
	  it doesn't add it twice.  This used to work, but got broken on the
	  03-28-2006 patch by Julio M. Merino Vidal to get rid of the EXPANDED
	  variables.  Working again now.

2006-04-11  Brian Cameron  <brian.cameron@sun.com>

	* gui/greeter/Makefile.am:  Now include gdmthemetester.in in
	  EXTRA_DIST instead of gdmthemetester.

2006-04-10  Brian Cameron  <brian.cameron@sun.com>

	* Release 2.14.1: 
	* NEWS: Updated.
	* configure.ac: Update to 2.14.1.

2006-04-10  Brian Cameron  <brian.cameron@sun.com>

	* configure.ac, po/LINGUAS: No use LINGUAS procedure as stated
	  in http://live.gnome.org/GnomeGoals/PoLinguas:  Fixes bug
	  #337858, patch provided by Michiel Sikkes <sikkes@gmail.com>.

2006-04-10  Brian Cameron  <brian.cameron@sun.com>

	* daemon/slave.c:  Better fix for resolving CVE-2006-1057 
	  provided by Hans Petter Jansson <hpj@novell.com>

2006-04-07  Brian Cameron  <brian.cameron@sun.com>

	* configure.ac, config/Xsession.in, daemon/slave.c:  Add Trusted
	  Solaris support to GDM.  Patch provided by Niall Power
	  <Niall.Power@sun.com>.

2006-04-07  Brian Cameron  <brian.cameron@sun.com>

	* daemon/slave.c: Now logic unlinks .ICEauthority file if it
	  looks fishy rather than trying to chown/chmod it.  This
	  is to resolve CVE-2006-1057.

2006-04-07  Brian Cameron  <brian.cameron@sun.com>

	* config/gdm.conf.in, daemon/gdm.h, daemon/gdmconfig.c,s
	  daemon/server.c: Add new GdmXserverTimeout configuration
	  variable so the length of time that GDM waits for the
	  Xserver to start can be tuned.  This makes it easier
	  to get GDM working with some Xservers (Xgl).  Fixes
	  bug #337670.  Patch provided by Emilie (girlblossom@gmail.com).

2006-04-05  Brian Cameron  <brian.cameron@sun.com>

	* .cvsignore, docs/es/.cvsignore, docs/uk/.cvsignore, gui/.cvsignore,
	  m4/.cvsignore, po/.cvsignore:  Update .cvsignore files to include
	  generated files not currently listed.

2006-03-30  Dennis Cranston  <dennis_cranston@yahoo.com>

	* gui/gdmsetup.glade:  HIG fix for spacing between the menu 
	  bar and welcome message categories.

2006-03-29  Brian Cameron  <brian.cameron@sun.com>

	* gui/gdmsetup.glade: Fix "Show Actions Menu" section so it
	  appears when both "plain" and "themed" is chosen.  Fixes
	  bug #335550.

2006-03-28  Brian Cameron  <brian.cameron@sun.com>

	* gui/gdmcomm.h: Fix warning.

2006-03-28  Brian Cameron  <brian.cameron@sun.com>

	* config/Xsession.in: Modify command to be "$@" instead of "$1"
	  so it is possible to pass arguments with the command.

2006-03-28  Julio M. Merino Vidal  <jmmv@NetBSD.org>

	* daemon/xdmcp.c: Removed a C99 local variable definition that
	  breaks the build with gcc 2.95 (e.g. under NetBSD 1.6).  Fixes
	  bug #336368.

2006-03-28  Julio M. Merino Vidal  <jmmv@NetBSD.org>

	* daemon/gdmconfig.c, daemon/server.c: Include sys/resource.h,
	  needed to use setpriority(2) and its associated definitions.
	  Fixes the build under NetBSD, closing bug #336369.

2006-03-28  Julio M. Merino Vidal  <jmmv@NetBSD.org>

	* Makefile.am, README.install, acconfig.h, configure.ac,
	  gdmsetup-security.in, config/Makefile.am, config/Xsession.in,
	  config/gdm.conf.in, daemon/Makefile.am, daemon/gdm.c, daemon/gdm.h,
	  daemon/gdm.in, daemon/gdmconfig.c, daemon/misc.c, daemon/server.c,
	  daemon/slave.c, docs/C/gdm.xml, gui/Makefile.am, gui/gdmphotosetup.c,
	  gui/gdmsetup.c, gui/gdmsetup.desktop.in, gui/greeter/Makefile.am,
	  gui/greeter/gdmthemetester.in, gui/greeter/greeter.c,
	  gui/modules/Makefile.am: Get rid of all EXPANDED_* variables from
	  the build procedure.  Directory-related variables must only be
	  expanded from the Makefiles so that they can be easily overriden
	  during the installation phase.  Fixes bug #336364.

2006-03-28  Brian Cameron  <brian.cameron@sun.com>

	* configure.ac: One line change to reflect comment #7 in bug
	  #335957.

2006-03-27  Brian Cameron  <brian.cameron@sun.com>

	* acconfig.h, configure.ac, config/Makefile.am, config/PostLogin,
	  config/gdm.conf.in, daemon/Makefile.am, daemon/gdm.[ch],
	  daemon/gdmconfig.c, gui/Makefile.am, gui/greeter/Makeifle.am,
	  gui/modules/Makefile.am, gui/modules/dwellmouselistener.c,
	  gui/modules/keymouselistener.c, utils/Makefile.am: Now support
	  --with-sysconfsubdir so that GDM can be configured to have
	  the config files in a directory that isn't hardcoded to have "/gdm"
	  at the end.  Fixes bug #335957.  Patch provided by Julio M
	  Merino Vidal <jmmv@NetBSD.org> with minor changes by me to fix
	  some usage of EXPANDED_GDMCONFDIR that caused breakage on Solaris.

	* gui/gdmXnestchooser, gui/gdmchooser.c, gui/gdmcomm.[ch],
	  gui/gdmdynamic.c, gui/gdmflexiserver.c, gui/gdmlogin.c,
	  gui/gdmphotosetup.c, gui/greeter/greeter.c:  Now use
	  gdmcomm_comm_bulk_start and gdmcomm_comm_bulk_stop to wrap areas of
	  the code where we want to keep the sockets connection open for
	  performance.  This makes gdmsetup start faster and better ensures
 	  that sockets are not left open.  Now gdmcomm_call_gdm will always
	  close the socket unless inside such a block, ensuring that if distros
	  add patches to read new config values at random points in the code,
	  the socket won't be left open.

	* daemon/gdm.c: Fix gdm_debug message.

2006-03-22  Tommi Vainikainen  <thv@iki.fi>

	* configure.ac (ALL_LINGUAS): Added Dzongkha (dz).

2006-03-20  Brian Cameron  <brian.cameron@sun.com>

	* gui/greeter/themes/happygnome/gnome-logo.svg,
	  gui/greeter/themes/happygnome/happygnome.xml
	  gui/greeter/themes/happygnome-list/gnome-logo.svg,
	  gui/greeter/themes/happygnome-list/happygnome.xml:
	  Added new SVG official logos and now theme uses
	  the new logo.
	* gui/greeter/themes/happygnome/gnome-logo.png,
	  gui/greeter/themes/happygnome-list/gnome-logo.png:
	  Removed old logo.
	* gui/greeter/themes/happygnome/Makefile.am
	  gui/greeter/themes/happygnome-list/Makefile.am:
	  Updated to have new logo file.  This fixes bug
	  #335121.

2006-03-20  Brian Cameron  <brian.cameron@sun.com>

	* docs/C/gdm.xml: Updated version to 2.14 in docs.
	* vicious-extensions/Makefile.am: Patch to fix Makefile.am so
	  it builds test-ve-config even if the dependant glib, etc.
	  libraries are built statically on the system.  Fixes bug
	  #334934.  Patch provided by Dmitry V. Levin <ldv@altlinux.org>

2006-03-19  Brian Cameron  <brian.cameron@sun.com>

	* gui/greeter/greeter_events.c: Fix error that causes a
	  core dump when you click on fields that have an id.
	  This should fix bug #332679.

2006-03-15  Brian Cameron  <brian.cameron@sun.com>

	* gui/gdmlogin.c: Mark string "Welcome" as to be translated.  This
	  doesn't break the string freeze but with this change translators
	  can hopefully get this translated.
	* gui/gdmsetup.desktop.in: Fix TryExec to use EXPANDED_SBINDIR, so that
	  the program will run even if sbin isn't in the user's PATH.
	  
2006-03-13  Brian Cameron  <brian.cameron@sun.com>

	* daemon/verify-pam.c: One-line fix to Solaris auditing logic to
	  correct a problem that causes GDM to always fail to authenticate
	  when auditing is turned on.
	* vicious-extensions/Makefile.am: Fix reference to libvicious.a
	  so it is consistant with the other places it is referenced.

2006-03-13  Brian Cameron  <brian.cameron@sun.com>

	* gui/gdmcomm.h: Correct definition of gdmcomm_set_allow_sleep
	  to avoid compile warning.

2006-03-13  Brian Cameron  <brian.cameron@sun.com>

	* Release 2.14.0: 
	* NEWS: Updated.
	* configure.ac: Update to 2.14.0.

2006-03-13  Brian Cameron  <brian.cameron@sun.com>

	* daemon/gdm.[ch], daemon/gdmconfig.[ch], gui/gdmcommon.[ch],
	  gui/gdmsetup.c: Add new GET_CUSTOM_CONFIG_FILE gdmflexiserver
	  command so gdmsetup can edit the actual custom config file
	  being used by the daemon.

2006-03-05  Brian Cameron  <brian.cameron@sun.com>

	* gui/greeter/greeter_canvas_item: Now open Options menu below
	  the button if possible, and above if there is no room below.
	  Previously it always showed above, which would break if the
	  button was placed on the top of the screen.
	* daemon/slave.c: Fix sound-on-login-success and failure to only
	  play if they are turned on.  Previously they were playing if
	  they were defined to have soundfiles, but not turned on.
	  Fixes bug #333435.

2006-03-03  Brian Cameron  <brian.cameron@sun.com>

	* Release 2.13.0.10: 
	* NEWS: Updated.
	* configure.ac, acconfig.h: Update to 2.13.0.9.  Added code to support
	  the change in gdmconfig.c below.
	* gui/gdmconfig.c: Fix so that if gdm.conf file exists on the system
	  this is used instead of custom.conf.  This makes GDM more backwards
	  compatible and won't break user configuration if the user has an old
	  config file.  

2006-02-28  Brian Cameron  <brian.cameron@sun.com>

	* Release 2.13.0.9: 
	* NEWS: Updated.
	* configure.ac: Update to 2.13.0.9.
	* docs/Makefile.am: Remove "uk" since there is no such
	  subdir yet.

2006-02-27  Brian Cameron  <brian.cameron@sun.com>

	* gui/greeter/greeter_events.c: Small patch that I think
	  will fix core dumping problem reported in bug #332426.

2006-02-24  Brian Cameron  <brian.cameron@sun.com>

	* gui/gdmconfig.c: Fix error message that is printed when
	  ServAuthDir isn't owned by root:gid so it says "root:gid"
	  instead of "gdm:gdm", which is wrong.  Cleaned up the 
	  code a bit.

2006-02-24  Brian Cameron  <brian.cameron@sun.com>

	* gui/gdmconfig.c, gui/gdmsetup.c: Clean up memory handling.
	
2006-02-21  Brian Cameron  <brian.cameron@sun.com>

	* gui/greeter/greeter_parser.c:  Add new "gtk-theme" property
          to <greeter> tag theme xml format, so the theme can specify a
	  GtkTheme to be used for gdmgreeter.  This allows theming of
	  the "Options" menu and the entry field, and any other GTK+
	  widgets used by gdmgreeter.  This also makes it possible to
	  create a11y themes (HighContrast, LowContrast, etc.) themes
	  for gdmgreeter.

2006-02-16  Brian Cameron  <brian.cameron@sun.com>

	* gui/greeter/greeter.c, gui/greeter/greeter_item_ulist.c: Fix
	  face browser so it works better.  Sometimes we get PROMPT calls
	  for displaying username so we want to enable the face browser
	  in this case.  We only want to disable it when the cancel 
	  button is pressed (until the next time the daemon prompts us
	  for username/password entry).  Also fix "theme broken" message
	  so it doesn't display the message when the pam-message label is
	  in the theme.

2006-02-16  Brian Cameron  <brian.cameron@sun.com>

	* daemon/gdmconfig.c, daemon/gdm-net.c, gui/gdmsetup.c:
	  Fix some GCC C-99 compile issues.  Fixes bug #331450.
	  Patch provided by Jens Granseur <jensgr@gmx.net>.

2006-02-15  Brian Cameron  <brian.cameron@sun.com>

	* gui/gdmconfig.c: Fixes to make config work better.

2006-02-15  Brian Cameron  <brian.cameron@sun.com>

	* gui/gdmconfig.c: Use g_hash_table_replace instead of freeing
	  the string value in the hash.  This corrects a core dumping
	  problem with gdmsetup.
	* gui/gdmsetup.c: Fix issue with gdmsetup freeing theme_dir
	  when it shouldn't.  Patch provided by Matthias Clasen.
	  <Matthias.Clasen@poet.de>.
	* config/Xsession.in: Back out launching of dbus-launch after
	  discussion that is really most appropriate for this to be
	  launched by init.d scripting.

2006-02-15  Brian Cameron  <brian.cameron@sun.com>

	* Makefile.am, gui/Makefile.am, gui/greeter/Makefile.am, 
	  utils/gdm-dmx-reconnect-proxy.c: Reorganize libraries so that
	  it is easier to build GDM against a test Xserver.  Fixes bug
	  #331226.  Patch provided by Sylvain Bertrand
	  <sylvain.bertrand@gmail.com>.
	* daemon/slave.c: Remove some cruft accidently added.

2006-02-15  Brian Cameron  <brian.cameron@sun.com>

	* config/Xsession.in: Now start dbus-launch in GDM's Xsession
	  script if dbus-launch is available on the system.  Fixes
	  bug #331104.  Patch provided by delgarde@ihug.co.nz.

2006-02-13  Brian Cameron  <brian.cameron@sun.com>

	* Makefile.am: Distribute the README file.

2006-02-13  Brian Cameron  <brian.cameron@sun.com>

	* Release 2.13.0.8: 
	* NEWS: Updated.
	* configure.ac: Update to 2.13.0.8 and use EXPANDED_DATADIR instead
	  of %{datadir} since that makes it work much better.
	* README.install, README, docs/C/gdm.xml:  Update docs so that the
	  change from --with-configdir to --with-defaults-conf and renaming of
	  default and custom config file is documented.
	* daemon/gdm-net.c, daemon/gdmconfig.c, gui/gdmsetup.c: Update comments
	  to no longer mention old name of config file.  Fix gdmsetup to know
	  new location of custom config file.
	* config/Makefile.am: Now if upgrading and gdm.conf and
	  factory-gdm.conf are different, move the gdm.conf file to
	  custom.conf instead of copy.  This is  because we don't want GDM
	  to overwrite the custom.conf file every time user upgrades.  Only
	  first time, then gdm.conf should go away.

2006-02-13  Brian Cameron  <brian.cameron@sun.com>

	* acconfig.h, configure.ac, daemon/Makefile.am, daemon/gdmconfig.c,
	  docs/C/gdm.xml: Change --with-configdir to --with-defaults-conf
	  and make it work so that the gdm.conf and gdm.conf-custom file
	  can be installed to different subdirectories.  Fixes bug 
	  #330905.  Patch provided by Ray Strode.

2006-02-13  Brian Cameron  <brian.cameron@sun.com>

	* config/Xsession.in: Fix calls to zenity so they work.  Fixes
	  bug #330892.
	* README, README.install, docs/C/gdm.xml: Last minute updates
	  before string freeze.

2006-02-10  Brian Cameron  <brian.cameron@sun.com>

	* gui/greeter/greeter.c, gui/greeter/greeter_action_language.[ch],
	  gui/greeter/greeter_canvas_item.c, gui/greeter/greeter_events.c,
	  gui/greeter/greeter_session.c, gui/greeter/greeter_system.c:
	  Fix problem with options button and F10 menu not working if the
          button is not in the theme.  This only affects buttons that can
	  be in the F10 button but may not be in the theme (language, 
	  system, session, halt, reboot, shutdown).  Fixes bug #330343.

2006-02-10  Brian Cameron  <brian.cameron@sun.com>

	* README, docs/C/gdm.xml: Few more updates worth adding.

2006-02-10  Brian Cameron  <brian.cameron@sun.com>

	* gui/gdmflexiserver.c: Fix bug that was causing gdmflexiserver
	  to fail.  Because we were calling gtk-init when the --command
	  option was being used, and this breaks gdmflexiserver since it
	  is sometimes run with the --command option when there is no 
	  display.
	* README, README.install: Updated with some new features and moved some
          info to docs/C/gdm.xml where the info is more useful.
	* TODO: Updated.
	* configure.ac: Fixed the mess about /usr/opensolaris/bin
	* gui/greeter/greeter_system.c: Do not put tooltips on menus.  They are
          a bad idea and their use is discouraged by the HIG because they break
          a11y.
	* docs/C/gdm.xml: Updated docs with a bunch of information from the 
	  README and README.install file that really belonged in the docs.

2006-02-09  Brian Cameron  <brian.cameron@sun.com>

	A known issue with gdmdynamic is that when a display connects to
	the server it generates the gdmdynamic "ADD" and "RELEASE" commands.
	On startup, hundreds of displays could send these commands at once
	and cause the server too be flooded with sockets requests.  Hammering
	the socket like this caused me to find and fix a number of problems
	that improve socket reliability for general GDM use.  I also enhanced
	gdmdynamic so it is more sensitive to the socket being busy and no
	longer overloads it, instead sleeping and retrying if necessary.  This
	allows gdmdynamic to work if there are hundreds of displays instead of
	just a dozen or so.

	* daemon/gdm.[ch]: Added new "SERVER_BUSY" sockets command so that
	  gdmdynamic can sleep before starting new slaves if the daemon is
	  already busy.
	* daemon/gdm-net.[ch]: Bump up MAX_CONNECTIONS from 10 to 15.  I notice
	  that this improves performance significantly when hammering the
	  daemon with connections.  Added better comments for this logic and
	  now debug logs when a subconnection is thrown away.  New
	  gdm_connection_is_server_busy function
	* daemon/display.c: Correct DYNAMIC_REMOVE so it works and fixes bug
	  #326796.  Before it wasn't really removing the displays.
	* gui/gdmdynamic.c: Quite a bit of work to make gdmdynamic avoid
	  flooding the server with sockets requests.  Now it sets sockets
	  retries to 1 and manages sleeping and retries itself.  
	* gui/gdmconfig.c: Added gdm_config_set_comm_retries so that slaves can
	  specify how many retries they want the comm logic to use.
	* gui/gdmcomm.c: Now do_command returns NULL when it gets back "",
	  which happens when a subconnection was dropped by the daemon.  This
	  lets the slave try the connection again.   Now error messages are
	  always logged, not just when debug is turned on.  Added
	  gdmcomm_did_connection_fail and gdmcomm_set_allow_sleep so 
	  gdmdynamic can control the behavior of how the connection works.
	* gui/gdmcommon.c, gui/gdmchooser.c, gui/gdmlogin.c,
	  gui/greeter/greeter.c: Fix gdm_common_fail so it doesn't generate
	  compile errors when building with GCC.  Fixes bug #330480.
	* docs/C/gdm.xml: Cleaned up section that explains sockets commands so
	  that they are in alphabetical order, added info about SERVER_BUSY
	  and new gdmdynamic -s and -t options.
	* config/gdm.conf: Better description of how debug works, perhaps
	  I just didn't like the word "spew".

2006-02-07  Brian Cameron  <brian.cameron@sun.com>

	* gui/gdmconfig.c: Return compiled in value if slave fails
	  to get a value back from the daemon.
	* gui/gdmcomm.c:, gui/gdmconfig.c:  Use gdm_common_error
	  instead of gdm_common_info so message really go to log.
	* gui/gdmsession.c: Include needed gdmcommon.h.  Missed this
	  in my previous putback earlier today.

2006-02-07  Brian Cameron  <brian.cameron@sun.com>

	* gdm-restart.in, gdm-safe-restart.in, gdm-stop.in, gdm.spec.in:
	  Now use gdmflexiserver to get the PidFile instead of grepping the
	  config file directly since this is a safer/better way to get
	  configuration date.

2006-02-07  Brian Cameron  <brian.cameron@sun.com>

	This patch resolves some performance issues that I noticed when
	testing GDM with the gdmdynamic command.  I notice that waiting for
	the sockets to timeout made gdmdynamic slower so now all the clients
	load all the configuration data in one quick pass and close the 
	socket.  Since the gdm_config_get functions cache the data, the slaves
	will not go over the socket to get the data again unless asked to
	reread.  Bump the maximum messages over the socket from 20 to 80 
	because gdmlogin pulls about 65 configuration parms over and this 
	allows all data to be accessed in one connection (and gives a little
	room for growth).  Improved the way GDM slaves deal with syslog so all
	slaves use the same interfaces.  Added three missing keys to the daemon
	configuration handling code.

	* daemon/gdmconfig.c: Add three keys that were missing for background
	  program support.
	* gui/gdmcomm.[ch]: Now if there is a failure connecting to the daemon,
	  the slave will sleep 1 second before retry (normally retries 5
	  times).  If all retries fail, it will not try sleeping on subsequent
	  calls to the daemon.  This greatly improves performance when the 
          daemon is flooded with slave requests.  In normal usage, this will 
	  likely not happen, but it is good for GDM to not fail so easily.
	  Added better debug.  Added gdm_comm_close function so that slaves
	  can ask to close the socket when done reading config.  Now uses
	  common syslog functions.
	* daemon/gdm.h: Add better comments, rename GDM_SUP_MAX_CONNECTIONS
	  to GDM_SUP_MAX_MESSAGES which is more accurate, and bump the max
	  number to 80.
	* gui/gdmcommon.h, gui/gdmwm.h, gui/gdmsession.h: Added common syslog
	  functions to gdmcommon.h and moved some functions that were in
	  gdmcommon.h to gdmwm.h and gdmsession.h since the implementations
	  were in those c-files.  Renamed functions to make naming consistant.
	* gui/gdmXnestchooser, gui/gdmchooser.c, gui/gdmcommon.c,
	  gui/gdmconfig.c, gui/gdmdynamic.c, gui/gdmflexiserver.c,
	  gui/gdmlogin.c, gui/gdmphotosetup.c, gui/gdmsession.c, gui/gdmwm.c,
	  gui/greeter/greeter.c, gui/greeter/greeter_item_ulist.c, 
	  gui/greeter/greeter_session.c, gui/greeter/greeter_system.c:  Slaves
	  close sockets connection when done reading config.  Now slaves use
	  common syslog functions.  Naming changes to reflect renaming of
	  functions in gdmcommon.h/gdmwm.h/gdmsession.h.  Better debug.
	* daemon/auth.c, daemon/cookie.c, daemon/display.c, daemon/gdm.c,
	  daemon/gdm-net.c, daemon/misc.c, daemon/slave.c, daemon/xdmcp.c,
	  gui/gdmlanguages.c, gui/greeter/greeter_canvas_item.c,
	  gui/gdmsetup.c, vicious-extensions/ve-config.c: Make spacing around
	  "++" more consistant.  Add better debug in some functions

2006-02-03  Brian Cameron  <brian.cameron@sun.com>

	* daemon/gdmconfig.c: Fix glib.h include so it compiles under LFS.
	  Fixes bug #329801.

2006-02-02  Brian Cameron  <brian.cameron@sun.com>

	* docs/C/gdm.xml: Add comment to docs that +xkb is needed as an
	  Xserver argument for the keyboard gestures to work.

2006-01-30  Brian Cameron  <brian.cameron@sun.com>

	* docs/C/gdm.xml: Change section name for "Security" to 
	  "security" so the generated html file has a more consistant
	  name with the other html files.

2006-01-30  Brian Cameron  <brian.cameron@sun.com>

	* Release 2.13.0.7: 
	* NEWS, configure.ac: Updated
	* docs/C/gdm.xml: Updated version/date.
	* config/gdmprefetchlist.in:  Change libgstreamer-0.8 to 
	  libgstreamer-0.10 in the prefetch list.
	* docs/Makefile.am:  Adding es back to SUBDIRS.
	* docs/es/Makefile.am:  Adding file.

2006-01-30  Brian Cameron  <brian.cameron@sun.com>

	* config/PreSession.in:  Fix so it no longer tries to access
	  the config file via grep/sed.  Now it calls
	  'gdmflexiserver --command="GET_CONFIG"', which is a much 
	  cleaner way to get the info in needs to set the background	
	  color.

2006-01-30  Brian Cameron  <brian.cameron@sun.com>

	* gui/greeter/themes/happygnome/options.png,
	  gui/greeter/themes/happygnome-list/options.png:
	  Adding back the previous sessions.png as
	  options.png since it is the best icon for the
	  new menu.

2006-01-30  Brian Cameron  <brian.cameron@sun.com>

	* gui/greeter/themes/happygnome/disconnect.png, 
	  gui/greeter/themes/happygnome/options.png,
	  gui/greeter/themes/happygnome/sessions.png,
	  gui/greeter/themes/happygnome/system.png,
	  gui/greeter/themes/happygnome/happygnome.xml,
	  gui/greeter/themes/happygnome-list/disconnect.png, 
	  gui/greeter/themes/happygnome-list/options.png,
	  gui/greeter/themes/happygnome-list/sessions.png,
	  gui/greeter/themes/happygnome-list/system.png,
	  gui/greeter/themes/happygnome-list/happygnome.xml,
	  gui/greeter/themes/circles/Makefile.am,
	  gui/greeter/themes/circles/circles.xml,
	  gui/greeter/greeter_canvas_item.c, 
	  gui/greeter/greeter_parser.c, gui/gdmlogin.c,
	  docs/C/gdm.xml:  Added new "options_button" which pops up
	  the F10 menu.  Modified themes to now use the new options
	  button for a cleaner one-button look.  Patch provied by
	  Sebastien Bacher <seb128@debian.org>.  Modifications to
	  existing themes made by myself.  Also modified string
	  "Remote login via XDMCP" to "Remote Login via XDMCP".

2006-01-27  Brian Cameron  <brian.cameron@sun.com>

	* configure.in: Make sure /usr/openwin/bin is in the PATH on 
	  Solaris so that GDM's PreSession/PostSession scripts can find
	  sessreg and other needed X programs.  Also this makes sure
	  that users have xterm and other such programs in their PATH.
	  Before we were only adding it if the Xserver was Xsun, but
	  it is also needed if using the Xorg Xserver on Solaris.

2006-01-27  Brian Cameron  <brian.cameron@sun.com>

	* daemon/gdm.h, daemon/gdmconfig.c, gui/gdmcommon.c:  Add better
	  logic for grabbing the time for the user's locale if 
	  Use24HourClock is set to auto.  No longer depend on translaters
	  providing a hacky translation of "24-hour" to determine this.
	  Instead just rely on localtime.  Fixes bug #328904.  Patch
	  provided by Christopher Aillon <caillon@gmail.com>.
	* config/gdm.conf.in: Add better comments for certain keys and
	  group them so that similar keys are closer together.
	* gui/gdmsetup.c, gui/greeter/greeter.c: rename
	  GDM_KEY_GRAPHICAL_THEME_COLOR to GDM_KEY_GRAPHICAL_THEMED_COLOR to
	  match the key.

2006-01-27  Brian Cameron  <brian.cameron@sun.com>

	* docs/C/gdm.xml, gui/gdmlogin.c, gui/greeter/greeter_parser.c,
	  gui/greeter/greeter_system.c: Change "XDMCP Chooser" to 
	  "Remote login via XDMCP".  Fixing bug #328857.

2006-01-24  Brian Cameron  <brian.cameron@sun.com>

	* config/gdmprefetchlist.in:  Updated with version provided by
	  Padraig O'Briain.  Remove libnautilus-private as it no longer
	  exists in GNOME 2.13.

2006-01-23  Brian Cameron  <brian.cameron@sun.com>

	* docs/C/gdm.xml: Add Troubleshooting section.

2006-01-20  Brian Cameron  <brian.cameron@sun.com>

	* daemon/fstype.c: Really fix bug #326819.
	* docs/C/gdm.xml:  Better scrollkeeper/yelp description for GDM.  Fixes
	  bug #327796.  Patch by Alessandro Ferrucci <a24@umbc.edu>.

2006-01-19  Brian Cameron  <brian.cameron@sun.com>

	* Release 2.13.0.6: 
	* NEWS, configure.ac: Updated
	* docs/C/gdm.xml: Updated version/date.

2006-01-18  Brian Cameron  <brian.cameron@sun.com>

	* MAINTAINERS: Updated.

2006-01-18  Brian Cameron  <brian.cameron@sun.com>

	* daemon/auth.c, daemon/choose.c, daemon/cookie.c, daemon/display.c,
	  daemon/errorgui.c, daemon/filecheck.c, daemon/fstype.c, daemon/gdm.c,
	  daemon/gdmconfig.c, daemon/server.c, daemon/slave.c,
	  daemon/verify-crypt.c, daemon/verify-pam.c, daemon/verify-shadow.c,
	  daemon/xdmcp.c, gui/gdmchooser.c, gui/gdmlogin.c, gui/gdmsession.c,
	  gui/gdmsetup.c, gui/misc.c, gui/modules/dwellmouselistener.c,
	  gui/modules/keymouselistener.c, utils/gdm-dmx-reconnect-proxy.c,
	  vicious-extensions/glade-helper.c,
	  vicious-extensions/test-ve-config.c, vicious-extensions/ve-config.c,
	  vicious-extensions/ve-gnome.c, vicious-extensions/ve-misc.c,
	  vicious-extensions/ve-miscui.c, vicious-extensions/ve-nongnome.c,
	  vicious-extensions/ve-signal.c:  Add needed glib/gstdio.h include
	  to daemon/fstype.c which fixes a wierd core dumping problem on
	  Ubuntu.  Fixes bug #326819.  Patch provided by Sebastien Bacher
	  <seb128@debian.org>.  Also fixed all the source so that the includes
	  are more consistant with config.h in quotes instead of in "<>" and
	  glib/gtk includes are always listed after system includes.

2006-01-18  Brian Cameron  <brian.cameron@sun.com>

	* daemon/gdm.c, daemon/slave.c, gui/greeter/greeter.c,
	  gui/greeter/greeter_system.c: Use "reboot" instead of "restart".  Fixes
	  bug #327583.

2006-01-17  Brian Cameron  <brian.cameron@sun.com>

	* docs/C/gdm.xml: Added docs for "secure remote" feature.  Patch
	  provided by Dominique Hazael-Massieux.

2006-01-15  Brian Cameron  <brian.cameron@sun.com>

	* Release 2.13.0.5: 
	* NEWS, configure.ac: Updated
	* docs/C/gdm.xml: Updated version/date.
	* utils/Makefile.am: Fix Makefile so "make clean" doesn't delete
	  gdm-ssh-session.

2006-01-15  Brian Cameron  <brian.cameron@sun.com>

	* gui/gdmsetup.c: Fix the logo and background file choosers so that
	  they no longer generate assert warnings.  This problem seemed to be
	  related to the fact that gdmsetup was sometimes setting the logo or
	  background to NULL without the user actually changing the values.
	  Now the "selection-changed" handler is smart enough to never reset
	  these value to NULL.  Also cleaned up some memory management (e.g. we
	  were not freeing values returned from gtk_file_chooser_get_filename,
	  etc.)
	* gui/gdmconfig.c: Use the newkey instead of key when calling
	  GET_CONFIG.

2006-01-14  Chao-Hsiung Liao  <j_h_liau@yahoo.com.tw>

	* configure.in: Add "zh_HK" to ALL_LINGUAS.

2006-01-13  Brian Cameron  <brian.cameron@sun.com>

	* daemon/slave.c: Patch provided by Dan Walsh <dwalsh@redhat.com> to
	  fix SELinux logic so that GDM doesn't setexeccon if
	  is_selinux_enabled returns -1.  In this case, the issue is logged to
	  syslog.

2006-01-13  Brian Cameron  <brian.cameron@sun.com>

	Enhancement patch provided by Dominique Hazael-Massieux 
	<dominique.hazael-massieux@centraliens.net> with some help from me
	getting the configure/Makefile stuff working.

	* configure.ac, config/Makefile.am, docs/C/gdm.xml, utils/Makefile.am:
	  Add support for --enable-secureremote
	* config/ssh.desktop.in, utils/gdm-ssh-session: Added desktop file
	  and gdm-ssh-session script to support secure remote login.

2006-01-11  Brian Cameron  <brian.cameron@sun.com>

	* daemon/verify-crypt.c, daemon/verify-pam.c, daemon/verify-shadow.c,
	  docs/C/gdm.xml, gui/greeter/greeter_parser.c:  Change the
	  "Please make sure the Caps Lock key is not enabled." message to
	  the more informational "Caps Lock is on.".  Some users may want to
	  use Caps Lock when logging in.

2006-01-11  Brian Cameron  <brian.cameron@sun.com>

	* gui/gdmlogin.c, gui/greeter/greeter_system.c, docs/C/gdm.xml: Use
	  "Shut Down" instead of "Shut down" or "shut down".

2006-01-11  Brian Cameron  <brian.cameron@sun.com>

	* daemon/slave.c, docs/C/gdm.xml, gui/greeter/greeter_parser.c:: Rename
	  "shutdown" to "shut down" or "halt" and rename "capslock" to 
	  "Caps Lock" since these are the recommended wordings suggested by
	  Calum Benson.  Also corrected a few errors in the stock labels.

2006-01-11  Brian Cameron  <brian.cameron@sun.com>

	* daemon/errorgui.c:  Now use GDK_DISPLAY_XDISPLAY instead of
	  GDK_DISPLAY since the GDK_DISPLAY macro causes the GDM daemon to
	  require the gdk_display extern global variable from the libgdk-x11
	  library and always causes this library to get loaded into memory even
	  though normally the GDM daemon does not make calls to GDK.  Using
	  GDK_DISPLAY_XDISPLAY makes lazy loading work better.  Thanks to 
	  Padraig O'Briain for noticing this issue.

2006-01-09  Dennis Cranston  <dennis_cranston@yahoo.com>

	* gui/gdmsetup.c: (theme_list_equal_func): New function.
	(setup_local_themed_settings), (setup_remote_themed_settings):
	Group the preview and markup into one column.  Sort list
	and setup a GTK+ TreeView search function.
	* gui/gdmsetup.glade:  Fix a few broken mnemonics.  Enable 
	GTK+ TreeView searches. 

2006-01-09  Brian Cameron  <brian.cameron@sun.com>

	* config/locale.alias:  Correct spelling of "Esperanto".
	  Fixes bug #326350.  Patch provided by Saleem Abdulrasool
	  <compnerd@gentoo.org>.

2006-01-04  Brian Cameron  <brian.cameron@sun.com>

	* docs/C/gdm.xml: Added "Performance" section to discuss 
	  the --with-prefetch option.

2006-01-04  Brian Cameron  <brian.cameron@sun.com>

	* config/Makefile.am:  Make the Makefile.am file a bit smarter.

2006-01-04  Brian Cameron  <brian.cameron@sun.com>

	* daemon/slave.c: Make error message more clear when session file
	  is invalid.  Now it says what session file had the problem.
	  This fixes bug #322699.
	* gui/gdmconfig.c: Now the gdm_config_get_xserver_details
	  function is more robust, and handles NULL return values 
	  better and supports PRIORITY.
	* gui/gdmsetup.c: Now that gdmconfig reads in the priority value,
	  gdmsetup will write it back out if that server is modified.
	  However, gdmsetup still doesn't allow you to modify the
	  priority value.  Probably should add a spinbutton to the
	  dialog.

2006-01-04  Brian Cameron  <brian.cameron@sun.com>

	* configure.ac, gui/gdmsetup.c, vicious-extensions/Makefile.am: No
	  longer require libgnome or libgnomeui at all in GDM2.  Patch
	  provided by Jani Monoses <jani.monoses@gmail.com>.

2006-01-04  Brian Cameron  <brian.cameron@sun.com>

	* configure.ac, docs/C/gdm.xml, config/gdm.conf.in: Fix 
	  Prefetch command so that there is a needed "@" before the
	  argument to gdmprefetch.  Padraid O'Briain pointed out this
	  oversight.  Made docs a bit more clear to highlight the usage
	  of this "@" character.
	* gui/greeter.c, gui/greeter/greeter_item.c,
	  gui/greeter/greeter_system.c: Now call gdm_working_command_exists
	  for halt/reboot/suspend/configurator once at startup and cache 
	  the values in globals so we don't have to keep calling this 
	  function over and over while gdmgreeter runs.  Padraig noticed
	  that this function causes a large number of calls to stat which
	  are easily avoided by caching.

2006-01-03  Brian Cameron  <brian.cameron@sun.com>

	* gui/gdmsetup.c:  Fix problem where gdmsetup does not remember
	  that Automatic Login checkbox has been changed.  Fixes bug
	  #325910.

2006-01-03  Brian Cameron  <brian.cameron@sun.com>

	The PreFetch part of this patch was provided by Padraig O'Briain
	with some modifications by myself to better integrate into the
	configure/Makefile build.   The rest of this work was done by
	myself.

	* gui/gdmcommon.c: Fix problem with client not properly counting
	  the number of connections, and make logic more robust so when
	  it receives an "ERROR 200 Too many messages" it will close and
	  reopen the connection and try again rather than just fail.
	  This fixes bug #325756.
	* configure.ac, configure/Makefile.am: Add loginpreloadlist
	* utils/prefetch.c: Now handle comments that start with "#" in
	  the preloadlist file.
	* daemon/gdm.h, daemon/gdmconfig.c, config/gdm.conf, gui/gdmlogin.c,
	  gui/gdmcommon.[ch], gui/greeter/greeter.c: Now PostDisplayProgram is
	  PreFetchProgram.  Fixed some comments in gdm.h.
	* daemon/gdm.c: Now KEY_PRE_FETCH_PROGRAM is only returned to the
	  first slave that asks for the value, ensuring the prefetch only
	  happens the first time a greeter is displayed.
	* docs/C/gdm.xml: Rewrote the Introduction section so it is more
	  clear, made improvements to the Accessibility section, and fixed
	  a number of formatting issues.  Now a separate Security section.
	  Updated docs to reflect PreFetchProgram change.
	* gui/gdmflexiserver.c: Clean up the code a little.

2006-01-02  Brian Cameron  <brian.cameron@sun.com>

	* configure.ac:  Update glib required to 2.8 since we now use g_access. 

2006-01-02  Brian Cameron  <brian.cameron@sun.com>

	* Release 2.13.0.4: 
	* NEWS, configure.ac: Updated
	* config/Makefile.am: Corrected make distcheck issue.
	* docs/C/gdm.xml: Updated version/date.

2005-12-24  Brian Cameron  <brian.cameron@sun.com>

	* gui/greeter/greeter.c: Now set greeter_probably_login_prompt to
	  FALSE if we get a Password request as a GDM_NOECHO message.  This
	  makes GDM smarter about when it is at the Username prompt and
	  fixes bug #320738, which was causing GDM to just login as the
	  timed user when the password was requested - which it should not
	  do.  It should only log in immediately as the timed user if ENTER
	  is hit from the login screen without actually typing in a username.
	* gui/gdmlogin.c: Removed some syslog debug messages I accidently
	  left there.
	* docs/C/gdm.xml: Now mention that if the user hits just ENTER
	  when TimedLoginEnable is on, that GDM will just login immediately
	  as the timed user.  This is how GDM has always behaved, just was
	  not documented.
	* gui/greeter/greeter_session.c, gui/greeter/greeter_system.c:
	  Removed syslog.h include since it isn't used in these files.
	* daemon/server.c: Fixed comments.
	* daemon/slave.c: Fixed comments.

2005-12-24  Brian Cameron  <brian.cameron@sun.com>

	Happy holidays.  Some bug fixes.

	* daemon/gdm.h, daemon/gdmconfig.c, daemon/slave.c,
	  gui/gdmlogin.c, gui/greeter/greeter_item_timed.c:
	  Fix so that timed/automatic enable is checked and 
	  automatic/timed login is only turned on if they are
	  enabled.  Fix so greeters restart if timed login is
	  changed in gdmsetup.  Fixes bug #324337.
	* gui/gdmcommon.c, gui/gdmlogin.c, gui/greeter/greeter.c,
	  gui/greeter/greeter_item.c, gui/greeter/greeter_parser.c:
	  Now gdmlogin and gdmcommon use the same character sequences
	  with Welcome/RemoteWelcome messages.  Fixes bug #322711.
	* docs/C/gdm.xml: Document how character sequences work with text
	  labels and Welcome/RemoteWelcome messages.
	* gui/gdmcommon.[ch], gui/gdmchooser.c,
	  gui/greeter/greeter_canvas_item.c, gui/greeter/greeter_geometry.c:
	  Rename functions so all common functions have prefix gdm_common.

2005-12-22  Brian Cameron  <brian.cameron@sun.com>

	* daemon/auth.c, daemon/display.c, daemon/errorgui.c,
	  daemon/filecheck.c, daemon/fstype.c, daemon/gdm-net.c,
	  daemon/gdm.[ch], daemon/gdmconfig.c, daemon/misc.c,
	  daemon/server.c, daemon/slave.c, daemon/verify-pam.c,
	  daemon/xdmcp.c, gui/gdmXnestchooser.c, gui/gdmchooser.c,
	  gui/gdmcommon.c, gui/gdmlogin.c, gui/gdmphotosetup.c,
	  gui/gdmsetup.c, gui/gdmuser.c, utils/gdmprefetch.c,
	  vicious-extensions/ve-config.c, vicious-extensions/ve-gnome.c,
	  vicious-extensions/ve-misc.[ch], vicious-extensions/ve-nongnome.c:
	  Now use g_ stdio function like g_chmod instead of chmod.
	  Fixes bug #310299.

2005-12-21  Brian Cameron  <brian.cameron@sun.com>

	* daemon/gdm.[ch], daemon/gdmconfig.c, daemon/server.c:  Add new
	  priority configuration option for setting xserver priority.
	  Patch provided by Philip Prindeville (philipp@redfish-solutions.com).
	  Fixes bug #323346.
	* config/gdm.conf.in, docs/C/gdm.xml: Updated docs with information
	  about the new priority [server-foo] configuration option.
	* configure.ac, gdm.spec.in: Fix gtk dependency so 2.6.0
	  is listed as the requirement.
	* gui/Makefile.am: Add X_LIBS when building GUI programs.
	* gui/misc.c: Add needed stdio.h include.

2005-12-21  Brian Cameron  <brian.cameron@sun.com>

	Patch by Padraig O'Briain <Padraig.OBriain@sun.com>, modified by myself
	so it also works with gdmlogin and not just gdmgreeter.  Also I
	integrated his gdmprefetch.c utility into the configure/Makefile system
	with the --with-prefetch option.

	* configure.ac:  Now support --with-prefetch
	* daemon/gdm.h, daemon/gdmconfig.c, config/gdm.conf.in:  Support
	  new PostDisplayProgram key.
	* gui/gdmcommon.[ch], gui/gdmlogin.c, gui/greeter/greeter.c:  Now
	  support new PostDisplayProgram key.
	* docs/C/gdm.xml: Add docs for new key.
	* utils/Makefile.am, utils/gdmprefetch.c: Add new
	  gdmprefetch utility.
	* config/Makefile.am: Now install gdm.conf file with 444
	  permissions and always write over the installed gdm.conf 
	  after first moving aside the user's gdm.conf file if
	  necessary.

2005-12-21  Brian Cameron  <brian.cameron@sun.com>

	After two months, the redesign of GDM's internal configuration is
	finally reaching a close.  Now GDM users are instructed to not modify
	the gdm.conf file directly and instead put any cutomizations in a
	separate file called gdm.conf-custom (read the comments in both files).
	gdmsetup now modifies the gdm.conf-custom file.  The GDM daemon will
	now use values in gdm.conf-custom first and the default values in
	gdm.conf if no value is defined in gdm.conf-custom.  Benefits:

	1) Now GDM truly supports system-wide and machine-specific config.
	   System wide configuration is when the sysadmin wants to share the
	   main gdm.conf file across multiple systems on a shared file system
	   (possible by building GDM with the --with-configdir option or by
	   running GDM with the --config option).  Specific systems can
	   override defaults by modifying the gdm.conf-custom file.
	2) Distros can stomp the main gdm.conf file on upgrade knowing that any
	   user changes are stored in a separate file.  For best backwards
	   compatibility, distros will need to move the gdm.conf file to
	   gdm.conf-custom if the gdm.conf file exists on the system but the
	   gdm.conf-custom file does not.
	3) Making this work required a lot of cleanup in the way GDM manages
	   its configuration files.  For example, now config options are
	   managed via access functions, and do not depend on non-static
	   globals being shared across files.  The GET_CONFIG and UPDATE_CONFIG
	   commands work better and do not require special tweaking when adding
	   new config options.  Vicious-extensions is now only included in a
	   few files that need to know how to access the config files directly.

	This makes GDM support a popular feature in CDE which works similarly.
	(config files in /etc/dt/config take precidence over the ones in
	/usr/dt/config).

	* daemon/gdmconfig.[ch]: Now supports reading configuration values
	  (including "servers" and "server-foo" sections from gdm.conf-custom
	  and then from gdm.conf if not found in the custom file.  Now store
	  translated strings in a separate hash since this improves
	  performance.  Fix GET_SERVER_DETAILS so it works better and
	  update config can now update server-foo sections via the
	  "xservers/PARMAETERS" key.
	* gui/gdmsetup.c: Now only writes to the gdm.conf-custom file and is
	  smart enough to just delete the key if the value will be the same as
	  in the gdm.conf file.  Fixed some core dumping issues caused by my
	  change to make gdmsetup use the new gdmconfig functions for getting
	  configuration data from the server.  This work cleaned up the code
	  quite a bit.  Removed the "--config" option from gdmsetup since this
	  change makes it edit the configuration of the running GDM daemon
	  instead of a program that edits a particular configuration file.
	* daemon/gdm.h, doc/C/gdm.xml: Updated docs with info about how
	  configuration works nwo.  Now sockets protocol info is the same
	  in both documents.
	* daemon/gdm.c: Fix GET_SERVER_DETAILS to support "ID" and some
	  cleanup.
	* gui/Makefile.am, daemon/Makefile.am: Support --with-configdir option
	  which got broken.
	* config/gdm.conf.in: Updated comments to mention that this file is not
	  to be edited.	Cleaned up the file so it is more readible.
	* config/Makefile.am: Install gdm.conf-custom and move gdm.conf to
	  gdm.conf-custom if it is modified and gdm.conf-custom is not already
	  installed.  If it is changed and gdm.conf-custom already exists, move
	  it to gdm.conf.org.
	* gui/gdmchooser.c, gui/gdmflexiserver.c: Remove unused getting of the
	  configuration file.
	* gui/gdmconfig.[ch]: Add function to tell config to never_cache, which
	  is needed by gdmsetup.
	* config/gdm.conf-custom: Added template file.

2005-12-13  Brian Cameron  <brian.cameron@sun.com>

	* gui/gdmsetup.c: Fix bug I introduced into gdmsetup when I made it
	  use the new gdmconfig functions.  Still need to use ve_config
	  functions when accessing the server-foo sections.  Patch provided by 
	  Jani Monoses <jani.monoses@gmail.com>.

2005-12-13  Brian Cameron  <brian.cameron@sun.com>

	* gui/Makefile.am: Fix Makefile so that libviciousui.a is used instead
	  of libviciousui-gnome.a.  This allows all GDM GUI programs to not
	  require libgnome anymore.  Only gdmsetup still requires libgnomeui.

2005-12-13  Brian Cameron  <brian.cameron@sun.com>

	* daemon/gdm.c, daemon/slave.c, daemon/verify-pam.c,
	  gui/gdmXnestchooser.c, gui/gdmchooser.c,
	  gui/gdmcomm.c, gui/gdmflexiserver.c, 
	  gui/gdmlogin.c, gui/gdmsetup.glade,
	  gui/greeter/greeter.c:  Now consistantly use "GDM" in strings
	  instead of "gdm".  Fixes bug #323221.  Thanks to Adam Weinberger
	  <adamw@gnome.org> for pointing this out.

2005-12-12  Brian Cameron  <brian.cameron@sun.com>

	* gui/gdmsetup.glade: Correct two typos.  "Backgroud" to "Background"
	  and "WIndow" to "Window".  Thanks to Asmund Skjaeveland
	  <aasmunds@fys.uio.no> for pointing this out on gdm-list@gnome.org.

2005-12-12  Brian Cameron  <brian.cameron@sun.com>

	* daemon/gdm.[ch], daemongdmconfig.[ch]: Add GET_SERVER_LIST and
	  GET_SERVER_DETAILS sockets functions so that gdmflexiserver and
	  gdmconfig do not need to access the config file for these, instead
	  using the sockets protocol.
	* docs/C/gdm.xml: Add docs for new sockets commands.
	* configure.ac, gui/Makefile.am: Remove some libgnome/libgnomeui
	  dependencies.
	* gui/gdmcomm.c: Now close sockets connection after 20 messages since
	  the daemon gets mad if you send more.
	* gui/gdmconfig.[ch]: New client functions for getting server
	  information via sockets.
	* gui/gdmflexiserver.c: Remove libgnome dependencies and now use new
	  config mechanism for getting server info.
	* gui/gdmsetup.c: Now use new config mechanism for reading from config
	  file and remove libgnome dependencies.  Cleaned up the code a bit.
	  Now we don't call ve_config_get all over the place, which seems to
	  speed up the start time.

2005-12-12  Brian Cameron  <brian.cameron@sun.com>

	* Release 2.13.0.3: 
	* NEWS, configure.ac: Updated
	* docs/C/gdm.xml: Updated version/date.
	* daemon/gdm.[ch]: Comment out new protocol commands I am adding to
	  get rid of the need to use gnome config.  This will be in the next
	  release.

2005-12-12  Brian Cameron  <brian.cameron@sun.com>

	* daemon/misc.c, daemon/server.c, daemon/verify-crypt.c,
	  daemon/verify-pam.c, daemon/verify-shadow.c,
	  daemon/xdmcp.c, gui/gdmXnestchooser.c, gui/gdmchooser.c,
	  gui/gdmcomm.c, gui/gdmcommon.[ch], gui/gdmdynamic.c, 
	  gui/gdmlanguages.c, gui/gdmlogin.c, gui/gdmphotosetup.c,
	  gui/gdmsession.c, gui/gdmuser.c, gui/gdmwm.[ch],
	  gui/greeter/greeter.c, gui/greeter/greeter_action_language.c,
	  gui/greeter/greeter_canvas_item.c, 
	  gui/greeter/greeter_item.c,
	  gui/greeter/greeter_item_capslock.c,
	  gui/greeter/greeter_item_pam.c,
	  gui/greeter/greeter_item_timed.c,
	  gui/greeter/greeter_item_ulist.c,
	  gui/greeter/greeter_parser.c, 
	  gui/greeter/greeter_session.c,
	  gui/greeter/greeter_system.c,
	  gui/misc.c, gui/modules/dwellmouselistener.c,
	  gui/modules/keymouselistener.c,
	  utils/gdm-dmx-reconnect-proxy.c,
	  utils/gdmaskpass.c:  Remove libgnome dependencies except
 	  in gdmflexiserver.c and gdmsetup.c.  Patch provided by 
	  Jani Monoses <jani.monoses@gmail.com>

2005-12-03  Dennis Cranston  <dennis_cranston@yahoo.com>

	* gui/gdmsetup.c: (gg_selection_changed), (read_themes),
	(xserver_button_clicked), (setup_local_themed_settings),
	(setup_remote_themed_settings), (setup_gui):
	* gui/gdmsetup.glade:  First set of UI changes as 
	recommended by Calum Benson. 

2005-12-02  Brian Cameron  <brian.cameron@sun.com>

	* README, daemon/gdm.h:  More clear stability
	  information about the gdm.conf file.  Better
	  comments for ADD_DYNAMIC_DISPLAY socket 
	  command.

2005-11-28  Brian Cameron  <brian.cameron@sun.com>

	* Release 2.13.0.2: 
	* NEWS, configure.ac: Updated
	* docs/C/gdm.xml: Updated version/date and
	  added new info about GET_CONFIG command.

2005-11-28  Brian Cameron  <brian.cameron@sun.com>

	* config/Makefile.am:  Ensure gnome.desktop and
	  default.desktop files have 644 perms.  Fixes
	  bug #322600.  Patch provided by Andrew Benton
	  <b3nt@ukonline.co.uk>.
	* daemon/gdmconfig.c:  Correct spelling of 
	  GDM_KEY_XDMCP when HAVE_LIBXDMCP is not 
	  defined.

2005-11-23  Dennis Cranston  <dennis_cranston@yahoo.com>

	* gui/gdmphotosetup.c: (browse_button_cb):
	  Fix a double free.  Remove unused function.

2005-11-23  Dennis Cranston  <dennis_cranston@yahoo.com>

	* gui/gdmphotosetup.c, gui/gdmphotosetup.glade:  
	  Fix bug #317744, "Login photo dialog is awful",
	  by simplifying the dialog.

2005-11-23  Brian Cameron <Brian.Cameron@sun.com>

	* daemon/verify-crypt.c, daemon/verify-pam.c,
	  Convert to using new gdmconfig interfaces.
	* daemon/choose.c, daemon/errorgui.c,
	  daemon/gdm.c, daemon/gdmconfig.c,
	  daemon/misc.c, daemon/slave.c,
	  daemon/xdmcp.c, gui/gdmXnestchooser.c,
	  gui/gdmconfig.c, gui/gdmlogin.c,
	  gui/greeter/greeter_canvas_textm.c:  Fix compiler warnings.  Patch
	  provided by Frederic Crozat on gdm-list@gnome.org.  Also make sure
	  that all functions have a space before the "(" to better follow
	  coding style guide.

	* daemon/cookie.c, daemon/display.c,
	  daemon/gdm-net.c, daemon/getvt.c, 
	  daemon/md5.c, daemon/server.c, 
	  daemon/verify-pam.c, gui/gdmchooser.c,
	  gui/gdmcommon.c, gui/gdmdynamic.c,
	  gui/gdmlanguages.c, gui/gdmuser.c,
	  gui/greeter/greeter.c,
	  gui/greeter/greeter_action_language.c,
	  gui/greeter/greeter_action_canvas_item.c,
	  gui/greeter/greeter_session.c,
	  gui/greeter/greeter_system.c:  Make sure that all functions have a
	  space before the "(" to better follow coding style guide.

2005-11-22  Brian Cameron <Brian.Cameron@sun.com>

	* daemon/getvt.c: Fix ifdefs again.

2005-11-22  Brian Cameron <Brian.Cameron@sun.com>

        * gui/modules/keymouselistener.c,
          gui/modules/dwellmouselistener.c:  Backing out this fix.  It is not
	  needed.

2005-11-22  Brian Cameron <Brian.Cameron@sun.com>

        * gui/modules/keymouselistener.c,
          gui/modules/dwellmouselistener.c:  Fix build on Darwin.  Fixes bug
	  #322085.  Patch provided by dmacks@netspace.org.

2005-11-22  Brian Cameron <Brian.Cameron@sun.com>

	* gui/gdmconfig.c: Remove value_set_hash since it isn't really needed.
	  Further cleanup.

2005-11-22  Brian Cameron <Brian.Cameron@sun.com>

	* daemon/gdmconfig.c, gui/gdmconfig.c: Minor tweaks.  Honor
	  doing_update when doing translations and don't translate Welcome or
	  RemoteWelcome in the daemon since it does not make sense to do this
	  here.

2005-11-22  Brian Cameron <Brian.Cameron@sun.com>

	* daemon/cookie.c, daemon/gdm.c, daemon/xdmcp.c,	
	  gui/gdmchooser.c, gui/greeter/greeter_events.c,
	  gui/greeter/greeter_item_ulist.c,
	  gui/greeter/greeter_parser.[ch],
	  gui/modules/dwellmouselistener.c,
	  gui/modules/keymouselistener.c: Fix compiler warnings.  Fixes bug
	  #322053.  Patch provided by Frederic Crozat.  Patch required some
	  work to apply to CVS head.

2005-11-22  Brian Cameron <Brian.Cameron@sun.com>

        * gui/gdmlogin.c: Now use GDK_RGB_DITHER_MAX so that GDM always
	  displays a nice background regardless of X configuration (X in 16bpp
	  mode).  Fixes bug #322029.  Patch provided by Frederic Crozat.

2005-11-22  Brian Cameron <Brian.Cameron@sun.com>

	* configure.in, vicious-extensions/ve-misc.c: Fix build on Darwin.
	  Fixes bug #322085.  Patch provided by dmacks@netspace.org.

2005-11-22  Brian Cameron <Brian.Cameron@sun.com>

	* NEWS: Updated so it has 2.8.0.6 info.

2005-11-22  Brian Cameron <Brian.Cameron@sun.com>

	* daemon/getvt.c: Fix get_free_vt_linux so
	  it returns the correct VT.  Fixes bug
	  #322137.  Patch by Frederic Crozat.

2005-11-21  Brian Cameron <Brian.Cameron@sun.com>

	This further improves GDM configuration so that now only the GDM
	daemon parses and manages the configuration file.  Most client
	programs use the GET_CONFIG command to access needed data.  This
	simplifies the configuration logic and puts all configuration parsing
	in one place and gets rid of a lot of global variables that were
	making the code look messy.  This also gets rid of several places
	where gnome_config deprecated functions were being used.  I have
	cleaned up the code so that the vicious-extensions code is more
	localized in gui/gdmconfig.[ch].  Some work is left to do:
	gdmflexiserver still uses gnome_config functions and gdmconfig should
	use the new functions for reading from the configuration file.  Some
	compile issues fixed as highlghted by dmacks@netspace.org to fix
	bug #322083.

	* NEWS: Fixed comment.
	* daemon/gdm.h: Further cleanup of #define's so that they better match
	  the names of the config keys.
	* daemon/gdm.c: Now GET_CONFIG returns "OK" if the key is valid but has
	  no value when it is a string.  Now free return value from
	  gdm_config_to_string.
	* daemon/Makefile.am, gui/greeter/Makefile.am: Now the daemon validates
	  the greeter's theme directory, so pass the default value into the
	  daemon and not the greeter.
	* daemon/gdmconfig.h: Added gdm_is_valid_key and corrected prototype
	  for gdm_set_user_session_lang.
	* daemon/slave.c: Fix warning and compile errors.
	* daemon/gdmconfig.c: Further fleshed out.  Now it supports a few
	  additional keys I overlooked.  It now validates all keys used by the
	  slaves.  Now handles translated string.  Further refactored the code.
	* gui/Makefile.am: Added gdmconfig.[ch] to common library.
	* gui/gdmconfig.[ch]: New functions for accessing configuration data
 	  for slaves.
	* gui/gdmXnestchooser.c, gui/gdmlanguages.c,
	  gui/gdmsession.h, gui/gdmuser.h, gui/gdmwm.c,
	  gui/misc.c, gui/greeter/greeter_item_capslock.c:
	  gui/greeter/greeter_item_pam.c: No longer include
	  vicious.h/viciousui.h, instead gdmconfig.h.
	* gui/gdmcomm.c: Fix gdm_check_comm to no longer require passing in
	  the config file name.
	* gui/gdmcommon.[ch]: Get rid of old gdm_common_*_same functions that
	  are replaced with new gui/gdmconfig logic.  Now functions that access
	  config data use the new functions.
	* gui/gdmflexiserver.c: Now displays the localized string when you use
	  GET_CONFIG to access a translatable string.
	* gui/gdmconfig.c: Now calls update_key in addition to update_greeters
	  when updating greeter config data, since the daemon needs to update
	  the values now when they change.
	* gui/gdmchooser.c, gui/gdmdynamic.c, gui/gdmlogin.c,
	  gui/gdmphotosetup.c, gui/gdmsession.c, gui/gdmuser.c,
	  gui/gdm/gdmXnestchooser.c, gui/greeter/greeter.c,
	  gui/greeter/greeter_action_language.c,
	  gui/greeter/greeter_canvas_item.c,
	  gui/greeter/greeter_item.c,
	  gui/greeter/greeter_item_customlist.c,
	  gui/greeter/greeter_item_timed.c,
	  gui/greeter/greeter_item_list.c,
	  gui/greeter/greeter_parser.c,
	  gui/greeter/greeter_session.c,
	  gui/greeter/greeter_system.c:  Updated to use new configuration
	  functions.
	* vicious-extensions/glade-helper.c: Now include stdlib.h to avoid
	  compiler warnings.
	* gui/greeter/greeter.c: Remove unused gdm_kill_thingies function.

2005-11-19  Jürg Billeter  <j@bitron.ch>

	* configure.ac: Really check for X server in prefix /usr

2005-11-16  Brian Cameron <Brian.Cameron@sun.com>

	* daemon/getvt.c: Fix #ifdef's.

2005-11-15  Brian Cameron <Brian.Cameron@sun.com>

	* daemon/getvt.c: Change made on 11/03 to make GDM use VT_GETSTATE for
	  peeking VT freeness broke BSD builds.  Put back code for BSD.  Linux
	  will continue to use VT_GETSTATE.  Fixes bug #321493.

2005-11-14  Brian Cameron <Brian.Cameron@sun.com>

	* Release 2.13.0.1: 
	* NEWS, configure.ac: Updated
	* docs/C/gdm.xml: Updated version/date.

2005-11-11  Dennis Cranston  <dennis_cranston@yahoo.com>

	* gui/gdmsetup.c: (install_theme_file), (theme_install_response),
	  (install_new_theme), (get_file_list_from_uri_list),
	  (theme_list_drag_data_received), (setup_local_themed_settings),
	  (setup_remote_themed_settings):  Add drag and drop support for
	  new themes.

2005-11-11  Brian Cameron  <brian.cameron@sun.com>

        * configure.ac: Update check for socklen_t so it includes sys/socket.h.
	  Some BSD platforms define socklen_t there.  Patch provided by
          dmacks@netspace.org.  Fixes bug #320930.

2005-11-09  Brian Cameron  <brian.cameron@sun.com>

	* daemon/getvt.c: Oops, fix again.

2005-11-08  Brian Cameron  <brian.cameron@sun.com>

	* daemon/getvt.[ch]: Fix reading of GDM_KEY_FIRST_VT and
	  GDM_KEY_VT_ALLOCATION from config.

2005-11-08  Brian Cameron  <brian.cameron@sun.com>

	* daemon/getvt.c daemon/slave.c: Add errno.h and gdmconfig.h to
	  getvt.h.  Fix Xinerama key in slave.c so code comiles when Xinerama
	  is enabled.

2005-11-07  Brian Cameron  <brian.cameron@sun.com>

	* daemon/gdm.h, gui/gdmchooser.c: No longer #ifdef the reading of the
	  Multicast config data.  It's okay if these values are read in even if
	  IPv6 isn't being used.

2005-11-04  Brian Cameron  <brian.cameron@sun.com>

	* configure.ac: Fix check for XInput and add a check for libgen.h.
	  Fixes bugs #320580 and #320581.

2005-11-03  Brian Cameron  <brian.cameron@sun.com>

	* gui/modules/Makefile.am:  No longer link against libvicious since it
	  isn't used by the gestures listeners.

2005-11-03  Brian Cameron  <brian.cameron@sun.com>

	* daemon/getvt.c: Patch to make GDM use VT_GETSTATE for peeking VT
	  freeness.  Patch provided by Samuel Thibault
	  <samuel.thibault@ens-lyon.org>.  Fixes bug #315313.

2005-11-03  Brian Cameron  <brian.cameron@sun.com>

	* config/gdm.conf: Updated UPDATE_CONFIG section of docs to reflect
	  changes made to GDM configuration.

2005-11-03  Dennis Cranston  <dennis_cranston@yahoo.com>

	* config/gdm.conf.in: Updates for bug #314685.
	* docs/C/gdm.xml: Fixes bug #314685.

2005-11-03  Dennis Cranston  <dennis_cranston@yahoo.com>

	* gui/gdmsetup.desktop.in:  Update Name, GenericName & Comment to
	  "Login Window" preferences.  Change the category from
	  Applications->System Tools to Desktop->Administration.  Updates bug
	  #314685.

2005-11-03  Dennis Cranston  <dennis_cranston@yahoo.com>

	* gui/gdmchooser.c: (main):  Set the window icon.
	* gui/gdmchooser.glade:  Use HIG recommended widget spacing.
	  Fixes bug #320425.

2005-11-03  Brian Cameron  <brian.cameron@sun.com>

	Redesign of daemon configuraton.  Now all vicious-extensions logic is
	in gdmconfig.[ch].  This greatly simplifies how the UPDATE_CONFIG, and
	GET_CONFIG commands work and makes it easier to update the way GDM
	handles configuration.  Changed ve_setenv/ve_unsetenv to
	g_setenv/g_unsetenv since GDM requires a newer version of GLIB than
	could possibly cause the old ve versions to get used.

	* daemon/gdmconfig.[ch]: New logic for interacting with
	  vicious-extensions.
	* daemon/gdm.h: Updated comments and changed the #define for many
	  configuration options so the naming is more consistant.  Now the
	  #defines more closely match the keys in gdm.conf and more
	  consistantly use the underscore.
	* daemon/auth.c, daemon/choose.c, daemon/cookie.c,
	  daemon/display.c, daemon/errorgui.c, daemon/gdm-net.c,
	  daemon/gdm.c, daemon/getvt.c, daemon/misc.c,
	  daemon/server.c, daemon/slave.c, daemon/verify-crypt.c,
	  daemon/verify-pam.c, daemon/verify-shadow.c,
	  daemon/xdmcp.c: Reorganized configuration.
	* daemon/auth.h, daemon/cookie.h, daemon/display.h,
	  daemon/errorgui.h, daemon/filecheck.h, daemon/gdm-net.h,
	  daemon/getvt.h, daemon/misc.h, daemon/server.h,
	  daemon/slave.h, daemon/verify.h, daemon/xdmcp.h:
	  Now include gdmconfig.h instead of vicious.h and changed "Gnome" to
	  "GNOME" in comment.
	* daemon/Makefile.am: Added new gdmconfig.[ch]
	* gui/gdmXnestChooser.c, gui/gdmchooser.c, gui/gdmcomm.c,
	  gui/gdmdynamic.c, gui/gdmflexiserver.c, gui/gdmlogin.c,
	  gui/gdmphotosetup.c, gui/gdmsetup.c, gui/greeter/greeter.c, 
	  gui/greeter/greeter_item_capslock.c,
	  utils/gdm-dmx-reconnect-proxy.c: Updated to reflect the new
	  configuration #defines.

2005-10-27  Dennis Cranston  <dennis_cranston@yahoo.com>

	Fix bug #314685, "Gdmsetup UI fixes".  Based on redesign mockups
	by Calum Benson from http://www.gnome.org/~calum/usability/specs/gdm/.

	* gui/gdmsetup.c: (logo_toggle_timeout), (logo_toggle_toggled),
	  (xserver_update_delete_sensitivity), (init_servers_combobox),
	  (update_remote_sensitivity), (refresh_remote_tab),
	  (combobox_timeout), (list_selection_toggled), (combobox_changed),
	  (toggle_toggled_sensitivity_positive),
	  (timedlogin_allow_remote_toggled), (setup_notify_toggle),
	  (setup_xdmcp_notify_toggle), (users_string_compare_func),
	  (setup_user_combobox_list), (setup_xdmcp_intspin), (face_add),
	  (face_del), (browser_move), (browser_apply),
	  (users_add_button_clicked), (setup_face), (greeter_toggle_timeout),
	  (sensitive_entry_toggled), (local_background_type_toggle_timeout),
	  (local_background_type_toggled), (setup_greeter_toggle),
	  (greeter_color_timeout), (setup_greeter_color),
	  (xdmcp_button_clicked), (vt_spinbutton_activate),
	  (setup_greeter_combobox), (setup_xdmcp_support),
	  (acc_modules_toggled), (test_sound), (sound_response),
	  (setup_users_tab), (setup_accessibility_tab),
	  (gg_selection_changed), (read_themes), (selected_toggled),
	  (theme_install_response), (install_new_theme), (delete_theme),
	  (xserver_entry_timeout), (xserver_toggle_timeout),
	  (xserver_init_server_list), (xserver_init_servers),
	  (xserver_row_selected), (xserver_remove), (xserver_add),
	  (xserver_add_button_clicked), (xserver_init_definitions),
	  (xserver_delete), (setup_xserver_support),
	  (xserver_button_clicked), (setup_security_tab),
	  (setup_local_themed_settings), (image_filechooser_response),
	  (logo_filechooser_response), (create_preview_pixbuf),
	  (update_image_preview), (hookup_plain_background),
	  (hookup_plain_logo), (setup_plain_menubar),
	  (setup_local_welcome_message), (setup_remote_welcome_message),
	  (setup_local_plain_settings), (setup_local_tab),
	  (hookup_remote_plain_background), (hookup_remote_plain_logo),
	  (setup_remote_plain_settings), (setup_remote_themed_settings),
	  (setup_remote_tab), (setup_gui), (apply_user_changes), (main):
	  Implement the new UI. Fix various compiler warnings.
	* gui/gdmsetup.glade:  Implement the new UI.
	* gui/greeter/greeter.c: (main):  Get the background color from
	  GDM_KEY_GRAPHICAL_THEME_COLOR, but fallback to GDM_KEY_BACKGROUNDCOLOR
	  if its does not exist.
	* gui/gdmlogin.c: (gdm_login_parse_config), (setup_background),
	  (gdm_reread_config): Fix bugs found in the parsing of the welcome
	  messages.  Add support for a GDM_BACKGROUND_IMAGE background type.
	  Fix the setup of the welcome message string in the greeter.  Fix
	  various compiler warnings.
	* vicious-extensions/glade-helper.c: (glade_helper_tagify_label):
	  Add support for more than one markup tag.
	* daemon/gdm.h:  Define GDM_KEY_GRAPHICAL_THEME_COLOR and
	  GDM_KEY_CHOOSER_BUTTON_LOGO keys.
	* daemon/gdm.c: (gdm_handle_user_message): Add newly defined keys.
	* daemon/slave.c: (session_child_run):  Pass a GDM_GREETER_TYPE
	  environmental variable to presession script.
	* config/PreSession.in:  Add support for plain and background color.

2005-10-28  Brian Cameron  <brian.cameron@sun.com>

        * daemon/display.c: If the slave doesn't respond to a SIGTERM, try
	  SIGKILL the second time.  GDM has a problem where it will sometimes
	  stop managing a display because it just keeps waiting for a slave to
	  die after sending it a SIGTERM.  Some users have found that this
	  patch works around the problem of a child ignoring SIGTERM.  Patch
	  provided by Vaclav Smilauer <eudoxos@arcig.cz>.  Fixes bug #113902.

2005-10-28  Brian Cameron  <brian.cameron@sun.com.

        * gui/gdmlogin.c,
          gui/greeter/greeter_item_capslock.c: Patch to make GDM warn correctly
	  about caps lock if an alternative keymap is enabled.  Now use
          kbGetState instead of XkbGetIndicatorState.  Fixes bug #317732.
	  Patch provided by Michael Hofmann <mh21@piware.de>.

2005-10-28  Jürg Billeter  <j@bitron.ch>

	* configure.ac: Check for X server in prefix /usr

2005-10-27  Brian Cameron  <brian.cameron@sun.com>

	* daemon/slave.c: Fix race condition where the d variable wasn't being
	  set until after the signal handlers, and the signal handlers make use
	  of this variable.  Now set it before to ensure it is set whenever a
	  signal might be received.  Issue pointed out by Simon Bowden on
	  gdm-list@gnome.org

2005-10-27  Erdal Ronahi  <erdal.ronahi@gmail.com>

	* configure.ac: Added ku (Kurdish) to ALL_LINGUAS

2005-10-26  Brian Cameron <Brian.Cameron@sun.com>

	* Release 2.13.0.0:  Bumping minor version to match GNOME release
	  schedule.
	* NEWS, configure.ac, autogen.sh: Updated.  Renamed configure.in to
	  configure.ac.  
	* docs/C/gdm.xml: Updated to include more workaround info for
	  accessibility.

2005-10-14  Brian Cameron <Brian.Cameron@sun.com>

	* gui/gdmlogin.c: No longer set tooltips for menu items in gdmlogin.
	  These are distracting, and do not work with accessibility.  After
	  talking with Owen Taylor at the GNOME Boston Summit, he said no GNOME
	  programs do this, and it is not recommended.  Fix for bug #144869.
	* gui/gdmchooser.c:  Now use gdm_common_setup_cursor instead of its own
	  copy of the same function.
	* gui/gdmcommon.[ch]: gdmlogin, gdmgreeter and gdmchooser were all
	  using their own functions to set the background color.  Now they use
	  a common function in gdmcommon.
	* gui/gdmlogin.c, gui/gdmchooser.c, gui/greeter/greeter.c: Now sets
	  background color and sets cursor to a watch as soon as GTK is
	  initialized and the configure file read.  This shortens the amount of
	  time the background is Xserver default gray.

2005-10-06  Brian Cameron <Brian.Cameron@sun.com>

	* docs/C/gdm.xml: Add some information about using GlobalFaceDir when
	  home directories are mounted via NFS/NIS, etc.

2005-10-06  Brian Cameron <Brian.Cameron@sun.com>

	* gui/gdmlogin.c, gui/greeter/greeter.c,
	  gui/greeter/greeter_item_pam.c:  Change the way the "OK" and "Cancel"
	  buttons work so that they are consistant.  Now the "Cancel" button in
	  gdmlogin is active when the Username is requested and pressing it
	  just clears the field.  This makes gdmlogin work like gdmgreeter.
	  This is easier than changing gdmgreeter because the greeter themes
	  don't support changing buttons sensitivity.  Also it is somewhat
	  useful for Cancel to work this way.  Now make the buttons insensitive
	  when ok/enter/tab is pressed and make them sensitive again when the
	  greeter wants entry.  This fixes bug #318017 where users could
	  corrupt gdmgreeter's memory by hitting cancel after authentication
	  (which would only happen if the PostLogin script caused a long enough
	  delay to allow this (or perhaps on a real slow machine).
	  
2005-10-06  Brian Cameron <Brian.Cameron@sun.com>

	* daemon/slave.c: Fix problem with PostSession script not always
	  getting executed when user kills the Xserver with ctl-alt-backspace.  
	  This is caused because an xioerror is generated by whack clients and
	  this xioerror needs to be ignored for PostSession to be processed.
	  This problem tended not to manifest in GDM 2.6 because the
	  introduction of the whack clients call made the xioerror get
	  generated earlier.  However, it was still a race condition and this
	  fix ensures that the xioerror will not cause the slave to ever exit
	  too early.  Fixes bug #152906.  Patch provided by Jerry G. DeLapp
	  <jgd@lanl.gov>
	* AUTHORS: Update file.

2005-10-05  Brian Cameron <Brian.Cameron@sun.com>

	* acconfig.h, configure.in, config/gdm.conf.in,
	  daemon/gdm.h, Define SoundProgram to be /usr/bin/audioplay instead of
	  /usr/bin/play on Solaris.  /usr/bin/play doesn't exist on Solaris.

2005-10-04  Brian Cameron <Brian.Cameron@sun.com>

	* gui/gdmflexiserver.c: Correct reading of config file.  Fixes bug
	  #313701.  Patch provided by Christiaan Welvaart
 	  <cjw@daneel.dyndns.org>.

2005-10-03  Brian Cameron <Brian.Cameron@sun.com>

	* Release 2.8.0.5
        * configure.in, NEWS, AUTHORS: Updated.

2005-10-03  Brian Cameron <Brian.Cameron@sun.com>

	* daemon/slave.c: Remove evil gdm_debug output.

2005-10-03  Brian Cameron <Brian.Cameron@sun.com>

	* gui/gdmsetup.glade: Fix label to remove unwanted "\n" characters.
	  Fixes bug #317820.

2005-09-30  Brian Cameron <Brian.Cameron@sun.com>

	* gui/gdmchooser, gui/gdmcomm.c:  Fix messages.  Thanks to Adam
	  Weinberger <adamw@gnome.org> for patches.

2005-09-29  Brian Cameron <Brian.Cameron@sun.com>

	* daemon/verify-pam.c: Remove syslog() test that causes needless
	  syslog message when Solaris auditing is turned off.
	* gui/gdmflexiserver.c, gui/greeter/greeter_item_ulist.c: Correct
	  grammar.  Corrects bug #317479, thanks to adamw@gnome.org
	  (Adam Weinberger).

2005-09-28  William Jon McCann  <mccann@jhu.edu>

        * gui/gdmflexiserver.c (is_program_in_path, maybe_lock_screen)
        (run_logged_in_dialogue, main): Consolidate screensaver activation
	code.  Don't use deprecated gnome-exec.  Fixes #311497.

2005-09-27  Brian Cameron <Brian.Cameron@sun.com>

        * gui/greeter/greeter_item_ulist.c: Now print syslog warning if GDM
	  theme has ulist but does not have pam-message.

2005-09-26  Brian Cameron <Brian.Cameron@sun.com>

        * gui/gdmsetup.c, gui/gdmphotosetup.c:  Only set right/left mouse
	  buttons to map to button1 when RUNNING_UNDER_GDM and now show hidden
	  files by default in file dialogs.  Fixes bug #317152.
	* gui/gdmflexiserver.c: Cleaned up startnew option.
	* gui/modules/keymouselistener.c, gui/modules/dwellmouselistener.c:
	  Remove needless include.

2005-09-22  Rodrigo Moya <rodrigo@novell.com>

	* gui/gdmflexiserver.c (run_again): use gnome-screensaver if
	  available instead of xscreensaver.

2005-09-22  Rodrigo Moya <rodrigo@novell.com>

	* gui/gdmphotosetup.c: fixed compilation warnings.
	  (add_preview_widget): made it static to avoid 'no previous prototype'
	  warning.
	  (browse_button_cb, fill_model): removed unused variables.

2005-09-20  Brian Cameron <Brian.Cameron@sun.com>

	* README.install, pam_allow.c: Add documentation regarding how to set
	  up Automatic Login on Solaris.
	* daemon/Makefile.am, gui/Makefile.am, 
	  gui/greeter/Makefile.am, gui/modules/Makefile.am,
	  vicious-extensions/Makefile.am:  Remove illegal reference to build
	  directory in installed .la files.  Fixes bug #316793, patch provided
	  by Stanislav Brabec <sbrabec@suse.cz>.
	* gui/gdmlogin.c: Fix comment for translators to make it more clear
	  that %l is a strftime option for 12 hour format.  Fixes bug #316773.
	  
2005-09-14  Brian Cameron <Brian.Cameron@sun.com>

	* daemon/slave.c:  Made error message about dmrc file being ignored
	  more clear.  Fixes bug #316242.

2005-09-14  Bastien Nocera  <hadess@hadess.net>

	* daemon/xdmcp.c: (gdm_xdmcp_decode_packet):
	 Make XdmcpFill() failure a debug, as it also happens when the client
	 disconnects from the XDMCP server before the session was setup
	 (Closes: #316316)

2005-09-14  Brian Cameron <Brian.Cameron@sun.com>

	* daemon/gdm.[ch], daemon/slave.c,
	  config/gdm.conf.in:  Added debug/gestures key so that you can turn on
	  debugging for the gesture listeners separately from general debug.
	  Gesture listener debug output is too verbose to include in general
	  debug.
	* docs/C/gdm.xml: Docs had very little information about debug, so
	  added info.

2005-09-14  Brian Cameron <Brian.Cameron@sun.com>

        * gui/gdmsetup.c: Fix gdmsetup so that when user modifies
	  Include/Exclude list, it also updates automatic/timed login dropdown
          immediately.
	* gui/modules/keymouselistener.c: Remove incorrect comment.

2005-09-13  Brian Cameron <Brian.Cameron@sun.com>

	* daemon/slave.c, gui/modules/dwellmouselistener.c,
	  gui/modules/keymouselistener.c:  Now turn on gesture debug when GDM
	  debug is on.  Fix bug in dwellmouselistener that was causing
	  gestures to not be recognized.

2005-09-06  Brian Cameron <Brian.Cameron@sun.com>

	* daemon/auth.c, daemon/gdm.c, daemon/slave.c,
	  daemon/verify-pam.c, gui/gdmchooser.c, gui/gdmcomm.c,
	  gui/gdmdynamic.c, gui/gdmlogin.c, gui/gdmphotosetup.c,
	  gui/gdmsetup.c, gui/greeter/greeter.c,
	  gui/greeter/greeter_canvas_item.c, 
	  gui/greeter/greeter_session.c, 
	  gui/modules/keymouselistener.c,
	  utils/gdm-dmx-reconnect-proxy.c,
	  vicious-extensions/vc-misc.c:  Correct memory leaks.  Fixes bug
	  #315388, patch by Steve Grubb with minor tweaks by myself.
	* gui/gdmphotosetup.c: Corrected definition of void function to avoid
	  compiler warning.

2005-09-06  Brian Cameron <Brian.Cameron@sun.com>

        * Release 2.8.0.4.
        * configure.in, NEWS: Updated.

2005-08-30  Brian Cameron <Brian.Cameron@sun.com>

	* gui/modules/keymouselistener.c, gui/modules/dwellmouselistener.c:
	  Fixed syslog debugging so it works better.

2005-08-20  Dennis Cranston  <dennis_cranston@yahoo.com>

	* gui/gdmXnestchooser.c: (main):
	* gui/gdmchooser.c: (gdm_chooser_decode_packet), (add_check),
	  (gdm_chooser_add_host), (main):
	* gui/gdmcomm.c: (gdmcomm_check):
	* gui/gdmcommon.h:
	* gui/gdmflexiserver.c: (change_vt), (main):
	* gui/gdmlogin.c: (back_prog_run), (gdm_login_restart_handler),
	  (gdm_login_halt_handler), (gdm_login_suspend_handler),
	  (gdm_login_session_lookup), (gdm_login_language_lookup),
	  (gdm_login_ctrl_handler), (main):
	* gui/gdmphotosetup.c: (set_face_from_filename):
	* gui/gdmsetup.c: (update_greeters), (root_not_allowed),
	  (theme_install_response), (delete_theme), (main):
	* gui/gdmwm.c: (gdm_common_message), (gdm_common_query),
	  (gdm_common_warn):
	* gui/greeter/greeter.c: (greeter_ctrl_handler),
	  (verify_gdm_version), (main):
	* gui/greeter/greeter_action_language.c:
	  (greeter_langauge_initialize_model),
	  (greeter_language_get_language), (greeter_action_language):
	* gui/greeter/greeter_item_pam.c:
	  (greeter_item_pam_leftover_messages):
	* gui/greeter/greeter_session.c: (greeter_session_lookup),
	  (greeter_session_init):
	* gui/greeter/greeter_system.c: (query_greeter_restart_handler),
	  (query_greeter_halt_handler), (query_greeter_suspend_handler):
	* vicious-extensions/glade-helper.c: (glade_helper_bad_interface),
	  (glade_helper_bad_columns), (glade_helper_no_interface):
	* vicious-extensions/ve-miscui.c: (ve_hig_dialog_new):
	* vicious-extensions/ve-miscui.h:

	GNOME HIG fixes for the Language, Session and Message dialogs.
	Modified the ve_hig_dialog_new() function to use
	gtk_message_dialog_new() now that it supports both primary and
	secondary text.  Changed the shutdown, reboot, and suspend
	dialogs to type GTK_MESSAGE_WARNING.

2005-08-22  Rodrigo Moya <rodrigo@novell.com>

	* gui/gdmwm.c: added missing includes for clean 64 bit compilation.

2005-08-22  Tommi Vainikainen  <thv@iki.fi>

	* README: Fixed address of the web site.

2005-08-20  Brian Cameron  <brian.cameron@sun.com>

        * Release 2.8.0.3.
        * configure.in, NEWS: Updated.

2005-08-20  Brian Cameron  <brian.cameron@sun.com>

	* daemon/gdm.c, daemon/slave.c: Honor Default Session gdm.conf setting
	  when using autologin.  Fixes bug #313996.  Patch by HansPetter
	  Jansson <hpj@novell.com>

2005-08-18  Brian Cameron  <brian.cameron@sun.com>

	* gui/gdmflexiserver.c: Fix reading of configuration file so it works.

2005-08-18  Frederic Crozat  <fcrozat@mandriva.com>

	* config/locale.alias: Remove spaces in locale name, it causes gdm to
	  discard those locales. No string freeze was broken, these strings
	  are not displayed.  Fix bug #313735.

2005-08-17  Rodrigo Moya <rodrigo@novell.com>

	* gui/greeter/greeter_system.c (greeter_system_handler): added
	  missing tooltips.

2005-08-16  Brian Cameron  <brian.cameron@sun.com>

	* README: Add info about the gdm-list@gnome.org and location of
	  archives.

2005-08-15  Brian Cameron  <brian.cameron@sun.com>

	* gui/Makefile.am:  Change installation location of
	  gdmphotosetup.desktop from /usr/share/gnome/capplets to
	  /usr/share/applications since the older directory is deprecated since
	  GNOME 2.10 and is not menu-spec compliant.  Fixes bug #313205.
	* docs/C/gdm.xml: Updated Face Browser docs to better explain how
	  things work now that bug #310906 has been fixed, and to clarify that
	  the Face Browser can be used with the Themed Greeter.

2005-08-15  Brian Cameron  <brian.cameron@sun.com>

	* README.install, config/gdm.conf.in, docs/C/gdm.xml: Updated links to
	  point to the new http://www.gnome.org/projects/gdm/ for the project
	  page.  Updated Commands section of the docs so they look better.
	  Fixed art.gnome.org link.
	* gui/gdmflexiserver.c: Fix bug #313197.
	* gui/gdm.conf.in: Added docs to better explain how
	  AlwaysRestartServer works.

2005-08-12  Brian Cameron  <brian.cameron@sun.com>

	* AUTHORS: Updated.

2005-08-11  Brian Cameron  <brian.cameron@sun.com>

	* NEWS: updated to be a bit more clear.
	* daemon/gdm.[ch], daemon/slave.c, daemon/verify-pam.c: Now support
	  Solaris SDTLOGIN mechanism which will cause the Xserver to be started
	  as the user instead of as root for extra security.
	* gui/gdmflexiserver.c: Add a new option --startnew (or -s) to start a
	  new flexible server without displaying a dialog asking the user if
	  they wish to continue an existing session.  This is useful for
	  starting gdmflexiserver from the screensaver where the user cannot
	  respond to a dialog.
	* docs/C/gdm.xml:  Updated gdmflexiserver docs so they are more clear
	  and added info about the SDTLOGIN mechanism.  Add info about new
	  gdmflexiserver option.

2005-08-09  Brian Cameron  <brian.cameron@sun.com>

	* gui/gdmsession.c: Correct use-after-free issue with the dynamic
	  session in the sessions list.  Patch by Joe Marcus Clarke, fixes bug
	  #312974.

2005-08-08  Brian Cameron  <brian.cameron@sun.com>

	* NEWS: Updated for 2.8.0.2 release.
	* gui/gdmsetup.glade:  Fixed strings, refer to bugs #312956, 312959,
	  and 312960.
	* daemon/gdm.c: Fixed Multicast compile issue when IPv6 is not set.
	* configure.in, config/Makefile.am: Fixed "make distcheck" issue.

2005-08-04  Brian Cameron  <brian.cameron@sun.com>

	* daemon/server.c: Fix malformed string.
	* daemon/gdm.c, daemon/gdm.h: Fixed GET_CONFIG command so it works.
	  Before it only printed out the value if it had a value defined in the
	  gdm.conf file.  Now it prints out the runtime value.  For values that
	  are only used by other programs, it prints out the compiled-in
	  default if no value exists in gdm.conf.  Added comments to gdm.h to
	  make it clear what work developers should do when adding new
	  configuration options.
	* gui/gdm.h, config/gdm.conf.in: Fixed default value for GtkRC so it's
	  %datadir%/themes/Default/gtk-2.0/gtkrc instead of Default/gtk/gtkrc.

2005-08-03  Brian Cameron  <brian.cameron@sun.com>

	* docs/C/gdm.xml: Made XML conformant.
	* gui/gdmlogin.c, gui/greeter/greeter.c:  Now GDM is more backwards
	  compatible.  The change to add DefaultWelcome and
	  DefaultRemoteWelcome to the config file would cause old configuration
	  files to ignore the setting.  Now if the gdm.conf file is missing the
	  DefaultWelcome or DefaultRemoteWelcome key it goes ahead and uses the
	  message in gdm.conf (unless the message is the same as the default
	  anyway).

2005-08-03  Brian Cameron  <brian.cameron@sun.com>

	* configure.in: Correct AT_BINDIR.
	* daemon/gdm.h: Changed "xdmcp" to "XDMCP" in comments.

2005-08-03  Brian Cameron  <brian.cameron@sun.com>

	* daemon/gdm.[ch], gui/gdmsetup.c : Change GDM_KEY_SERVERS to
	  GDM_KEY_SECTION_SERVER and added GDM_KEY_SECTION_GREETER.  There
	  already is a GDM_KEY_GREETER, so for section #defines it's better to
	  include "SECTION" in it.
	* gui/gdmsetup.c, gui/gdmsetup.glade:  Made a number of UI
	  improvements.  Calum Benson is doing a UI review of gdmsetup and I
	  made the following fixes based on his recommendations.  No longer
	  have mnemonics on the tabs since this is against HIG rules, changes
	  "Face Browser" tab to "Users" since the Include/Exclude list really
	  also affects Automatic/Timed login and not just the Face Browser.
 	  Added label to the Users tab to explain what the tab does, since it
	  wasn't too clear before.  Improved description of "Disallow TCP
	  connections" on the security tab so it is more clear what this does
	  (and highlight it doesn't affect XDMCP).  I also fixed the
	  sensitivities when "Include All Users" is checked.  Previously it
	  was making both the Include and Exclude list insensitive - it really
	  should just make the Include list and buttons to move between
	  Incude/Exclude insensitive.  This is now working.
	
2005-08-03  Brian Cameron  <brian.cameron@sun.com>

	* daemon/gdm.[ch], daemon/misc.[ch], daemon/verify-pam.c,
	  config/gdm.conf.in, docs/C/gdm.xml, config/Makefile.am,
	  daemon/Makefile.am: Provide better support for /etc/default/login.
	  Previously it supported only PASSREQ.  Now it supports PATH, SUPATH,
	  and CONSOLE.  Added new PasswordRequired gdm.conf setting to control
	  whether NULL_PASSWORDS are allowed when using PAM.
	* config/gdm.conf.in: Changed default for AllowRemoteRoot to false and
	  ConfigAvailable.  This makes GDM more secure by default.  Some
	  distros may want to change the default back to true.  If people
	  complain about this change, I'll make it possible to set these via
	  the configure script.

2005-08-02  Brian Cameron  <brian.cameron@sun.com>

	* acconfig.h, configure.in, daemon/Makefile.am, daemon/gdm.c,
	  Change to the way the patch introduced on 07/22 works.  Now GDM
	  continues to install the default gdm.conf file in %sysconfdir%/gdm
	  unless the user runs configure with the --with-configdir option.
	  The daemon will now first look in this location and then look in the
	  %sysconfdir%/gdm directory for the config file.  This allows GDM to
	  better support system-wide configuration, but leaves the config file
	  in %sysconfdir% for systems that do not need this feature.
	* docs/C/gdm.xml: Updated docs.
	* README.install: Updated text to include information about
	  HaltCommand and RebootCommand.
 
2005-08-01  Ryan Lortie  <desrt@desrt.ca>

	* gui/gdmwm.c (gdm_common_query): Reorder code so that the 
	affirmative response is always the rightmost button in a dialog
	as per the HIG. (Bug #312188)

2005-07-31  Tommi Vainikainen  <thv@iki.fi>

	* m4/.cvsignore: Added.
	* docs/ChangeLog: Started new ChangeLog similar to po/ChangeLog
	after gnome-doc-utils migration.
	* configure.in, Makefile.am: gnome-doc-utils migration
	* .cvsignore: Added gnome-doc-utils.make

2005-07-26  Tommi Vainikainen  <thv@iki.fi>

	* gui/gdmsetup.c (setup_gui), gui/gdmsetup.glade: Removed special
	option for 24 hour time format.
	* gui/gdmcommon.h, gui/gdmcommon.c
	(gdm_common_select_time_format): Added function to parse between
	"auto", "true", and "false" in "Use24Clock" setting.
	* gui/gdmlogin.c (gdm_login_parse_config), gui/greeter/greeter.c
	(greeter_parse_config): Use gdm_common_select_time_format(...).
	* docs/C/gdm.xml: Documented new default "auto" option for
	Use24Clock, which selects 24 hour time format by locale
	(translation). Fixes bug #145549.

2005-07-25  Brian Cameron  <brian.cameron@sun.com>

	* config/Makefile.am:  Now installs gdm.conf to /usr/share/gdm.  Fixed
	  "make distcheck".

2005-07-25  William Jon McCann  <mccann@jhu.edu>

	* .cvsignore: Added depcomp and stamp-h1
	* daemon/slave.c (ask_migrate) 
	(gdm_slave_check_user_wants_to_log_in):
	* daemon/gdm.[ch] (gdm_config_parse): 
	* config/gdm.conf.in: Add a configuration option
	  AlwaysLoginCurrentSession that will automatically switch the user
	  back to their previous session without asking.  This is off by
	  default for now.  Fixes bug #311415.

2005-07-25  William Jon McCann  <mccann@jhu.edu>

	* gui/gdmcommon.c (gdm_common_get_config_file): Don't return a pointer
	  into the middle of a string that must be freed.  Fixes bug #311499.
	* gui/gdmphotosetup.c (main): Free config file string again.

2005-07-25  William Jon McCann  <mccann@jhu.edu>

	* daemon/gdm.c: Fix build by only using GDM_KEY_MULTICAST when IPV6 is
	  enabled.

2005-07-25  William Jon McCann  <mccann@jhu.edu>

	* gui/faces/butterfly.png: Somehow missed adding this file.
	* gui/faces/.cvsignore: Add file.

2005-07-24  William Jon McCann  <mccann@jhu.edu>

	* gui/greeter/greeter_item_ulist.c (check_for_displays) 
	(greeter_generate_userlist, greeter_populate_user_list):
	A few more tweaks to the face browser.

	* gui/gdmphotosetup.c (maybe_migrate_old_config): Fix leak.
	(main): Freeing result of gdm_common_get_config file
	causes memory corruption.  So, don't free it until
	we find the problem.

2005-07-24  William Jon McCann  <mccann@jhu.edu>

	* gui/faces/Makefile.am:
	* gui/face/dice.jpg:
	* gui/face/sky.jpg: Updated images.

	* gui/face/astronaut.jpg:
        * gui/face/baseball.png:
        * gui/face/butterfly.png:
        * gui/face/cat-eye.jpg:
        * gui/face/chess.jpg:
        * gui/face/coffee.jpg:
        * gui/face/energy-arc.jpg:
        * gui/face/fish.jpg:
        * gui/face/flake.jpg:
        * gui/face/flower.jpg:
        * gui/face/grapes.jpg:
        * gui/face/guitar.jpg:
        * gui/face/launch.jpg:
        * gui/face/leaf.jpg:
        * gui/face/lightning.jpg:
        * gui/face/penguin.jpg:
        * gui/face/puppy.jpg:
        * gui/face/soccerball.png:
        * gui/face/sunflower.jpg:
        * gui/face/sunset.jpg:
        * gui/face/tennis-ball.png:
        * gui/face/yellow-rose.jpg: New images.  All
	derived from images on wikipedia and wikimedia
	with free licenses.

	* gui/face/bonfire.jpg:
	* gui/face/cdrom.jpg:
        * gui/face/clock.jpg:
        * gui/face/hollyleaf.jpg:
        * gui/face/lamas.jpg:
        * gui/face/seal.jpg:
        * gui/face/skyline.jpg:
        * gui/face/daisy.jpg: Removed.
	
2005-07-22  Brian Cameron  <brian.cameron@sun.com>

	* configure.in: Bumped version to 2.8.0.2 since
	  a new interface was added, the gdmflexiserver
	  command, GET_CONFIG_FILE was added.
	* daemon/Makefile.am, daemon/gdm.[ch], 
	  daemon/server.c, daemon/xdmcp.c, docs/C/gdm.xml,
	  gui/Makefile.am, gui/gdmXnestchooser.c, 
	  gui/gdmchooser.c, gdm/gdmcomm.[ch], 
	  gui/gdmcommon.[ch], gdm/gdmdynamic.c, 
	  gui/gdmflexiserver.c, gui/gdmlogin.c, 
	  gui/gdmphotosetup.c, gui/gdmsetup.c, 
	  gui/greeter/greeter.c:  If /etc/gdm/gdm.conf does not exist, then GDM
	  will look in /usr/share/gdm/gdm.conf.  Since /usr/share can be shared
	  across multiple systems, this makes it easier for sysadmins to
	  configure sitewide settings for GDM2 instead of having to customize
	  /etc/gdm/gdm.conf on all the machines separately.  Now GDM installs
	  the gdm.conf and factory-gdm.conf files in the /usr/share/gdm
	  location.  The gdm daemon needs to be restarted to use a different
	  configuration file.  All applications that use the config file now
	  use the new GET_CONFIG_FILE gdmflexiserver command to get the
	  configuration file to use.  This way the applications don't get
	  confused if, say, the sysadmin creates an /etc/gdm/gdm.conf file
	  after the server was started using one in /usr/share/gdm.  Both the
	  gdm daemon and gdmsetup now allow a --config option so the sysadmin
	  can specify their own location for the config file.  

	  Moved GdmMulticast and GdmMulticastAddr to gdm.c so we don't access
	  the config file a second time in xdmcp.c.  Corrected grammar for some
	  messages.  Changed g_access() to access() in gdmphotosetup.c since
	  this is a new 2.7 usntable function.  I will change it back when 2.8
	  is released.
	* config/Makefile.am: Changed install location of gdm.conf and
	  factory-gdm.conf to %datadir%/gdm

2005-07-21  William Jon McCann  <mccann@jhu.edu>

	* gui/gdmphotosetup.glade: New file.
	* gui/Makefile.am: Add glade file.
	* gui/gdmphotosetup.c: Rewritten to be more HIG compliant, use
	  GtkIconView, include preview in file selector, and be instant apply.

2005-07-21  Brian Cameron  <brian.cameron@sun.com>

	* gui/gdmsetup.c:  C89 compliance patch provided by Jens Granseuer.
	  <jensgr@gmx.net>.  Fixes bug #311097.

2005-07-21  Brian Cameron  <brian.cameron@sun.com>

	* daemon/verify-crypt.c, daemon/verify-pam.c, daemon/verify-shadow.c:
	  Remove unused gtkmessagedialog.h header file.
	* gui/gdmchooser-strings.c, gui/gdmchooser.gladep,
	  gui/gdmsetup-strings.c, gui/gdmsetup.gladep: Removing these files
	  from the module since they are not needed.  The *.glade files are now
	  translated directly.  This fixes bug #310857.

2005-07-20  William Jon McCann  <mccann@jhu.edu>

	* gui/greeter/themes/happygnome-list/happygnome.xml: Tweak the colors
	  in the user list.  Make the background translucent behind the user
	  list.
	* gui/greeter/greeter_item_ulist.c (greeter_populate_user_list): Make
	  real name bold if it is available.  Design for humans.
	  (force_no_tree_separators): Set treeview style so that we don't get
	  strange lines between tree rows when we set a userlist color in the
	  theme.  (greeter_item_ulist_setup): Only shrink the size of the user
	  list.  Set the default widget style.
	* gui/greeter/greeter_canvas_item.c (greeter_item_create_canvas_item):
	  Don't set rules hint for userlist treeview.

2005-07-20  Brian Cameron  <Brian.Cameron@sun.com>

	* utils/gdm-dmx-reconnect-proxy.c: Fixed grammar, fixing bug #310958.

2005-07-20  Brian Cameron  <Brian.Cameron@sun.com>

	* configure.in: TCP Wrappers now works on Solaris.

2005-07-20  Brian Cameron  <Brian.Cameron@sun.com>

	* gui/Makefile.am, gui/gdmcommon.c, gdmwm.c: Moved
	  gdm_common_show_info_msg, gdm_common_msg and gdm_common_query from
	  gdmcommon.c to gdmwm.c.  Now no longer include gdmwm.[ch] in
	  libgdmcommon.a since these are in libgdmwm.a:  This is cleaner since
	  these 3 functions reference gdmwm functions.  This fixes a link
	  problem on Solaris caused because the Xinerama functions were getting
	  referenced in gdmsetup even though they are unused.  
	* gui/gdmphotosetup.c: Now use chmod instead of g_chmod.

2005-07-19  Brian Cameron  <Brian.Cameron@sun.com>

	* gui/gdmphotosetup.c: Backed out calls to g_chmod since gdm2 should
	  not depend on glib functions only available in an unstable build
	  (2.7).

2005-07-19  William Jon McCann  <mccann@jhu.edu>

	* gui/greeter/greeter_item_ulist.c (gdm_greeter_users_init): 
	Use common function for loading face images.
	
	* gui/greeter/greeter.c (greeter_ctrl_handler):
	Update for new common code.

	* gui/gdmuser.c (gdm_user_alloc): Use common function for
	loading face images.
	(setup_user): Define as static.

	* gui/gdmlogin.c (gdm_kill_thingies): Make static.
	(gdm_login_ctrl_handler): Update for new gdm_common_login_sound.
	Add gdm_kill_thingies before all abort calls since they are
	not in gdm_common_abort anymore.
	(main): Use new common get face function.

	* gui/Makefile.am:
	* gui/gdmcommon.c (gdm_common_show_info_msg, gdm_common_login_sound):
	Make more common by not depending on external variables.
	(gdm_common_abort): Make more common by not depending on
	external functions.
	(gdm_common_get_face): Add a common function for loading
	face images.

	* daemon/slave.c (path_is_local, check_user_file) 
	(check_global_file, get_facefile_from_gnome2_dir_config) 
	(get_facefile_from_home, get_facefile_from_global, run_pictures):
	Don't stat or read from remote home directories.  Fixes #310545.

	* configure.in:
	* daemon/Makefile.am:
	* daemon/fstype.c: Add ability to detect filesystem types.

	* gui/greeter/greeter_item_ulist.c (gdm_greeter_users_init): 
	* gui/gdmlogin.c (main):
	Try GTK+ themed icon stock_person before falling back to
	nobody.png.  Fixes #310906.

2005-07-19  William Jon McCann  <mccann@jhu.edu>

	* gui/gdmlogin.c (gdm_login_gui_init):
	  Use HIG style button layout.  Fixes #310549.

2005-07-19  Tommi Vainikainen  <thv@iki.fi>

	* config/XKeepsCrashing, config/Xsession.in, daemon/display.c,
	daemon/gdm.c, daemon/slave.c, docs/C/gdm.xml,
	gui/gdmXnestchooser.c, gui/gdmchooser.c, gui/gdmcomm.c,
	gui/gdmlogin.c, gui/gdmphotosetup.c, gui/gdmsetup.c,
	gui/gdmsetup.glade, gui/greeter/greeter.c,
	gui/greeter/greeter_session.c, gui/greeter/greeter_system.c:
	Cleanup terminology, and fix many strings. See bug #310453.
	Also fixes bug #308287. List of the most important string changes:
	machine -> computer
	program -> application or command
	superuser -> root
	gdm, Gdm -> GDM
	See the Language chapter in GNOME HIG for more information.

2005-07-14  Brian Cameron  <brian.cameron@sun.com>

	* daemon/getvt.c, daemon/gdm.c: Support 
	  DragonFly VT since it is the same as FreeBSD.
	  Patch provided by Joerg Sonnenberger
	  <joerg@bec.de>.  Fixes bug #310218.

2005-07-13  William Jon McCann  <mccann@jhu.edu>

	* gui/gdmphotosetup.c (main): Use new gstdio
	functions and set correct permission on .face.

2005-07-11  Brian Cameron  <brian.cameron@sun.com>

	* configure.in: Cleaned up configure file.
	* gui/gdmsession.c: Changed "Gnome" to "GNOME".

2005-06-30  Brian Cameron  <brian.cameron@sun.com>

	* Release 2.8.0.1
	* NEWS, configure.in:  Updated for new release.

2005-06-30  Brian Cameron  <brian.cameron@sun.com>

	* docs/C/gdm.xml: Corrected grammar.  Thanks to Martin Petersen for
	  noticing this.
	* gui/gdmlogin.c, gui/gdmsetup.c:  No longer use C99 features that do
	  not work with gcc 2.95, specifically do not declare variables except
	  at the beginning of a block.  Fixes bug #309110, patch provied by
	  Jens Granseuer <jensgr@gmx.net>.
	* autgogen.sh: Add back USE_GNOME_MACROS2=1 It doesn't do anything if
	  using GNOME 2.10 or later, but allows people using older
	  gnome-autogen.sh to build.

2005-06-22  Brian Cameron  <brian.cameron@sun.com>

	* configure.in, vicious-extensions/Makefile.am,
	  daemon/Makefile.am, gui/Makefile.am, 
	  gui/greeter/Makefile.am: Upgrading to pkgconfig 0.17.2 broke the
	  Solaris build because it no longer allows the linker to pull in
	  libraries that are implicitely included.  Now explicitely specify the
	  dependant libraries and ensure they are included in the link
	  statements for each binary.
	* verify-pam.c: Minor correction to Solaris audit logic provided by
	  Gary Winiger.  <Gary.Winiger@sun.com>

2005-06-20  Brian Cameron  <brian.cameron@sun.com>

	* autogen.sh: Updated REQUIRED_AUTOMAKE_VERSION from 1.4 to 1.5 since
	  it no longer requires 1.4 and gnome-autogen.sh would complain if you
	  had a newer version of automake.  Fixes bug #307543.

	* daemon/slave.c: On 04/25, a change was made to move seteuid/setegid
	  to before checking the existance of the user's $HOME id to fix bug
	  #301821.  That patch added new seteuid/setegid calls before the
	  check, but didn't remove the calls after the check.  Calling these
	  functions twice is needless and was causing problems on NetBSD
	  (refer to bug #301821), so now fixing the logic so it doesn't
	  needlessly call the function twice.  This fixes bug #301821.  Patch
	  provided by Julio M. Merino Vidal.  This fixes bug #301821.

2005-06-17  Brian Cameron  <brian.cameron@sun.com>

	* gui/gdmsetup.c:  Fix Delete button sensitivity.  Fixes part of bug
	  #302354.  Patch by Andrew Case.

2005-06-17  Julio M. Merino Vidal <jmmv84@gmail.com>

	* docs/C/gdm.xml: Fix duplicate entity ID so that the document
	  validates correctly.  Fixes bug #308048.

2005-06-15  Brian Cameron  <brian.cameron@sun.com>

	* gui/gdmXnestchooser.c, gui/gdmcomm.c, 
	  gui/gdmflexiserver.c, gui/gdmphotosetup.c, 
	  gui/gdmwm.c:  Fix leaks.  Addresses bug #307482.  Patch provided by
	  Kjartan Maraas.
	* gui/modules/dwellmouselistener.c, 
	  gui/modules/keymouselistener.c:  Remove needless "\n" from syslog
	  calls.

2005-06-15  Brian Cameron  <brian.cameron@sun.com>

	* gui/modules/dwellmouselistener.c, gui/modules/keymouselistener.c:
	  Now log messages to syslog since you can't see messages printed to
	  stdout/stderr when running under gdm2.  Now only print messages if
	  GDM_DEBUG_GESTURES environment variable is set to TRUE.  Cleaned up
	  the code so it is more readible.  No longer modify PATH since gdm2
	  now puts full path to executables in the gesture listener config
	  files.  More secure.

2005-06-13  Brian Cameron  <brian.cameron@sun.com>

	* vicious-extensions/ve-gnome.c:  Remove reference to libgnome.  The
	  daemon should not depend on libgnome.  Patch provided by Andrew Case.
	  Fix for bug #117889.

2005-06-11  Juerg Billeter  <j@bitron.ch>

	* configure.in: Use ksh on solaris only.  Fixes bug #307250.

2005-06-10  Brian Cameron  <brian.cameron@sun.com>

	* Release 2.8.0.0
	* configure.in: Updated version
	* NEWS: Updated
	* gui/Makefile.am: Fixed so faces subdir gets distributed.
	* gui/faces/Makefile.am: Fixed so faces subdir builds with distcheck.

2005-06-10  Brian Cameron  <brian.cameron@sun.com>

	* gui/gdmsetup-strings.c, gui/gdmsetup.c, gui/gdmsetup.glade:  Removed
	  "No Image" button for setting the background since it is redundant.
	   You can also say "no background" on the radio button list.

2005-06-10  Brian Cameron  <brian.cameron@sun.com>

	* config/gdm.conf.in: Updated setting for gdmsetup, gdmlogin, and
	  gdmchooser so they point to the new installation locations.  Fixes
	  bug #306464.
	* configure.in: Fix enable-ipv6 so it works.  Fixes bug #306558.  Patch
	  provided by foser@gentoo.org.
	* gui/gdmsetup-strings.c, gui/gdmsetup.c, gui/gdmsetup.glade,
	  config/gdm.h, daemon/gdm.h:  Add Xserver configuration tab to
	  gdmsetup.  Minor cleanup of gdmsetup.c and better documentation.
	  Fixes bug #89421.
	* gui/gdmsetup.c, gui/gdmsetup.glade: Now "Turn on Face Browser" is on
	  Security tab, which makes more sense.  Face Browser tab is now
	  insensitive if not turned on.  Rearranged tabs so they seem a bit
	  more clean.

2005-06-02  Brian Cameron  <brian.cameron@sun.com>

	* gui/gdmchooser.c, gui/gdmlogin.c, gui/gdmsetup.glade,
	  gui/greeter/greeter.c, gui/greeter/greeter_system.c:
	  Change "reboot" to "restart".  Changed function names and variables
	  from reboot to restart.  It's still "reboot_button" in the GDM2 theme
	  XML files since changing this would break backwards compatibility.
	  Fixes bug #305939.  Patch for gdmlogin by Nicholas Skehin.  I updated
	  the patch so it also applies to gdmgreeter.
	  
2005-06-02  Brian Cameron  <brian.cameron@sun.com>

	* gui/gdmdynamic.c:  Added new file so build works.

2005-05-25  Brian Cameron  <brian.cameron@sun.com>

	* acconfig.h, configure.in, config/gdm.conf.in,
	  config/Xsession.in, README.install: Now allow xevie to be turned on
	  for server-Standard.  This is for better a11y support.  Now use
	  /bin/ksh for Xsession shell if on Solaris instead of /bin/sh.  This
	  is needed to support Solaris users who are using ksh or bash as their
	  $HOME shell.

2005-05-17  Brian Cameron  <brian.cameron@sun.com>

	* daemon/gdm.[ch], daemon/misc.c, daemon/verify-pam.c,
	  docs/C/gdm.xml, gui/Makefile.am, gui/gdmdynamic.c,
	  config/gdm.conf.in: Added support for dynamic Xservers.  Fixes
	  enhancement request #168219.  Patch provided by Bob Terek
	  <Robert.Terek@sun.com>.

2005-05-16  Brian Cameron  <brian.cameron@sun.com>

	* gui/modules/AccessKeyMouseEvents.in:  Fixed comments.

2005-05-16  Brian Cameron  <brian.cameron@sun.com>

	* Now use gi18n.h instead of libgnome header files to get access to
	  translation code.  libgnome is still used in vicious-extensions, so
	  this still needs to be cleaned up before bug #117889 is fully fixed.
	  Patch provided by Christian - Manny Calavera - Neumair.
	* configure.in:  Backed out adding zh_HK to ALL_LINGUAS since it breaks
	  the build.
	
2005-05-16  Danilo \305\240egan  <dsegan@gmx.net>

       * gui/gdmsetup-strings.c: Removed.
       * gui/gdmchooser-strings.c: Removed.

       * gui/Makefile.am: Remove gdmchooser-strings.c and gdmsetup-strings.c,
	 as well as duplicate entries for glade files from EXTRA_DIST.  Fixes
	 bug #55635

2005-05-16  Brian Cameron  <brian.cameron@sun.com>

	* gui/greeter/greeter.c:  Fix broken messages.  Fixes bug #304377.
	  Thanks to Leena Gunda.
	* configure.in: Added zh_HK to ALL_LINGUAS.

2005-05-13  Brian Cameron  <brian.cameron@sun.com>

	* daemon/gdm-net.c: Fix gdm2 so it works better on BSD and MacOS.  Upon
	  getting EOF on a socket/pipe/etc.  G_IO_IN is always set and G_IO_HUP
	  may not be set.  Therefore, the 0 return from read() is important.
	  If we get a length <= 0 from read() we force the socket to be closed.
	  This prevents gdm-binary from causing high CPU-load after logout.
	  Fixes bug #172491.  Fix posted by Joe Marcus Clarke.

2005-05-13  Brian Cameron  <brian.cameron@sun.com>

	* gui/greeter/greeter.c: No longer set default font size.  Thanks to
	  Erwann Chenede for catching this.

2005-05-10  Leena Gunda  <leena.gunda@wipro.com>

	* daemon/server.c (do_server_wait): Check if a host has been selected
	  from XDMCP chooser and change servstat accordingly. Fixes bug where
	  Xnest session quits when a host is selected from XDMCP chooser.

2005-05-06  Brian Cameron  <brian.cameron@sun.com>

	* daemon/auth.c, daemon/display.c, daemon/gdm.[ch],
	  daemon/server.c, daemon/slave.c, daemon/verify-pam.c,
	  daemon/xdmcp.c, AUTHORS:  Rename console and TYPE_LOCAL in
	  preparation for adding the dynamic Xserver patch.  This is part of
	  the fix for bug #168219.  Patch provided by Bob Terek.

2005-05-04  Brian Cameron  <brian.cameron@sun.com>

	* gui/gdmcommon.[ch], gui/gdmlogin.c, gui/greeter/greeter_session.c:
	  Refactored the code so session menu setup code is no longer
	  duplicated in gdmlogin adn gdmgreeter.
	  
2005-05-03  Brian Cameron  <brian.cameron@sun.com>

	* Makefile.am: Correct Makefile so that if CONSOLE_HELPER is set, we
	  don't try to create an /sbin/gdmsetup symlink to gdmsetup.  Now
	  gdmsetup is already installed to /sbin always.  Fixes #302319.
	* gui/gdmsetup.c: Fix sensitivity of the "Delete Theme" button.  Fixes
	  bug #302342.
	* daemon/gdm.h, gui/gdmlogin.c, gui/greeter/greeter.c: Now only set
	  user/password entry to PAM_MAX_RESP_SIZE if HAVE_PAM is defined,
	  otherwise set it to GDM_MAX_PASS set to 256 in daemon/gdm.h.  This 
	  allows gdm to be used on systems that do not have PAM.  Fixes
	  #302228.  Patch by Ali Akcaagac.
	* daemon/gdm.h, docs/C/gdm.xml, gui/gdmsetup.c,
	  gui/greeter/greeter.c, gui/gdmsetup.glade, 
	  gui/gdmsetup-strings.c, config/gdm.conf.in: Now support random
	  theme.  Fixes #302354.  Patch by Andrew Case.
	* gui/gdmcommon.c, gui/gdmlogin.c,
	  gui/greeter/greeter_session.c, gui/Makefile.am,
	  added gui/gdmsession.[ch]:  Support better sorting for session names.
	  Fixes #301818.  Patch by Ray Strode.

2005-04-26  Brian Cameron  <brian.cameron@sun.com>

	* gui/modules/AccessKeyMouseEvents.in:  Now use more sensible arguments
	  for starting magnifier, recommended by Bill Haneman.  

2005-04-25  Brian Cameron  <brian.cameron@sun.com>

	* daemon/gdm.c, daemon/slave.c, daemon-verify-pam.c,
	  gui/gdmcomm.c, gui/gdmlogin.c, gui/gdmsetup.c,
	  vicious-extensions/glade-helper.c:  Fix typos in strings.  Fixes bug
	  #301694.  Patch provided by Kjartan Maraas.
	* daemon/slave.c: To support when one username can be mapped to another
	  canonical username, we use the loginname that pwent returns instead
	  of the one that was typed in.  Fixes bug #301820.  Patch provided by
	  Mike Patnode.  Now use seteuid before checking existance of user's
	  home directory since root doesn't always have access and fails
	  otherwise.  Fixes bug #301821.  Patch provided by Ray Strode.
	* gui/greeter/Makefile.am,
	  gui/greeter/greeter_canvas_item.c:
	  Added:  gui/greeter/canvas_text.[ch]: No longer rely on Xserver
	  physical screen geometry which sometimes causes text to be too big or
	  too small.  Now use gdk/pango functions to get root window resources.
	  Fixes bug #301824.  Patch provided by Ray Strode.
	* config/gdm.conf.in, daemon/gdm.h, docs/C/gdm.xml, gui/gdmlogin.c:
	  Now support background programs that are started after a timedelay
	  and can be restarted after a delay.  Useful for running a screensaver
	  at login time.  Fixes bug #301528.  Patch provided by Laurent Birtz.

2005-04-22  Brian Cameron  <brian.cameron@sun.com>

	* gui/modules/keymouselistner.c: Corrected broken if test pointed out
	  by meissner@suse.de.  Fixes bug #301565.

2005-04-22  Mark McLoughlin  <mark@skynet.ie>

	Add the ability to make GDM spawn XDMCP sessions on a local
	X proxy server. Experimental support for disconnect/reconnect
	or "session migration" is also implemented using DMX.
	More details in bug #301602.

	* configure.in: require glib 2.6.0 and check for DMX.
	
	* config/gdm.conf.in: add xdmpc/EnableProxy, xdmcp/ProxyXServer
	and xdmcp/ProxyReconnect config keys.

	* docs/C/gdm.xml: document new config keys.

	* daemon/gdm.h: add TYPE_XDMCP_PROXY server type, add #defines
	for the new config keys, re-name various xnest related GdmDisplay
	members to be applicable for all proxy servers, add xdmcp_dispnum
	GdmDisplay member, modify the format of GDM_SOP_QUERYLOGIN and
	add GDM_SOP_AUTHFILE and GDM_SOP_MIGRATE.

	* daemon/gdm.c: read the new config keys, change format of what
	GDM_SOP_QUERYLOGIN returns, implement GDM_SOP_AUTHFILE and 
	GDM_SOP_MIGRATE.

	* daemon/xdmcp.h: add gdm_xdmcp_migrate.

	* daemon/xdmcp.c: when xdmpc/EnableProxy and xdmcp/ProxyXServer,
	set things up such that a proxy sever (which displays on the
	requesting X server) is run locally by the slave.
	Also implement migrating the proxy server from one parent display
	to another using the xdmcp/ProxyReconnect command.

	* daemon/server.c: if we're running a proxy server (e.g. Xnest
	or Xdmx), hold a connection open to the parent display so that
	it doesn't reset.
	Run proxy servers with -display rather than setting $DISPLAY.

	* daemon/slave.c:
	Once we've successfully logged the user in, send SOP_QUERYLOGIN
	to the slave - if the result from that indicates that the user
	is already logged in and that session is migratable (e.g. by
	reconnecting a proxy server or changing the VT), then migrate
	to the existing session using SOP_MIGRATE.
	In the case of an Xdmcp proxy, hold open the connection to the
	parent display so that it doesn't reset. Exit the slave as
	soon as that connection closes.

	* utils/Makefile.am, utils/gdm-dmx-reconnect-proxy.c: implementation
	of xdmcp/ProxyReconnect for use with Xdmx.
	
2005-04-21  Mark McLoughlin  <mark@skynet.ie>

	Don't use gdm_debug() from signal handlers - the message formatting and
	the syslog() both involve malloc() which isn't safe in signal
	handlers. Fixes random lockups with debugging enabled.

	* daemon/server.c:
	(gdm_server_usr1_handler),
	(gdm_server_child_handler): don't use gdm_debug() here.
	
	* daemon/slave.c:
	(gdm_slave_usr2_handler),
	(gdm_slave_child_handler): or here.

2005-04-20  Brian Cameron  <brian.cameron@sun.com>

	* gui/gdmlanguages.c: For Danish-English use en_DK instead of en_IE.
	* gui/gdmsetup: Fix sensitivities of new Login Sounds feature.  Further
	  fix for #300136. Provided by Andrew Case.
	* HACKING: Made less out-of-date.

2005-04-19  Brian Cameron  <brian.cameron@sun.com>

	* config/gdm.conf.in, daemon/gdm.[ch], daemon/slave.c,
	  gui/gdmchooser.c, giu/gdmlogin.c:  Cleanup for login success/failure
	  sounds.  Patch provided by Mark McLoughlin.  Refer to bug #300136.
	* daemon/gdm.c: Fix FlexiServer commands so that all output for a
	  single command is sent as a single call to gdm_connection_write or
	  gdm_connection_printf rather than building commands and sending them
	  out in pieces.  Also use gdm_connection_printf rather than building
	  so many temporary strings.  Patch provided by for
	  GDM_SUP_QUERY_LOGOUT_ACTION, but I reworked the patch so the same
	  technique is used for all gdmflexiserver commands.  Fixes bug
	  #158799.  Patch based on one provided by Raffaele Sandrini
	  <rasa@gmx.ch>
	* gui/greeter/greeter_geometry.c, gui/greeter/greeter_item.h,
	  gui/greeter/greeter_parser.c, docs/C/gdm.xml:  Now support ratio
	  scaling of SVG images.  Docs weren't provided with the patch so I
	  added some.  Patch provided by.  Fixes bug 159524.  Patch provided by
	  Vincent Untz <vincent@vuntz.net>.
	* gui/gdmlogin.c: Rearrange how the widgets are organized to make it
	  look a bit better now that the message fields have sizes defined to
	  avoid gdm2 resizing.  Bit more of a fix for bug #117779.
	* README.install: Spell corrections and minor updates, now mention that
	  running configure with the option --with-post-path=/usr/openwin/bin
	  is recommended on Solaris.
	* MAINTAINERS, AUTHORS, NEWS, docs/C/gdm.xml, daemon/gdm.h: Fixed
	  spelling, added contributors to AUTHORS file for patches made in the
	  past few months.
	* docs/C/gdm.xml: Fixed bug 300138 by providing better sound docs in
	  the a11y section.  Fixes bug #300138.  Patch provided by Andrew Case.
	* gui/gdmsetup.glade, gui/gdmsetup-strings.c: Removed strings "sdfg"
	  and "asdf" since they can't be translated.  Fixes bug #301211.
	* gui/gdmchooser.c: Removed needless comment.
 	* config/Init: Removed generated file from CVS.

2005-04-18  Brian Cameron  <brian.cameron@sun.com>

	* daemon/gdm.[ch], daemon/slave.c, docs/C/gdm.xml,
	  gui/gdmchooser.c, gui/gdmcommon.c, gui/gdmlogin.c, 
	  gui/gdmsetup-strings.c, gui/gdmsetup.c,
	  gui/gdmsetup.glade, gui/greeter/greeter.c,
	  gui/greeter/greeter_configuration.h:  Add login success/failure
	  sounds.  Patch provided by Andrew Case.  Refer to bug #300136.

2005-04-18  Brian Cameron  <brian.cameron@sun.com>

	* gui/gdmlogin.c, gui/greeter/greeter_item_ulist.c: I noticed that
	  double clicking in the Face Browser was causing the focus to be taken
	  away from the username/password entry field.  I added a
	  button-release-event listener that returns the focus back to the
	  entry field when the user clicks on the Face Browser.  This ensures
	  that the focus is always kept on the entry field where it should be.

2005-04-15  Brian Cameron  <brian.cameron@sun.com>

	* daemon/gdm.h, config/gdm.conf.in, gui/gdmlogin.c,
	  gui/gdmsetup.c, gui/gdmsetup.glade, gui/gdmsetup-strings.c,
	  gui/greeter/greeter.c: Added DefaultWelcome and
	  DefaultRemoteWelcome keys to the config file which
	  cause the default strings to be used.  This allows
	  us to better translate the string in gdmsetup for
	  display and fixes bug #300304.
	* gui/greeter/greeter_item_ulist.c, gui/greeter/greeter_parser.c,
	  gui/greeter/themes/happygnome-list/happygnome.xml: Now allow theming
	  of background colors in the Face Browser.  Also shrink the
	  FaceBrowser so it is the same size as the treeview, so a big white
	  space is not displayed under the FaceBrowser.  I probably did not
	  pick good default colors in the xml file, but perhaps someone with a
	  better design eye can give me a recommendation for better colors.
	  Fixes bug #140312.
	* docs/C/gdm.xml: Added docs for above two features.
	* gui/gdmlogin.c: Moved auto_timed_msg label after msg label since that
	  looks better.
	* gui/gdmsetup.c: Moved call to g_signal_lookup so it happens when the
	  call works.

2005-04-12  Brian Cameron  <brian.cameron@sun.com>

	* Release 2.6.0.9
	* configure.in: Updated version
	* NEWS: Updated

2005-04-12  Brian Cameron  <brian.cameron@sun.com>

	* daemon/slave.c: Display an error dialog if the user's $HOME/.dmrc
	  can't be accessed for permissions reasons.  Fixes bug 141126.
	* gui/gdmlogin.c, gui/greeter/greeter_item_pam.c: Now tab acts like
	  enter.  Fixes bug #127339.  * gui/gdmsetup.c: Fixed theme installer
	  so it remembers where the last theme was installed from and opens the
	  file browser in that location.  Fixes bug #164785.  Also fixed a
	  bug which was causing only *tar.gz files to be installable.  Now it
	  works for *.tar files on my system.

2005-04-11  Brian Cameron  <brian.cameron@sun.com>

	* config/locale.alias:  Patched locale.alias to include missing
	  languages.  Patch provided by Ray Dassen.
	* gui/gdmchooser.c: Make button 3 always act like button1 for the
	  chooser as well, further fixes bug #155142.
	* gui/gdmlogin.c, gui/greeter/greeter.c: Support Control-U for blanking
	  the username/password entry.  Fixes bug #103498.  Also removed 
	  needless ";" from include lines.
	* gdm/gdmsetup.c: Now clicking "No Logo" or "No background" image
	  causes gdmlogin to update itself immediately.  Also fixed "Timed
	  Login" enable checkbox so it takes effect immediately when changed.

2005-04-08  Brian Cameron  <brian.cameron@sun.com>

	* gui/gdmlogin.c, gui/gdmsetup.c, gui/greeter/greeter.c: Now make
	  button3 always act like button 1 for better left-hand support.  No
	  longer just set this for the login/setup programs when
	  RUNNING_UNDER_GDM is set since gdmsetup can be run from console and 
	  so can gdmlogin (for development).  gdmgreet needs this so the
	  Actions and Languages pop-up dialogs work with the left mouse.  Aside
	  from such pop-ups the logic in greeter_events was taking care of
	  this.  Fixes bug #155142.
	  Also increased the max size of the username password field to
	  PAM_MAX_RESP_SIZE to fix bug #144809.  I talked with the PAM expert
	  here at Sun and he recommended using this value.  Lastly, fixed a bug
	  I introduced on the 6th so now I really fixed bug #67647.
	* daemon/gdm.c: Now the GDM daemon recognizes if the user changed the
	  "Enable debug" value in gdmsetup.  I added the checkbox to gdmsetup
	  on the 4th.

2005-04-07  Gareth Owen  <gowen72@yahoo.com>

	* po/en_GB.po: Updated British English translation.

2005-04-06  Brian Cameron  <brian.cameron@sun.com>

	* gui/gdmlogin.c: Set size requests for text labels in gdmlogin so that
	  they are initialized with a big enough size to avoid container
	  resizing.  Fixes bug #117779.  Also no longer place the "msg" label
	  in the button box, instead placing it above.  This label can get too
	  big to really fit in the button box without resizing or otherwise
	  making the GUI look weird.
 
2005-04-06  Brian Cameron  <brian.cameron@sun.com>

	* daemon/auth.c, daemon/choose.c, daemon/cookie.c,
	  daemon/display.c, daemon/errorgui.c, daemon/filecheck.c,
	  daemon/gdm-net.c, daemon/gdm.c, daemon/md5.h, 
	  daemon/misc.c, daemon/server.c, daemon/slave.c,
	  daemon/verify-crypt.c, daemon/verify-pam.c, 
	  daemon/verify-shadow.c, daemon/xdmcp.c,
	  gui/gdmXnestchooser.c, gui/gdmchooser.c, gui/gdmcomm.h,
	  gui/gdmcommon.c, gui/gdmlanguages.c, gui/gdmuser.[ch],
	  gui/gdmwm.c, gui/misc.c, gui/greeter/*.[ch],
	  vicious-extensions/test-ve-config.c,
	  vicious-extensions/ve-i18n.h, vicious-extensions/vicious.h,
	  vicious-extensions/viciousui.h:  Changed messages so that
	  I-form isn't used.  Fixes bug #118193.  Noticed many
	  files didn't have a GPL license as a comment at the top
	  of the file, so added those.  Changed "Gnome" to "GNOME"
	  in comments.  
	* gui/gdmlogin.c: Now display timed login message in a
	  separate label, which avoids problems caused because different
	  things (PAM, timed login, etc.) are trying to use the same
	  label for status messages.  This fixes bug #67647. 

2005-04-05  Adam Weinberger  <adamw@gnome.org>

	* gui/gdmsetup-strings.c, gui/gdmsetup.glade: Removed
	  space before punctuation.

2005-04-04  Brian Cameron  <brian.cameron@sun.com>

	* gui/gdmcommon.c, gui/gdmcommon.h, gui/gdmlogin.c,
	  gui/greeter/greeter.c, gui/greeter/greeter_session.c,
	  gui/greeter/greeter_action_language.[ch],
	  gui/greeter/greeter_system.c:  Fixed dialogs that ask user if they
	  want to change their default language/session so they have a Cancel
	  button that returns the user to the login screen without having to
 	  login/logout to change their session/language session.  Also added
	  mnemonics to the Languages menu in gdmlogin.c.  Fixed minor bug
	  where gdmlogin and gdmgreeter were checking Include and Exclude list
	  as booleans rather than strings.  Fixes bugs #117776 and #168118.
	* gui/gdmsetup-strings.c, gui/gdmsetup.c, gui/gdmsetup.glade: Now allow
	  user to turn on/off debug on the Security tab.  Minor cleanup.

2005-04-01  Pawan Chitrakar  <pawan@nplinux.org>

	* configure.in: Added ne in ALL_LINGUAS

2005-03-31  Steve Murphy  <murf@e-tools.com>

        * configure.in: Added "rw" to ALL_LINGUAS.

2005-04-01  Brian Cameron  <Brian.Cameron@sun.com>

	* configure.in: Change Solaris HaltCommand from "init 0" to "init 5" as
	  Sun's ARC has informed me.

2005-04-01  Brian Cameron  <Brian.Cameron@sun.com>

	* gui/gdmlogin.c, gui/gdmsetup.c, gui/gdmsetup-strings.c,
	  gui/gdmsetup.glade: Revamped gdmsetup so that it uses the new file
	  browser everywhere, uses GtkComboBox and GtkComboBoxEntry instead of
	  GtkEntry and GtkOptionMenu since they are deprecated.  This fixed bug
	  #171558.  Improved Remote Welcome label to fix bug 105156.  Now
	  Remote Greeter option in the Greeter tab reads "Disabled" if XDMCP
	  is disabled.  It returns to the real choice if XDMCP is enabled
	  again.  This fixes bug 117888.  Also changed glade widget names for
	  the face browser to have the "fb" prefix rather than "sg".  Some
	  other minor cleanup of the glade file.  Also added ability to turn
	  on/off Theme menu choice from the Accessibility tab in gdmsetup.
	* gui/gdmphotosetup.c: On March 10th I fixed gdmphotosetup so it uses
	  the new file browser.  I noticed that the code had a bug which was
	  causing an assert, now fixed.  Now make the file browser work more
	  like the ones gdmsetup.c
	* gui/gdmsetup.desktop.in: Make GNOME in all-caps to fix bug #167054.
	  
2005-03-29  Brian Cameron  <Brian.Cameron@sun.com>

	* gui/gdmlanguages.c: Correct inconsistant spacing in languages list.
	  Patch by Seb Wills.  Fixes bug 171519.  Also corrected the fix made
	  on March 4th to remove span tags properly.  

2005-03-25  Abel Cheung  <maddog@linuxhall.org>

	* gui/gdmlanguages.c, config/locale.alias: Add Hong Kong and Singapore
	  locale.

2005-03-23  Brian Cameron  <Brian.Cameron@sun.com>

	* gui/gdmsetup.c, gui/gdmsetup.glade, gui/gdmlogin.c
	  gui/gdmuser.[ch], gui/greeter/greeter.c,
	  gui/gdmsetup-strings.c, docs/C/gdm.xml:  Add face browser tab for
	  configuring the face browser with the Exclude options and the new
	  Include and IncludeAll configuration options.  Cleaned up the
	  gdmsetup glade file a bit.  Now tabs have mnemonics
	* daemon/slave.c, gui/gdmphotosetup.c, gui/greeter/gdmthemetester.c:
	  Changed name of "Graphical Greeter" to "Themed Greeter" and
	  "Standard Greeter" to "GTK+ Greeter".

2005-03-21  Brian Cameron   <Brian.Cameron@sun.com>

	* gui/gdmlanguages.c: Remove "en" from language list since it causes
	  all English languages to appear with the same "English" tag instead
	  of "English (India)", etc.

2005-03-19  Adam Weinberger  <adamw@gnome.org>

	* daemon/display.c, daemon/gdm.c, daemon/server.c,
	  daemon/slave.c, daemon/verify-crypt.c,
	  daemon/verify-pam.c, daemon/verify-shadow.c,
	  gui/gdmchooser.c, gui/gdmcomm.c, gui/gdmsetup.c,
	  gui/greeter/greeter.c, vicious-extensions/glade-helper.c,
	  vicious-extensions/ve-nongnome.c: Fix a number of run-on sentences.
	  Fixes bug 170532.

Fri Mar 18 21:45:0000 2005  Brian Cameron <Brian.Cameron@Sun.Com>

	* daemon/slave.c, daemon/verify-crypt.c,
	  daemon/verify-shadow.c, gui/gdmcomm.c,
	  gui/gdmphotosetup.c, gui/gdmsetup.c,
	  vicious-extensions/glade-helper.c:
	  Fixed messages - fixes bug 170531.
	* gui/gdmlogin.c: Now use ve_locale_from_utf in the gdm_login_enter
	  function since it's used everywhere else and in the same logic in the
	  greeter.
	* gui/greeter/greeter.c, gui/greeter_item_pam.[hc],
	  gui/greeter_greeter_parser.c, 
	  gui/greeter/themes/circles/circles.xml,
	  gui/greeter/themes/happygnome/happygnome.xml,
	  gui/greeter/themes/happygnome-list/happygnome.xml,
	  docs/C/gdm.xml:  Added OK button to greeter so GDM now properly
	  follows the Sun HCI recommendations.  Fixes bug #98470.

Thu Mar 17 2:30:00 2005  Brian Cameron <Brian.Cameron@Sun.Com>

	* config/extract-shell.sh: Made comment nicer.
	* gui/gdmlanguages.c:   Fix for bug 132629, it disambiguates the
	  otherwise identical entries described in the bug report by showing
	  their encoding.  Adding Hong Kong to table.  Patch by Seb Wills.
	   Also added Hong Kong to table.
	* gui/modules/keymouselistener.c:  Fix message as per bug #167649.
	* README.intall: Added more security information and information about
	  installing on Solaris.

Thu Mar 17 2:06:00 2005  Brian Cameron <Brian.Cameron@Sun.Com>

	* configure.in, gui/greeter/gdmthemetester.in (added),
	  gui/greeter/gdmthemetester (removed):  Fixed so it recognizes
	  gdmgreeter is installed to LIBEXEC and now uses gdmwhich instead of
	  which (same logic that the Init, PreSession, etc. scripts) so it
	  works better on Solaris.
	* daemon/gdm.h, daemon/slave.c, gui/gdmlogin.c, 
	  gui/greeter/greeter.c, gui/greeter/greeter_item_ulist.c,
	  docs/C/gdm.xml, gui/greeter/greeter_parser.c,
	  gui/greeter/themes/circles/circles.xml,
	  gui/greeter/themes/happygnome/happygnome.xml,
	  gui/greeter/themes/happygnome-list/happygnome.xml:  Made face browser
	  much less braindead.  The facebrowser is no longer insensitive when
	  entering the password so you can change the selected user without
	  having to enter an invalid password.  Also added a cancel button
	  which allows user to reselect a different username without having to
	  enter an invalid password.  Removed the stupid double-click
	  requirement to select a user with the face browser.  Now just
	  clicking on a user takes you to password entry.  Clicking the cancel
	  button unselects all users in the face browser and takes the user
	  back to the Username prompt.

Mon Mar 14 12:10:00 2005  Brian Cameron <Brian.Cameron@Sun.Com>

	* daemon/gdm.h, gui/Makefile.am, gui/gdmlogin.c,
	  gui/gdmsetup.c, gui/gdmuser.h, gui/gdmuser.c, 
	  gui/greeter/greeter.c, gui/greeter/greeter_item_ulist.c,
	  docs/C/gdm.xml:  Added Include and IncludeAll gdm config options to
	  better control what users are displayed in the face browser.
	  Consolidated the almost identical logic from gdmlogin.c, gdmsetup.c
	  and greeter_item_ulist.c into gdm_user.[ch].
	* daemon/gdm.h: Correct setting of HALT_COMMAND, which got fat-fingered
	  when I moved the setup of this to the configure file.
	* gui/gdmphotosetup.c: Mark strings for translation.

Thu Mar 10 17:50:00 2005  Brian Cameron <Brian.Cameron@Sun.Com>

	* daemon/gdm.h, config/gdm.conf.in: Changed default face directory to
	  EXPANDED_DATADIR/pixmaps/faces since putting the faces subdirectory
	  in pixmaps simply makes more sense.
	* Makefile.am, acconfig.h, configure.in, gdmsetup-security.in,
	  daemon/Makefile.am, daemon/gdm.h, daemon/gdm.in, daemon/slave.c,
	  gui/Makefile.am, gui/gdmsetup.c, gui/greeter/Makefile.am,
	  gui/greeter/greeter.c: Changed the way GDM files are installed.  Now
	  all programs intended to be run by root are in EXPANDED_SBINDIR
	  (gdm/gdm-binary/gdmsetup), all programs that are not intended to be
	  run by end-users are in EXPANDED_LIBEXEC
	  (gdmchooser/gdmgreeter/gdmlogin).  Removed gdmconfig wrapper script
	  and gdmXnest symlink since they only serve to clutter the filesystem.
	  I announced this change in the 2.6.0.8 release notes and will be
	  bumping the next release to 2.6 because of this change and the change
	  to the default face directory.
	* configure.in, gui/faces/*: Add default faces.  Images provided by
	  Jaap A. Haitsma.  Refer to bugzilla bug #149838.
	* gui/gdmphotosetup.c: Now browser will look in the system face
	  directory first, in EXPANDED_DATADIR/pixmaps if the default face
	  directory does not exist.
	* config/Makefile.am: Changed name of Default to Init since that
	  follows the naming standard used by the other scripts.  Fixes bug
	  #118278.
	* docs/C/gdm.xml: Updated docs with information about the changes in
	  today's commits.
	  
Thu Mar 10 14:35:00 2005  Brian Cameron <Brian.Cameron@Sun.Com>

	* daemon/gdm.h, daemon/gdm.c:  Added GET_CONFIG gdmflexiserver command,
	  so that other programs can access the GDM configuration data in a
	  stable way.  This is useful for progrmas that might want to know what
	  the system suspend command is, or what the max icon size is for
	  creating face images.
	* gui/gdmphotosetup.c: Fix bugs 126796, 143618, and 159025 since it no
	  longer crashes, uses the new file chooser, and now automatically
	  scales images down to the max icon height/width.

Thu Mar 10 14:16:00 2005  Adi Attar  <aattar@cvs.gnome.org>

	* configure.in: Added "xh" to ALL_LINGUAS.

Tue Mar 08 14:35:00 2005  Brian Cameron <Brian.Cameron@Sun.Com>

        * gui/modules/AccessKeyMouseEvents.in: Added -u when launching
	  magnifier so it is launched in horizontal split mode which works
	  better.
	* acconfig.h, configure.in, AccessDwellMouseEvents.in,
	  AccessKeyMouseEvents.in: Now use full path to AT programs so gesture
	  listeners do not depend on the PATH environment variable to run.  By
	  default gdm with use EXPANDED_BINDIR, but this can be overridden via
	  the --with-at-bindir configure option.

Mon Mar 07 14:35:00 2005  Brian Cameron <Brian.Cameron@Sun.Com>

	* Release 2.6.0.8
	* configure.in: Updated version.
	* NEWS, ChangeLog, README, README.install, HACKING, TODO,
	  daemon/auth.c daemon/errorgui.c, daemon/gdm.c daemon/slave.c,
	  daemon/verify-pam.c, daemon/xdmcp.c, gui/gdmcomm.c, gui/gdmlogin.c,
	  gui/gdmsetup.c, gui/greeter/greeter_action_language.c: Corrected
	  spelling and use better english.

Mon Mar 07 12:20:00 2005  Brian Cameron <Brian.Cameron@Sun.Com>

	* gdmlanguages.c: Removed zh_HK since it is not appropriate to make
	  this change in the string freeze. 
	 
Fri Mar 04 12:50:00 2005  Brian Cameron <Brian.Cameron@Sun.Com>

	* gui/greeter/greeter.c: Set default font size to Sans 12.  Can make
	  the default configurable if people want.  (Patch by Erwann Chenede)
	* gui/greeter/greeter_greeter_canvas_item: Set name of password entry
	  for more friendly a11y.  (Patch by Erwann Chenede)
	* gui/gdmsetup.c: Mark "Remove Theme" for translation.  (Patch by
	  Balamurali Viswanathan).
	* gui/gdmlanguages.c: Add zh_HK and remove <span> tags in language
	  display since they were causing formatting problems for some users.
	  (Patch by Glynn Foster)
	* daemon/gdm.in: Ensure LC_MESSAGES is set so the user's default
	  language can be displayed.  (Patch by Hidetoshi Tajima).
	* daemon/misc.c, daemon/xdmcp.c: Fix XDMCP for IPv6.  Now properly
	  handle IPv4 requests when received when the code is built with
	  --enable-ipv6=true and fix IPv6 identification on Solaris.  (Patch by
	  Leena Gunda and Brian Cameron).
	* configure.in: Fix --enable-ipv6 help line when you run "configure
	  --help".  (Patch by Brian Cameron)

Fri Feb 25 14:44:00 2005  Brian Cameron <Brian.Cameron@Sun.Com>

	* configure.in:  Corrected setting of Xnest command so it works on
	  Linux.  Broken by my Feb 02 patch.

Wed Feb 16 11:00:00 2005  Brian Cameron <Brian.Cameron@Sun.Com>

	* gui/greeter/themes/circles/circles.xml,
	  gui/greeter/themes/happygnome/happygnome.xml,
	  gui/greeter/themes/happygnome-list/happygnome.xml: Specify font for
	  username/password entry field for the gdm2 supplied themes.  Fixes
	  bug #164822.  Patch provided by Alexander Kirillov.

Tue Feb 15 14:42:00 2005  Brian Cameron <Brian.Cameron@Sun.Com>

	* gui/greeter/greeter_item_ulist.c (gdm_greeter_users_init): Make the
	  default face obey the MaxIconWidth and MaxIconHeight configuration
	  settings.  Fixes bug #151784.  Patch provided by Diego Gonzalez.

Mon Feb 14 18:15:00 2005  Brian Cameron <Brian.Cameron@Sun.Com>

	* daemon/gdm.c:  Restart the slave process if XDMCP chooser is selected
	  from flexi server.  Patch to fix bug #156420.  Patch provided by
	  Leena Gunda.

Mon Feb 14 17:37:00 2005  Brian Cameron <Brian.Cameron@Sun.Com>

	* gui/gdmlanguages.c:  Fix for bug 165880.  Adds Armenian to the
	  language selection menu.  Patch provided by petrosyan@gmail.com.

Mon Feb 14 17:35:00 2005  Brian Cameron <Brian.Cameron@Sun.Com>

	* gui/greeter/greeter_geometry.c:  Fix for bug 136856.  Fixed width of
	  "user name entry" to shrink to fit its parent widget so the text
	  doesn't run out of bounds.  Patch provided by Chookij Vanatham.

Mon Feb 14 17:10:00 2005  Brian Cameron <Brian.Cameron@Sun.Com>

	* daemon/display.c, daemon/gdm.h, daemon/server.c,
	  daemon/slave.c:  Fix for bug #160068.  Removes some redundant/unused
	  code.  Patch provided by Mark McLoughlin.  

Mon Feb 14 17:00:00 2005  Brian Cameron <Brian.Cameron@Sun.Com>

	* config/locale.alias, gui/gdmlanguages.c:  Fix for bug #155778.  Add
	  Kinyarwanda to language list for gdm2.  Patch provided by Steve
	  Murphy.

Mon Feb 14 16:52:00 2005  Brian Cameron <Brian.Cameron@Sun.Com>

	* daemon/server.c, gui/gdmXnestchooser.c, gui/gdmlogin.c, 
	  gui/modules/dwellmouselistener.c,
	  gui/modules/keymouselistener.c: Cleanup patch by Kjartan Marass, bug
	  #151668.
	  
Mon Feb 14 16:42:00 2005  Brian Cameron <Brian.Cameron@Sun.Com>

	* config/gdm.conf.in, daemon/gdm.h, docs/C/gdm.xml,
	  gui/gdmlogin.c, gui/greeter/greeter.c, 
	  gui/greeter/greeter_canvas_item.c, 
	  gui/greeter/greeter_configuration.h: Fixes bug #151018.  Adds
	  configuration option to disallow visible feedback in password entry.
	  Patch provided by John Martinsson.

Mon Feb 14 16:25:00 2005  Brian Cameron <Brian.Cameron@Sun.Com>

        * gui/gdmwm.c:
          (add_deco): Add PropertyChangeMask to notify mask.
          (gdm_wm_update_struts): New, listen for strut changes.
          (constrain_window): New, make sure a window doesn't overlap
          struts that it doesn't own.
          (event_process): Handle PropertyNotify events,
          and call gdm_wm_update_struts and constrain_all_windows
          if _NET_WM_STRUT property changes.
          (constrain_all_windows): New, constrain all windows in the
          gdmwm list.
          Fixes bug #143634.  Adds STRUTS support to GDM2's light
	  window manager for better a11y support.  Makes gdm2 work
	  better with gok.  Patch provided by Bill Haneman.

Mon Feb 14 16:20:00 2005  Brian Cameron <Brian.Cameron@Sun.Com>

	* acconfig.h, gui/modules/Makefile.am, 
	  gui/modules/dwellmouselistener.c,
	  gui/modules/keymouselistener.c:  Updated files to also integrate
	  patch for bug #142834.  A second patch to support XInput devices with
	  the gesture listeners.  Patch provided by Bill Haneman
	  <Bill.Haneman@Sun.com>.
	
Mon Feb 14 15:10:00 2005  Brian Cameron <Brian.Cameron@Sun.Com>

	* configure.in, gui/modules/AccessKeyMouseEvents.in,
	  gui/modules/Makefile.am, gui/modules/dwellmouselistener.c,
	  gui/modules/keymouselistener.c: Update gesture listeners so that they
	  listen for XInput events.  Also adds better default gestures for gok
	  and gnopernicus.  Fixes bug #142833.  Patch provided by Bill Haneman
	  <Bill.Haneman@Sun.com>.

Mon Feb 07 21:10:00 2005  Brian Cameron <Brian.Cameron@Sun.Com>

	* daemon/verify-pam.c: Support devperm for automatic login.

Thu Feb 02 16:40:00 2005  Brian Cameron <Brian.Cameron@Sun.Com>

	* config/Default.in, config/PostSession., config/XKeepsCrashing
	  config/Xsession.in:  Fixed bug #155154, the Alt and Meta keys are
	  swapped on Solaris.  Also fixes the usage of IFS so it works on
	  Solaris.  Patch by Leena Gunda.
	* gui/gdmsetup.desktop.in:  Fixed bug 161346.  

Thu Feb 02 15:35:00 2005  Brian Cameron <Brian.Cameron@Sun.Com>

	* daemon/slave.c: Fixed bug 135401.  Now support /etc/environment.
	  (Patch by Vincent Berger, vincent.berger@ext.bull.net)

Thu Feb 02 14:20:00 2005  Brian Cameron <Brian.Cameron@Sun.Com>

	* configure.in, config/gdm.conf.in, daemon/gdm.h: Cleaned up
	  the way the user's default PATH is set and allow it to be
	  configurable.  Also allow default Halt, Reboot, and Suspend
	  commands to be different on Solaris.
	* acconfig.h: Cleanup, added new configure options.
	* gui/greeter/greeter_parser.c, vicious-extensions/glade-helper.c:
	  Use ngettext for translation.  Fixes bug 106696.  Patch by
	  Christian Rose.
	
Wed Feb 02 11:20:00 2005  Brian Cameron <Brian.Cameron@Sun.Com>

	* Release 2.6.0.7

Tue Jan 28 15:35:00 2005  Brian Cameron <Brian.Cameron@Sun.Com>

	* This patch makes gdm2 build with newer versions of the build
	  tools.  Previously it was requiring automake-1.4, autoconf-1.4,
	  and aclocal-1.4.  Better error checking in the newer version
	  caught the following issues:
	* Makefile.am:  Added distuninstallcheck_listfiles for the
	  files in /var/scrollkeeper, which were causing "makedist"
	  to fail.  Removed intltool-modules/XML/Parser/Style/OrigTree.pm
	  from EXTRA_DIST since that file isn't required by newer 
	  versions of intltool.
	* omf.make, xmldocs.make:  Fixed errors in "makedist".   I found a
	  pointer to the fix here:
    	  mail.gnome.org/archives/desktop-devel-list/2003-December/msg00587.html
	* gui/Makefile.am, gui/greeter/themes/circles/Makefile.am,
	  gui/modules/Makefile.am, gui/greeter/themes/happygnome/Makefile.am,
	  config/Makefile.am, gui/greeter/themes/happygnome-list/Makefile.am:
	  Added clean-local and uninstall-hook to fix errors in "makedist".
	  Made sure all *.desktop files are in EXTRA_DIST.
	* daemon/slave.c: Not related to above patches.  Fixed grammar again
	  since we aren't in a string freeze.  Sorry for the confusion.  
	* autogen.sh: Now allow latest vicious-extensions to be included
	  in the release.  It was left out of the previous release due to
	  schedule freeze.

Tue Jan 25 17:18:00 2005  Brian Cameron <Brian.Cameron@Sun.Com>

	* daemon/slave.c: Fixed grammar.  Then backed out fix since just
	  realized we are in a string freeze.

Tue Jan 25 17:13:00 2005  Brian Cameron <Brian.Cameron@Sun.Com>

	* configure.in: Correct Solaris audit configure to include -lbsm when
	  needed.

Mon Jan 24 17:15:00 2005  Brian Cameron <Brian.Cameron@Sun.Com>

	* gui/gdmsetup.c: Corrected g_strconcat call.  Patch provided by
	  meissner@suse.de

Thu Jan 19 18:25:00 2005  Brian Cameron <Brian.Cameron@Sun.Com>

	* NEWS, MAINTAINERS: Added myself.  George has asked me to assist with
	  maintainership duties.

Thu Jan 13 17:59:05 2005  George Lebl <jirka@5z.com>

	* gui/gdmwm.c: don't init the wm twice if gdm_wm_init is called
	  twice.  Fixes the greeter hanging if something went wrong with
	  loading the theme.

	* gui/greeter/greeter.c: always destroy the dialog widget because
	  sometimes we don't actually exit.  Fixes non-fatal error dialogs
	  hanging around.

Tue Dec 14 12:23:35 2004  George Lebl <jirka@5z.com>

	* daemon/verify-pam.c: fix very unlikely possible leak

2004-12-09  Dwayne Bailey  <dwayne@translate.org.za>

	* configure.in: Added "zu" to ALL_LINGUAS.

2004-12-03  Dwayne Bailey  <dwayne@translate.org.za>

	* gui/gdmlanguages.c, config/locale.alias: add Zulu

2004-11-30  Dwayne Bailey  <dwayne@translate.org.za>

	* gui/gdmlanguages.c, config/locale.alias: add Afrikaans, Northern Sotho
	  and South African English

2004-11-27  Dwayne Bailey  <dwayne@translate.org.za>

	* configure.in: Added "nso" to ALL_LINGUAS.

Tue Oct 26 16:31:05 2004  George Lebl <jirka@5z.com>

	* Release 2.6.0.6

Tue Oct 26 15:51:58 2004  George Lebl <jirka@5z.com>

	* config/gdm.conf.in: update comments to reflect that the vt stuff
	  works on freebsd as well as linux

Tue Oct 26 15:24:21 2004  George Lebl <jirka@5z.com>

	* daemon/gdm.[ch]: Add a global cookie in <ServAuthDir>/.cookie which
	  can be used to authenticate if no display is available.

	* daemon/gdm.[ch]: add a SOP command to launch a new flexiserver
	  by "echo FLEXI_XSERVER >/var/lib/gdm/.gdmfifo"  No error detection
	  is possible then of course.  Patch from Tuukka Hastrup
	  <Tuukka.Hastrup@iki.fi> with some fixup to make it actually work
	  right.

Tue Oct 26 14:50:34 2004  George Lebl <jirka@5z.com>

	* daemon/gdm.c, daemon/server.c: Make autologin work on a second
	  display if the first display started is an unhandled or a chooser
	  server.

2004-10-21  Brian Cameron  <brian.cameron@sun.com>

	* acconfig.h, configure.in, config/gdm.conf.in: Set up Xnest
	  so it works properly on Solaris.

2004-10-14  Brian Cameron  <brian.cameron@sun.com>

	* config/gdm.conf.in: Minor change to wording in comments.

2004-10-05  Kjartan Maraas  <kmaraas@gnome.org>

	* config/locale.alias: Prefer nb_NO locale.

Fri Oct 01 12:07:18 2004  Ray Strode  <rstrode@redhat.com>

	* gui/greeter/greeter_action_language.c (selection_changed):
	Ensure that selection iterator is valid before using it.

Thu Sep 30 20:49:26 2004  George Lebl <jirka@5z.com>

	* daemon/slave.c: set GDM_XSERVER_LOCATION with the x server type

Thu Sep 30 10:50:00 2004  Brian Cameron  <brian.cameron@sun.com>

	* daemon/verify-pam.c: Now declare GdmUserId and GdmGroupId as
	  extern to avoid warnigns.

Wed Sep 29 17:15:00 2004  Brian Cameron  <brian.cameron@sun.com>

	* daemon/gdm.c, daemon/verify-pam.c: Cleaned up code and moved
	  final di_devperm_logout call in gdm.c so it properly resets
	  permissions to root when gdm-stop is run.

Tue Sep 22 12:45:00 2004  Brian Cameron  <brian.cameron@sun.com>

	* daemon/gdm.c, daemon/verify-pam.c: Modification to logindevperm
	  logic so that device permissions are given to the gdm user
	  while gdm is running.  This allows a11y programs like
	  gnopernicus to access the sound device for text-to-speech.
	  Minor correction to the logindevperm logout logic in 
	  verify-pam.c so that di_devperm_logout isn't called in
	  situations where di_devperm_login was not called.

Tue Sep 15 12:45:00 2004  Brian Cameron  <brian.cameron@sun.com>

	* configure.in: Corrected check for Solaris auditing API so it
	  will not set HAVE_ADT when building on Solaris 9 and earlier.
	  The auditing API supported in gdm2 is only supported on the
	  next release of Solaris.

Tue Sep 14 15:29:22 2004  George Lebl <jirka@5z.com>

	* Release 2.6.0.5

2004-08-27  Akagic Amila  <bono@linux.org.ba>

        * configure.in: Added 'bs' to ALL_LINGUAS.

Thu Aug 26 15:55:00 2004  Brian Cameron  <brian.cameron@sun.com>

	* docs/C/gdm.xml: Updated docs to include gdmflexiserver command
	  options, arguments for all GDM programs aside from gdm-binary
	  (which was already there), added accessibility section, and
	  cleaned up the XML so it is more readible.  Also added a 
	  comment that gdmlogin now lets you change the theme from the
	  menu.

Tue Aug 24 12:27:00 2004  Brian Cameron  <brian.cameron@sun.com>

	* verify-pam.c: No longer call logindevperm if not logging into
	  the console.  This corrects problems discovered by testing
	  on Solaris.

Wed Aug 18 13:12:29 2004  George Lebl <jirka@5z.com>

	* Release 2.6.0.4

Wed Aug 18 13:00:09 2004  George Lebl <jirka@5z.com>

	* daemon/slave.c: create .dmrc non group/world readable, though that's
	  probably just being overly strict.

Wed Aug 18 12:28:52 2004  George Lebl <jirka@5z.com>

	* gui/gdmsetup.c: Fix #143707 by using Exclude= as well for
	  the dropdown lists.

Wed Aug 18 12:15:39 2004  George Lebl <jirka@5z.com>

	* gui/gdmlanguages.c: Fix #150293 by adding localized name for
	  Bosnian.

Wed Aug 18 11:54:29 2004  George Lebl <jirka@5z.com>

	* gui/gdmlogin.c: don't resize the window after selection for
	  the amount of time it could take to double click, that way a
	  double click does not get lost.  Should fix some of the bugs,
	  but it seems they are mostly with the graphical greeter which is
	  not affected by this.

2004-08-16  Kjartan Maraas  <kmaraas@gnome.org>

	* configure.in: Added nb to ALL_LINGUAS.

Wed Aug 11 03:45:00 2004  Brian Cameron  <brian.cameron@sun.com>

	* acconfig.h: Added HAVE_LOGINDEVPERM and HAVE_ADT
	* configure.in: Added checking for Solaris logindevperm and
	  auditing API's.
	* Add logic so gdm2 supports Solaris logindevperm and
	  auditing.

Tue Aug 10 08:53:32 2004  George Lebl <jirka@5z.com>

	* gui/gdmlanguages.c: I should learn how to spell Denmark

Tue Aug 03 16:42:04 2004  George Lebl <jirka@5z.com>

	* gui/gdmlanguages.c, config/locale.alias: add Armenian to
	  fix #139454

Tue Aug 03 16:29:08 2004  George Lebl <jirka@5z.com>

	* gui/gdmlanguages.c: "fix" #148349 by adding French (Belgium),
	  French (Switzerland), German (Austria), German (Switzerland)
	  to the translation matrix applying the patch.  Patch from
	  Christian Rose

	* config/locale.alias: add de_AT, de_CH, fr_BE, fr_CH

	* gui/gdmlanguages.c: normalize english names, patch mostly from
	  Christian Rose, #148350

	* gui/gdmlanguages.c: fix #148356 by including a native version of
	  Azerbaijani language name

	* gui/gdmlanguages.c: fix #148486 by including native name for
	  Gujarati

	* gui/gdmlanguages.c: fix #148373 by fixing the greek language string

	* gui/gdmlanguages.c: add en_DK just to have the translation, but
	  don't add it to config/locale.alias

	* configure.in: fixing #148042 by settings GETTEXT_PACKAGE to gdm

	* gui/greeter/greeter_system.c: fix #147800 by changing the shortcut
	  for configure from c to g

	* gui/greeter/greeter.c, gui/greeter/greeter_configuration.c,
	  gui/greeter/greeter_system.c, gui/greeter/greeter_canvas_item.c:
	  Fix #147940 by actually checking if the command exists and not just
	  for NULLs, then disabling Halt, Suspend or Reboot is really as
	  simple as "RebootCommand=" as it is for gdmlogin

	* gui/gdmlogin.c, gui/gdmsetup.c, gui/gdmwm.c, gui/gdmcommon.c,
	  gui/gdmchooser.c, gui/greeter/greeter_item.c,
	  gui/greeter/greeter_action_language.c:
	  fix some compiler warnings

	* daemon/gdm.c: Fix #144076, 144077, the request denied errors
	  that are printed to syslog now just give the request by real name
	  instead of making it look like part of the sentence and so it
	  all makes more sense.

	* daemon/verify-pam.c: fix some compiler warnings

Fri Jul 02 Arvind Samptur  <arvind.samptur@wipro.com>

	* configure.in: Define a macro to set the xserver options
	  based on different xservers. Run Xsun with -nobanner

	* config/gdm.conf.in: Use the macro

Mon Aug 02 15:17:43 2004  George Lebl <jirka@5z.com>

	* config/Xsession.in: fix #144007 by setting $command before
	  sourcing any files which may screw up our argument array

Wed Jul 14 09:37:25 2004  George Lebl <jirka@5z.com>

	* Patch from Andreas Schubert <andreas.schubert@mathema.de>

	* daemon/filecheck.c, daemon/gdm.[ch]:  Add a CheckDirOwner key
	  to fix systems which have non-user-owned home dirs.

	* config/gdm.conf.in, doc/C/gdm.xml: Document the above addition.

Tue Jul 13 10:27:35 2004  George Lebl <jirka@5z.com>

	* gui/gdmlogin.c, gui/greeter/greeter_parser.c,
	  gui/greeter/greeter_system.c:  Use "Shut _Down" instead of
	  "Shut_down" consistently.  This string was already being used
	  so it doesn't add any new strings

	* daemon/gdm.c, daemon/getvt.c: Add FreeBSD support for VTAllocation
	  from Alexander Nedotsukov <bland@FreeBSD.org>

	* docs/C/gdm.xml: Add mention that VTAllocation now works on FreeBSD
	  as well.

Fri Jun 11 10:46:46 2004  George Lebl <jirka@5z.com>

	* Release 2.6.0.3

Mon Jun 07 09:17:23 2004  George Lebl <jirka@5z.com>

	* config/XKeepsCrashing: Add system-config-display and also check
	  for system-config-mouse.  FC2 is utter crack when it comes to
	  failing X server anyway so on my test machine system-config-display
	  don't work none anyway, but such is life, maybe it'll work for
	  someone (but FC2 of course doesn't run that on X errors anyway).

	* gui/gdmsetup.c: replace hacks with lesser hacks

Tue Jun 01 11:24:46 2004  George Lebl <jirka@5z.com>

	* gui/gdmlogin.c, gui/greeter/greeter_item_canvas.c,
	  gui/greeter/greeter.c, gui/gdmchooser.c, gui/gdmcommon.[ch]:
	  on non-local displays, and on displays other then the primary
	  :0 display, disable cursor blinking after 20 seconds of
	  inactivity as it eats bandwidth and cpu for nothing.
	  Should fix #135764

	* gui/gdmwm.c: minor cosmetic cleanup

Fri May 28 12:53:42 2004  George Lebl <jirka@5z.com>

	* config/XKeepsCrashing, config/PreSession.in,
	  config/PostSession.in, config/Xsession.in, config/Default.in:
	  Don't use which but our own private shell version since solaris
	  which is broken when there is no TTY.  Fixes #133245, partly
	  based on a patch by Brian Cameron

Fri May 28 12:35:22 2004  George Lebl <jirka@5z.com>

	* gui/gdmsetup.c, config/Makefile.am: solaris chown doesn't like 
	  a dot separator but : is the standard separator and works for
	  gnu chown as well, so switch to that.  Thanks to
	  vix@vazka.sk (Ivan Noris).  Fixes #142732

Fri May 28 12:01:02 2004  George Lebl <jirka@5z.com>

	* gui/gdmlogin.c, gui/greeter/greeter_item_ulist.c: Cut after
	  the comma in the gecos field if there is more then one comma
	  as then it's probably ugly arguments and not the name.  Fixes
	  #142274

Fri May 28 11:43:41 2004  George Lebl <jirka@5z.com>

	* gui/greeter/greeter_action_language.c: Apply patch from
	  leonard.michlmayr@ap.univie.ac.at (Leonard Michlmayr),
	  to make the language dialog at most 600 pixels tall to make it
	  look prettier.  Fixes #142175

Fri May 28 11:36:46 2004  George Lebl <jirka@5z.com>

	* daemon/gdm.c: Fix for #141497, that is the last_x_failed is
	  properly reset, we only restart 3 times and we allow those
	  to happen in a much longer timeframe (5 minutes), which is OK
	  since we reset on successful remanage rather then just based
	  on time.

Fri May 28 11:08:51 2004  George Lebl <jirka@5z.com>

	* configure.in: eek, evil we had GETTEXT_PACKAGE set to
	  gdm-2.4, but we want gdm-2.6 nowdays

	* daemon/gdm.c, daemon/misc.c: fix the ConsoleCannotHandle key
	  and cache it as soon as we can and also set
	  UNSAFE_TO_TRANSLATE=yes when forking something and console
	  can't handle the language

	* daemon/server.c: fix a minor fd leak and print a C locale
	  (don't want to translate this) error to the X log when the
	  X server cannot be exec'ed.

	* utils/gdmopen.c, utils/gdmtranslate.c, config/XKeepsCrashing:
	  Listen to UNSAFE_TO_TRANSLATE, since running shells in login
	  mode may modify the locale so we must force it to "C" where
	  we can if it is really unsafe (language in ConsoleCannotHandle)

Thu May 27 13:42:39 2004  George Lebl <jirka@5z.com>

	* gui/modules/dwellmouselistener.c, gui/modules/keymouselistener.c:
	  The screen code was wankered, it wanted HAVE_GTK_MULTIHEAD to be
	  defined to work properly and otherwise it confused bonobo which
	  is completely moronic (I mean bonobo is moronic) by using slightly
	  different (but perfectly legal) DISPLAY env var.

Wed May 26 18:23:14 2004  George Lebl <jirka@5z.com>

	* daemon/auth.c, daemon/display.c, daemon/gdm.[ch], daemon/misc.[ch],
	  daemon/server.c, daemon/slave.c, daemon/verify-pam.c, docs/C/gdm.xml,
	  config/gdm.conf.in:  Add a daemon/ConsoleCannotHandle key which
	  lists languages which should not be used on the console because
	  they won't work.  Uses "C" locale strings instead then.  Should
	  "fix" #135387, but I suppose there's no clean way to do this,
	  just let the distributors ship proper config files and have them
	  test it (yeah right).  I've tested the current set on RH9 and I
	  listed all of the ones that didn't work.

Wed May 26 17:34:51 2004  George Lebl <jirka@5z.com>

	* daemon/slave.c: Ensure proper .ICEauthority permissions, this
	  may fail on NFS, but who cares, there if it breaks it's beyond
	  our fixage anyway.  Should alleviate problems from #137345, though
	  that bug is really in libice usage and gnome-session.  libice is
	  incredibly evil.

	* utils/gdmtranslate.c: fix with the forte compiler, patch from
	  Brian Cameron, fixes #137600

Wed May 26 17:01:16 2004  George Lebl <jirka@5z.com>

	* gui/gdmsetup.c, daemon/misc.c: use shell quoting more properly

Wed May 12 20:36:33 2004  James M. Cape <jcape@ignore-your.tv>

	* */.cvsignore: Updates.
	* configure.in, pixmaps/Makefile.am, pixmaps/*/*: Added new icons for
	  gdmflexiserver -xnest and gdmsetup. The old pixmaps stay in pixmaps
	  because they are not "themed-icons" per-se.
	* pixmaps/gdm.png: Removed the old icon.
	* gui/gdmsetup.desktop.in, gui/gdmflexiserver*.desktop.in: Use the new
	  icons.

Thu May 06 16:06:55 2004  George Lebl <jirka@5z.com>

	* Release 2.6.0.2

Thu May 06 15:56:36 2004  George Lebl <jirka@5z.com>

	* configure.in: raise version, disable IPv6 by default, it's still
	  problematic and most use cases are IPv4 nowdays anyway.

Thu May 06 15:33:01 2004  George Lebl <jirka@5z.com>

	* daemon/verify-pam.c, daemon/slave.[ch]: Fix #119853 thanks to
	  investigation by Frederic Crozat.  PAM sometimes doesn't
	  go away after we tell it to and keeps asking questions even though
	  we want it to shut up and die.  So just keep telling it until
	  we succeed.  Also change the name of the _should_complain function
	  to _action_pending since that's more appropriate

Thu May 06 15:18:07 2004  George Lebl <jirka@5z.com>

	* daemon/verify-pam.c: attempt to fix #126984 and possibly others
	  where pam asks for the username AGAIN even though we gave it
	  a username.  PAM is on crack.  Just attempt to detect it and
	  give it the username without asking the user for it.

Thu May 06 09:59:48 2004  George Lebl <jirka@5z.com>

	* gui/misc.[ch], gui/gdmlogin.c, gui/gdmsetup.c,
	  gui/gdmchooser.c, gui/greeter/greeter.c: Apply and heavily
	  massage a patch from Muktha to add font setting to the theming
	  and finally fix #125070 hopefully 

	* daemon/misc.c: our gethostent should strip the ::ffff: since it's
	  confusing to rest of gdm and X in particular apparently, so whack
	  it from the hostname so that it doesn't get into the display
	  name.  Should fix #133246

	* gui/gdmlogin.c, gui/greeter/greeter_item_pam.c: fix #123958
	  by having an empty message clear the message string rather then
	  append an empty string.  Evil, but it fixes the bug.  PAM is one
	  large bug in fact, and would require a rather large flywatter to
	  fix, based on a patch from Frederic Crozat

Tue May 04 09:47:21 2004  George Lebl <jirka@5z.com>

	* daemon/display.c: Don't whack the socket_conn on display_manage
	  since that completely whacks out flexiserver error reporting and
	  breaks flexiserver.  Whoops!  (I should review innocent looking
	  patches better)

2004-04-09  John C Barstow  <jbowtie@amathaine.com>

        * configure.in: Added "mi" (Maori) to ALL_LINGUAS.

Fri Apr 16 16:02:53 2004  George Lebl <jirka@5z.com>

	* docs/C/gdm.xml: update version information, no changes.  I should
	  have done this before the release.

Fri Apr 16 16:00:50 2004  George Lebl <jirka@5z.com>

	* Release 2.6.0.1

Fri Apr 16 15:08:25 2004  George Lebl <jirka@5z.com>

	* daemon/auth.c: ensure clean building even if FamilyInternetV6
	  is not define (define it ourselves to '6' which is what it is)

	* configure.in: raise version

	* NEWS: update

Tue Apr 13 11:22:00 2004  George Lebl <jirka@5z.com>

	* config/gdm.conf.in: stop calling 'gdm' 'genius', I'm confusing
	  my projects :)

2004-04-09  Guntupalli Karunakar  <karunakar@freedomink.org>

        * configure.in: Added "gu" (Gujarati) to ALL_LINGUAS.

2004-04-08 Vijaykumar Patwari <vijaykumar.patwari@wipro.com>

	* daemon/auth.c (get_local_auths): Replaced Address Family, 
	FamilyInternet by FamilyInternetV6 for IPv6 while adding addresses 
	for authorization. Fixes "Remote login with IPv6 enabled".

Sun Apr 04 11:12:55 2004  George Lebl <jirka@5z.com>

	* daemon/misc.c, daemon/slave.c, daemon/display.c, daemon/gdm.c:
	  The ensure_sanity is now always called only from the main daemon
	  on display_manage (to avoid stepping on ones toes) and also it
	  checks /tmp/.X11-unix to have correct permissions as well.

Tue Mar 30 15:47:33 2004  George Lebl <jirka@5z.com>

	Fixes from: Jerry Wall <Jerry.Wall@Sun.COM>

	* daemon/display.c: in whack_old_slave, make sure to close
	  any stale pipes/sockets just in case

	* daemon/gdm.c: ignore SIGPIPE, it is possible that the slave
	  dies in a bad moment and we get a SIGPIPE

2004-03-31  Christian Rose  <menthos@menthos.com>

	* configure.in: Added "af" to ALL_LINGUAS.

2004-03-23  Guntupalli Karunakar  <karunakar@freedomink.org>

        * configure.in: Added "mr" for Marathi in ALL_LINGUAS.

2004-03-18  Gareth Owen  <gowen72@yahoo.com>

	* configure.in: Added en_GB to ALL_LINGUAS

2004-03-18  Guntupalli Karunakar  <karunakar@freedomink.org>

	* configure.in: Added "mr" for Marathi in ALL_LINGUAS.

Mon Mar 15 10:22:30 2004  George Lebl <jirka@5z.com>

	* Release 2.6.0.0

	* docs/Makefile.am: fix build

	* Makefile.am: did I not commit this build fix?

2004-03-15  Glynn Foster  <glynn.foster@sun.com>

	* configure.in, docs/Makefile.am: Add localized docs to build.
	* docs/*: Add de, es, fr, it, ja, ko, sv, zh_CN, zh_HK and zh_TW
	all from the Sun translation team.

Tue Mar 09 20:51:58 2004  George Lebl <jirka@5z.com>

	* config/gdm.conf.in, daemon/gdm.h: make DisplayLastLogin default
	  to 'false' since 'last' is stupid and non-localized, must make
	  our own version.  So this doesn't break 'code' freeze since it
	  doesn't change any code does it?

Thu Mar 04 11:08:42 2004  George Lebl <jirka@5z.com>

	* Release 2.5.90.2

	* Makefile.am: remove the sun gdmsetup-security fix as it was wrong
	  (probably was part of some other change)

Thu Mar 04 10:48:04 2004  George Lebl <jirka@5z.com>

	* daemon/slave.c: Handle out of diskspace on making user
	  authentication better by first trying to wipe old xsession-errors
	  files for this user as that could in fact be the culprit and
	  usually frees up enough to write ~/.Xauthority.  We should try more
	  things, this is a crucial point which could render the machine
	  unusable on a simple out of diskspace error.

Thu Mar 04 10:18:40 2004  George Lebl <jirka@5z.com>

	* configure.in, daemon/slave.c: Apply patch from
	  vincent.berger@ext.bull.net (Vincent Berger), to make
	  /etc/environment work on AIX using setpenv.  Fixes #135401

	* daemon/slave.c: cosmetic cleanup

	* daemon/errorgui.c: fix the reading of the session errors file
	  again.  Not critical, but we were showing just the first line.
	  DOH!

Mon Mar 01 08:25:45 2004  George Lebl <jirka@5z.com>

	* gui/gdmlanguages.c: remove en_DK, will add after string freeze.
	  Not a string that is actually displayed, I was just adding it to
	  the translation matrix

Mon Mar 01 08:21:37 2004  George Lebl <jirka@5z.com>

	* Makefile.am: Patch from Glynn Foster to fix installation of
	  gdmsetup-security

Sun Feb 29 10:30:35 2004  George Lebl <jirka@5z.com>

	* gui/greeter/greeter.c, gui/greeter/greeter_action_language.[ch]:
	  While investigating speed issues with language dialog make init
	  lazy and show the dialog before filling it with stuff to make it
	  seem like something is happening.

Sun Feb 29 10:02:51 2004  George Lebl <jirka@5z.com>

	* gui/gdmlanguages.c: Make gdm know about en_DK

2004-02-25  Danilo Šegan  <dsegan@gmx.net>

	* gui/gdmlanguages.c (languages): 

	* config/locale.alias: Add Canadian English (fixes #135053) --
	patch by Adam Weinberger <adamw@freebsd.org>.

2004-02-25  Danilo Šegan  <dsegan@gmx.net>

	* config/locale.alias: Add Serbian variants (#135232).

	* gui/gdmlanguages.c (languages): Added Serbian variants (#135232).

Tue Feb 24 14:44:29 2004  George Lebl <jirka@5z.com>

	* gui/gdmlanguages.c: lookup if we have code.enc@mod, try
	  code@mod after code.enc@mod and before code.enc and code
	  addresses #135232

2004-02-21  Christian Rose  <menthos@menthos.com>

	* configure.in: Added "en_CA" to ALL_LINGUAS.

Fri Feb 20 10:03:42 2004  George Lebl <jirka@5z.com>

	* display.c, server.[ch], slave.c: When restarting a server by
	  whacking it and starting it again, wait at least one second to
	  allow things to "settle".  If local display is busy try again once
	  in 2 secs before resorting to telling the user so.  Be much milder
	  in whacking X's lock files / sockets to avoid whacking actual
	  locks / sockets when displays are in fact busy and used, that is,
	  only whack locks / sockets when we in fact successfully started
	  a server.

THu Feb 19 Guntupalli Karunakar <karunakar@freedomink.org>

	* gui/gdmlanguages.c: Fixes #134372, Hindi was incorrectly
	  written Bengali script instead of Devanagari script.

Thu Feb 12 11:49:20 2004  George Lebl <jirka@5z.com>

	* daemon/display.c, daemon/errorgui.c, daemon/gdm.[ch],
	  daemon/server.c, daemon/slave.c, daemon/xdmcp.c,
	  gui/gdmchooser.c, gui/gdmlogin.c, gui/gdmsetup.c,
	  gui/greeter/greeter.c: Fixup the theme changing.  Add keys
	  GtkTheme, AllowGtkThemeChange and GtkThemesToAllow to control
	  this behaviour better.

	* docs/C/gdm.xml, config/gdm.conf.in: Update for the above changes
	  adding the GtkTheme, AllowGtkThemeChange and GtkThemesToAllow
	  keys

Wed Feb 11  Muktha <muktha.narayan@wipro.com>

	* daemon/gdm.[ch], daemon/slave.c, gui/gdmlogin.c,
	  gui/gdmchooser.c, gui/gdmsetup.c: Add support for
	  theming. Fixes #125070.

Sun Feb 08 14:11:41 2004  George Lebl <jirka@5z.com>

	* Release 2.5.90.1

Sun Feb 08 10:11:41 2004  George Lebl <jirka@5z.com>

	* gui/gdmlogin.c, greeter/greeter_item.c:  Fix #133189 by whacking
	  changing the string for 12 hour format from %I to %l

Sun Feb 08 09:57:56 2004  George Lebl <jirka@5z.com>

	* gui/gdmflexiserver.c: Apply patch to fix #133191 from 
	  msuarezalvarez@arnet.com.ar (Mariano Suárez-Alvarez)

2004-02-04  Tomasz Kloczko <kloczek@pld.org.pl>

	* configure.in: Trival cleanup: remove AC_SUBST(CFLAGS),
	  AC_SUBST(CPPFLAGS) and AC_SUBST(LDFLAGS). This variables are
	  substed by default.

Tue Jan 29  Brian Cameron <Brian.Cameron@Sun.COM>

	* gui/modules/keymouselistener.c:  Fixed so that it accepts
	  key gestures with a timeout of <= 0 if n_times is 1.  This
	  makes sense since timeout is not used if n_times is less
	  than 2.

Sun Jan 25 15:49:53 2004  George Lebl <jirka@5z.com>

	* gui/gdmflexiserver.c: minor cleanup

Tue Jan 23  Brian Cameron <Brian.Cameron@Sun.COM>

	* gui/modules/keymouselistener.c:  Fixed so that the state
	  is checked when KeyRelease events are processed.
	  Previously the code would think that a Control-G gesture
	  was made when only the "G" key was actually pressed.

Tue Jan 16  Brian Cameron <Brian.Cameron@Sun.COM>

	* daemon/misc.c:
	  Fixed core dumping error that was causing the greeter
	  to crash on Solaris after entering the username.

Thu Jan 15 12:45:02 2004  George Lebl <jirka@5z.com>

	* configure.in, daemon/verify-(crypt|shadow).c:
	  Apply patch from Vincent Berger <vincent.berger@ext.bull.net>
	  to re-fix #123766 by clearing the ADMCHG token.

Thu Jan 15 12:35:45 2004  George Lebl <jirka@5z.com>

	* daemon/gdm.c: Fix #131389 where if the slave crashed the
	  login field was not cleared

Tue Jan 13 08:40:29 2004  George Lebl <jirka@5z.com>

	* daemon/auth.c: Add sys/socket.h include to fix compilation
	  on freebsd, fixes #130963, thanks to Joe Marcus Clarke
	  <marcus@freebsd.org>

	* daemon/verify-crypt.c, daemon/verify-shadow.c: Fix compilation
	  of the crypt and shadow compilation.  Fixes #131042

Thu Jan 08 10:23:32 2004  George Lebl <jirka@5z.com>

	* Release 2.5.90.0

Tue Jan 06 17:16:40 2004  George Lebl <jirka@5z.com>

	* confiogure.in: fix INTLTOOL test

Tue Jan 06 17:06:42 2004  George Lebl <jirka@5z.com>

	* gui/greeter/themes/*/*: remove the xml.in files and readd the .xml
	  files.  There are no translations done anymore.

	* config/gdm.conf.in, daemon/gdm.[ch], daemon/misc.[ch],
	  daemon/slave.c, daemon/verify-crypt.c, daemon/verify-pam.c,
	  daemon/verify-shadow.c: Add support for displaying last login
	  information if daemon/DisplayLastLogin is set (default to true).
	  Fixes #128940

	* daemon/verify-crypt.c, daemon/verify-shadow.c:  The 'user already
	  logged in' (double login warning) dialog thingie should only be
	  shown AFTER all verification is done (as it does for PAM setups)

	* docs/C/gdm.xml: update for DisplayLastLogin

	* config/gdm.conf.in, daemon/gdm.h: the RetryDelay is annoying at 3
	  now that it works.  Set it to 1.

Tue Jan 06 16:06:12 2004  George Lebl <jirka@5z.com>

	* gui/gdmflexiserver.c: the console/vt check for check_for_users
	  was completely wrong

Tue Jan 06  Brian Cameron <Brian.Cameron@Sun.COM>

	* gui/modules/dwellmouselistener.c,
      gui/modules/keymouselistener.c:  Moved include of vicious.h 
      before gnome.h because gnome.h causes macros to be defined
      for dcgettext, dgettext, gettext, textdomain, bindtextdomain.
      And this causes a conflict with Solaris libintl.h which is
      included by locale.h which is included by vicious.h.
 
Tue Jan 06 11:49:29 2004  George Lebl <jirka@5z.com>

	* daemon/display.c, daemon/gdm.h, daemon/server.c, daemon/slave.c,
 	  daemon/xdmcp.c:  Fix #125064 by correctly reading out the chooser
	  output and ignoring all but the last line.

	* gui/gdmchooser.c: Send a newline BEFORE the chosen host as well
	  as after.  Also fix reading the address on hosts that have IPV6,
	  but that don't use it.

	* gui/greeter/greeter_action_language.c: Get rid of evil 'foo == FALSE'
	  kind of test

	* gui/modules/Makefile.am, gui/modules/dwellmouselistener.c,
	  gui/modules/keymouselistener.c:  Link with ve so that we can use it
	  and ensure that our BINDIR is in the PATH.

Tue Jan 06 10:17:41 2004  George Lebl <jirka@5z.com>

	* daemon/slave.c: small leak fix

	* daemon/slave.c: make greeter restarting on notify smarter and
	  also restart the greeter when the modules stuff changed

	* gui/modules/keymouselistener.c, gui/modules/dwellmouselistener.c:
	  Fix #125153 by changing to busy cursor for 2 seconds after
	  launching something.

	* daemon/verify-shadow.c, daemon/verify-crypt.c: loginrestrictions
	  doesn't use glib to allocate the message (AIX only)

Mon Jan 05 23:35:55 2004  George Lebl <jirka@5z.com>

	* gui/greeter/greeter_action_language.c: apply patch from #123199
	  to allow double click on language to select it.  Patch by 
	  Kirk Mitchener <kmitchener@idc.com>

Mon Jan 05 23:30:38 2004  George Lebl <jirka@5z.com>

	* daemon/gdm.[ch], daemon/slave.c, daemon/misc.[ch],
	  daemon/getvt.[ch]:  Add QUERY_VT and SET_VT commands that handle
	  the VT's on linux.  This is because not all console logins will
	  actually own /dev/console.  When we change to a VT that we own,
	  also twiddle the cursor to turn off any screensaver or tickle
	  the xscreensaver lock dialog etc...

	* gui/gdmcomm.c: handle displays with the screen thingie set
	  correctly (that is whack the screen part, GDM is not interested
	  in it).

	* gui/gdmflexiserver.c: Fix #127038 by presenting a list of already
	  logged in users / open displays (on the console).  This code may
	  be useful to steal for other such switchers.

	* daemon/cookie.c: don't read root's mail to get entropy, that may
	  be evil actually.

Fri Jan 02 16:31:34 2004  George Lebl <jirka@5z.com>

	* config/PreSession.in: fix bad color string

	* config/gdm.conf.in: add full path to the default list of modules
	  comment

	* daemon/verify-pam.c: don't use the pam_fail_delay but rather the
	  fallback only.  The fail delay will block at bad times when we
	  don't want it too.

	* gui/gdmsetup.c: save the config after flicking the accessibility
	  modules setting and set default path on the sounds thing
	  to /usr/share/sounds, even though it doesn't work because the
	  stupid GnomeFileEntry is broken!  Will file a bug/fix it later.

2004-01-03  Robert Sedak  <robert.sedak@sk.htnet.hr>

        * configure.in: Added "hr" in ALL_LINGUAS.

Thu Jan 01 11:24:30 2004  Ray Strode <halfline@hawaii.rr.com>

	* daemon/gdm.c (handle_user_message): Fix bug where
	REBOOT would get written to the socket before the separator
	when user queries available logout actions.

Thu Jan 01 10:39:00 2004  Ray Strode <halfline@hawaii.rr.com>

	* gui/gdmcomm.c (gdmcomm_get_display): Plug small leak.

Wed Dec 31 09:57:18 2003  George Lebl <jirka@5z.com>

	* Makefile.am: add the OrigTree.pm file here to make intltool happy

Tue Dec 30 15:34:59 2003  George Lebl <jirka@5z.com>

	* daemon/gdm.c, daemon/auth.c:  Complain on some more errors

	* gui/gdmlogin.c, gui/gdmcommon.[ch], gui/gdmsetup.(c|glade),
	  gui/greeter/greeter.c, gui/greeter/greeter_configuration.h,
	  daemon/gdm.[ch], daemon/slave.c: Make the login sound thingie
	  configurable and make it possible to play an arbitrary sound with
	  /usr/bin/play (or whatever else is configured).  Add accessibility
	  section to gdmsetup which configures the accessibility modules
	  and the sound.  Fixes #125487

	* gui/gdmsetup.glade: Fix #120639 by indenting the chooser and
	  config toggles

	* config/gdm.conf.in, docs/C/gdm.xml:  Update docs for the
	  accessibility/sound stuff

Mon Dec 29 16:52:32 2003  George Lebl <jirka@5z.com>

	* daemon/gdm.[ch]: add SET_SAFE_LOGOUT_ACTION which is like schedule
	  for kdm.  Also implement the logout action in a cleaner fashion
	  without resorting to the DIRTY_SERVERS hacky thingie.

	* configure.in, docs/C/gdm.xml, daemon/gdm.h: set version to 2.5.90.0
	  since it's really for gnome 2.5 not 2.4

Thu Dec 04 17:01:21 2003  Leena Gunda <leena.gunda@wipro.com>

	* daemon/verify-pam.c:
	  pass the time in microseconds to pam_fail_delay().
	  Fixes bug #128507

Fri Dec 19 17:04:31 2003  George Lebl <jirka@5z.com>

	* daemon/gdm.h, config/PreSession.in, config/gdm.conf.in: Make
	  default color #76848F to fix #128220.  Also in the PreSession
	  script try to grab the color from the gdm.conf file when
	  doing the xsetroot.

Fri Dec 19 16:50:12 2003  George Lebl <jirka@5z.com>

	* daemon/slave.c, daemon/gdm.[ch], daemon/auth.c, daemon/misc.c:
	  Lots of general paranoia stemming from fixing #127780.  Make sure
	  that the NEVER_FAILS_ eid/uid setting never actually fails by just
	  setting euid root before doing anything and such.

Fri Dec 19 15:44:03 2003  George Lebl <jirka@5z.com>

	* configure.in, acconfig.h, daemon/verify-(crypt|shadow).c: Massage
	  and then apply a patch from Vincent Berger
	  <vincent.berger@ext.bull.net> to add password expiration and
	  checking in the crypt/shadow code, at least on AIX.  Fixes
	  #123766

Fri Dec 19 15:30:31 2003  George Lebl <jirka@5z.com>

	* gui/gdmsetup.c: remove the default size setting on the file
	  chooser to fix bug #129116

Fri Dec 19 12:28:10 2003  George Lebl <jirka@5z.com>

	* daemon/xdmcp.c: protect the sys/sockio.h include with
	  the HAVE_SYS_SOCKIO_H define check to fix compilation on linux

Fri Dec 19 12:22:18 2003  George Lebl <jirka@5z.com>

	* daemon/gdm.h, daemon/*.c, gui/*.c: use VE_IGNORE_EINTR instead
	  of IGNORE_EINTR and use this on more calls which can still
	  apparently fail with EINTR on completely braindead systems.
	  EINTR is evil.  It is PURE EVIL I tell you!

Mon Dec 17  Brian Cameron <Brian.Cameron@Sun.COM>

	* configure.in
	Now use -lresolv when building on Solaris so that inet_aton can be
	found.

Mon Dec 15  Brian Cameron <Brian.Cameron@Sun.COM>

	* daemon/xdmcp.c:
	Add include of <sys/sockio.h> which is needed on Solaris in order
	to reference SIOCGIFCONF and SIOCGIFFLAGS.

Fri Dec 12 17:56:58 2003  George Lebl <jirka@5z.com>

	* daemon/gdm.[ch], daemon/slave.c, daemon/xdmcp.c, docs/C/gdm.xml:
	  add a GO fifo SOP command and a --wait-for-go command line option.
	  This is intended to allow an initialization script to start X
	  early and have that be the GDM display, but not allow users to
	  log in until it's ready.

Fri Dec 12 17:14:41 2003  George Lebl <jirka@5z.com>

	* daemon/gdm.h, gui/gdmlogin.c, gui/greeter/greeter.c,
	  config/gdm.conf.in, docs/C/gdm.xml: There's now the ability to
	  reap flexiservers that are inactive for a period of time.  The
	  default time is 5 minutes.

	* gui/gdmcomm.c: add the new error codes (7 and 200) to the error
	  message table

Fri Dec 12 09:36:34 2003  George Lebl <jirka@5z.com>
 
        * gui/gdmcomm.c: check ownership of /tmp/.gdm_socket before using

Wed Dec 10 18:40:48 2003  George Lebl <jirka@5z.com>

	* daemon/gdm.[ch]: append a '!' to the action which was previously
	  selected (if one was)

Wed Dec 10 15:44:53 2003  George Lebl <jirka@5z.com>

	* configure.in: require gtk 2.3

	* Apply following patch from bugzilla to fix #128668

	2003-12-06  Jan Arne Petersen  <jpetersen@uni-bonn.de>

	* gui/gdmsetup.c: (install_response), (install_new_theme): replace
	  GtkFileSelection with GtkFileChooser.

Wed Dec 10 15:36:31 2003  George Lebl <jirka@5z.com>

        * daemon/display.c: Fix #126465 where xdmcp_sessions would not
          get decremented on normal logout.  Doh!  Just do a recount of
          all the limits on display dispose that is just a lot more robust.

	* daemon/xdmcp.c: minor cosmetic cleanup

Wed Dec 10 13:08:13 2003  George Lebl <jirka@5z.com>

	* daemon/gdm.[ch], daemon/display.c, daemon/gdm-net.[ch],
	  daemon/server.c, daemon/xdmcp.c:  Add possibility to request
	  logout action to happen when the display dies using the SUP socket
	  protocol.  Very loosely based on a patch from Jarno Gassenbauer,
	  but simplified and not having a DoS and/or authentication leak
	  as the original patches do.  The commands are named different to
	  avoid naming conflict.

	* daemon/gdm.h, config/gdm.conf.in, docs/C/gdm.xml,
	  config/Makefile.am, gdm.spec.in: move the built in sessions to
	  a more appropriate place (datadir)

	* gui/gdmcommon.[ch], gui/gdmlogin.c, gui/greeter/greeter.[ch],
	  gui/greeter/greeter*.c: move some common utility functions to
	  a common sublibrary (renamed the language lib to libgdmcommon),
	  should cut down a little on the code duplication.  Needs more.

	* gui/gdmcommon.[ch], gui/gdmlogin.c, gui/greeter/greeter.c,
	  docs/C/gdm.xml, daemon/gdm.h, config/gdm.conf.in: Apply a patch
	  from Anton Altaparmakov to add an optional info message to the
	  greeters.  Fixes #125219

	* gui/gdmsetup.c: fix RH #97716 by putting up a dialog when user
	  tries to input root for the first time

	* docs/C/gdm.xml: minor updates.

	* daemon/gdm.c: GdmStandardXServer can now have arguments (we used
	  to parse them, but if there were arguments, sanity checks would
	  fail making it not work), so no real change in how it works, it
	  just accepts more inputs

Wed Dec 10 2003 Archana Shah <archana.shah@wipro.com>

	* docs/C/gdm.xml: Add documentation for Multicast and Multicast_Addr. 

Fri Dec 09 2003 Archana Shah <archana.shah@wipro.com>

	* configure.in : Put check for getaddrinfo, inet_ntop and structure
	  sockaddr_storage.

	* acconfig.h : Undefine ENABLE_IPV6

	* daemon/slave.c:
	  (send_chosen_host): Used getaddrinfo to resolve the hostname.

	* daemon/choose.c:
	  (gdm_choose_indirect_alloc) (gdm_choose_indirect_lookup):
	  Changed prototype to have sockaddr_storage in place of sockaddr_in if
	  IPv6 is enabled and changed the function accordingly.
	  (gdm_choose indirect_lookup_by_chosen6): Function is added as a
	  replacement of its IPv4 equivalent if IPv6 is enabled.
	  (gdm_choose_direct_dispose)(gdm_choose_data): Changed for IPv6.

	* daemon/auth.c:
	  (gdm_auth_secure_display): If IPv6 is enabled then we are dealing with
	  IPv6 addresses. Used getaddrinfo for address resolution.

	* daemon/gdm.h: A field of type struct in6_addr is added to structure
	  _GdmDisplay. In structure _GdmIndirectDisplay a field of type in6_addr
	  is added and an existing field dsp_sa is changed to be of type
	  sockaddr_storage if IPv6 is enabled on the system.
	  _GdmForwardQuery structure will have members of type sockaddr_storage
	  instead of sockaddr_in if IPv6 is enabled.
	  Two new macros are defined for multicasting.

	* daemon/misc.c:
	  (have_ipv6): Function added to check run-time IPv6 support.
	  (gdm_get_free_display): We will deal with IPv6 address if
	  IPv6 is enabled.
	  (gdm_peek_local_address_list): Using getaddrinfo to generate the
	  address list.
	  (gdm_is_local_addr6)(gdm_is_loopback_addr6): These will be used with
	  IPv6 addresses.
	  For IPv4 addresses, continue to use their IPv4 counter parts.

	* daemon/xdmcp.c:
	  (gdm_xdmcp_handle_forward_query), (gdm_xdmcp_handle_request),
	  (gdm_xdmcp_handle_query), (gdm_xdmcp_handle_manage),
	  (gdm_xdmcp_handle_managed_forward), (gdm_xdmcp_handle_got_managed),
	  (gdm_xdmcp_handle_keepalive), (gdm_xdmcp_send_willing),
	  (gdm_xdmcp_send_unwilling), (gdm_xdmcp_send_accept),
	  (gdm_xdmcp_send_decline), (gdm_xdmcp_send_refuse ),
	  (gdm_xdmcp_send_failed), (gdm_xdmcp_send_alive),
	  gdm_xdmcp_send_managed_forward), (gdm_xdmcp_host_allow),
	  (gdm_forward_query_alloc), (gdm_forward_query_lookup):
	  All these functions will receive sockaddr_storage type argument if
	  IPv6 is enabled on the system.
	  (gdm_xdmcp_whack_queued_managed_forwards6),
	  (gdm_xdmcp_send_got_managed_forward6),
	  (gdm_xdmcp_display_alloc6), (gdm_xdmcp_displays_from_host6),
	  (gdm_xdmcp_displays_from_host6):
	  All these functions are added to deal with IPv6 addresses.
	  Their IPv4 equivalents will remain as it is.
	  structure ManagedForward is changed to have sockaddr_storage field
	  in place of sockaddr_in if IPv6 is enabled.
	  (have_ipv6): Function added to check run-time IPv6 support.
	  (gdm_xdmcp_init), (gdm_xdmcp_decode_packet):
	  These functions are modified to deal with IPv6 addresses as well.

	* gui/gdmchooser.c:
	  Structure _GdmChooserHost will have an added field of type in6_addr
	  if IPv6 is enabled on the system.
	  A global variable of type in6_addr is added.
	  (gdm_chooser_host_alloc), (gdm_host_known), (is_loopback_addr),
	  (gdm_addr_known), (gdm_chooser_decode_packet),
	  (gdm_chooser_find_bcaddr), (do_ping),
	  (gdm_chooser_xdmcp_discover), (gdm_chooser_add_hosts),
	  (gdm_chbooser_xdmcp_init), (gdm_chooser_choose_host), (add_check),
	  (gdm_chooser_add_host), (gdm_chooser_parse_config):
	  Changed so that they all can deal IPv6 addresses.
	  (gdm_chooser_find_mcaddr): Function added to set the multicast
	  address.

	* gui/gdmXnestchooser.c:
	  (have_ipv6): Added function to check for run time IPV6 support.
	  (gte_free_display): Changed for IPv6.

Thu Nov 06 09:51:45 2003  George Lebl <jirka@5z.com>

	* daemon/gdm.c: whack some stale code, mark some messages for translation

	* daemon/slave.c: whack all clients inside the session stop.  Should
	  "fix" #126071 although I don't see a clean way to fix that.
	  There's always a race as clients could still not be all dead by the
	  time we call close session.  But perhaps this helps matters a bit.

Fri Oct 17 10:54:12 2003  George Lebl <jirka@5z.com>

	* Release 2.4.4.5

Fri Oct 17 10:40:08 2003  George Lebl <jirka@5z.com>

	* gui/gdmlogin.c, gui/greeter/greeter_item_ulist.c:  Apply patch
	  from Frederic Crozat <fcrozat@mandrakesoft.com> to make gecos 
	  into utf8 before displaying it in the face browser.

	* daemon/auth.c: make sure that umask 077 before reopening the
	  .Xauthority since apparently it can happen that the file doesn't
	  exist then.

Thu Oct 16 09:55:55 2003  George Lebl <jirka@5z.com>

	* Release 2.4.4.4

	* config/shell-extract.sh: fix extracting of text from
	  shell scripts.

Thu Oct 16 09:13:48 2003  George Lebl <jirka@5z.com>

	* daemon/gdm.[ch], daemon/gdm-net.[ch]: Make the socket connection
	  non-blocking and limit conversations to 20 requests.  Also
	  cut lines short at 4096.  Fixes CAN-2003-0793 and CAN-2003-0794
	  respectively.

	* daemon/slave.c: fix #123958 by clearing the message after
	  authentication is done for the configurator.

	* daemon/Makefile.am, gui/greeter/Makefile.am, gui/Makefile.am,
	  gui/modules/Makefile.am:  The disable_deprecated defines should
	  only be on for conformance testing I suppose.  Fixes #124680

Wed Oct 15 14:19:59 2003  George Lebl <jirka@5z.com>

	* gui/greeter/greeter_item.c: the rich string parsing routine was
	  broken if the underline was for the last letter.  Fixes bug
	  discussed in rh #106189

Sun Oct 12 05:55:20 2003  Richard Allen <ra@ra.is>

	* Added is.po

Fri Oct 10 13:58:47 2003  George Lebl <jirka@5z.com>

	* config/gdm.conf.in: forgot to add -audit 0 to Xnest

Fri Oct 10 13:53:08 2003  George Lebl <jirka@5z.com>

	* config/gdm.conf.in: avoid possible dos by turning
	  off all audit trails in the X server on standard
	  config. (use "-audit 0" command line)

Thu Oct 09 11:11:23 2003  George Lebl <jirka@5z.com>

	* gui/greeter/greeter_canvas_item.c: fix the line breaking not to
	  crash, though it is still horrible.  It is in fact now an even
	  more horrible hack.

Mon Oct 06 15:02:19 2003  George Lebl <jirka@5z.com>

	* daemon/gdm.[ch], daemon/auth.c, daemon/slave.c:
	  touch auth files in /tmp every 12 hours so that
	  they don't get whacked by tmpwatch.  Also add an
	  option to short circuit the NFS test option to
	  allow cookies on NFS (NeverPlaceCookiesOnNFS)

	* gui/greeter/greeter.c: Display dialog about not
	  being able to load the theme even when not running
	  in debug mode.  So that missing/bad themes don't
	  just look like greeter crashes (see rh #106189 for
	  people getting confused by bad spec file)

	* config/gdm.conf.in: add the NeverPlaceCookiesOnNFS
	  key

	* docs/C/gdm.xml: add info about NeverPlaceCookiesOnNFS

Fri Oct 03 14:03:31 2003  George Lebl <jirka@5z.com>

	* daemon/errorgui.c: include <signal.h> to fix build
	  on solaris

Fri Oct 03 13:40:22 2003  George Lebl <jirka@5z.com>

	* daemon/auth.c: when the ~/.Xauthority didn't exist
	  and we tried to create it but failed due to root
	  squashing, whack the file (we created as user, but
	  can't access it as root).

Mon Sep 29 14:32:18 2003  George Lebl <jirka@5z.com>

	* config/PreSession.in, config/PostSession.in, config/XKeepsCrashing,
	  config/Xsession.in:  Be more careful with shell stuff and quote
	  whatever we can, should fix rh #105858.

	* daemon/misc.c, config/XKeepsCrashing: Don't use gdialog as it's
	  nowdays just a wrapper on zenity

Fri Sep 26 13:38:55 2003  George Lebl <jirka@5z.com>

	* daemon/slave.c: in a further fit of strictness, stat the file
	  even before handing it to the greeter and don't allow other
	  then regular files.

Fri Sep 26 10:44:18 2003  George Lebl <jirka@5z.com>

	* daemon/slave.c: to be even more strict about filenames of user pics,
	  first run through realpath first.

Thu Sep 25 15:42:20 2003  George Lebl <jirka@5z.com>

	* Release 2.4.4.3

Thu Sep 25 15:38:38 2003  George Lebl <jirka@5z.com>

	* daemon/gdm.c, daemon/getvt.c: add a little color to the logout
	  message, correctly set the fonts here.  remove the stupid
	  /bin/clear hack and the /bin/chvt hack and replace it with
	  actual code.  Plus a teeny bit of cleanup

	* utils/gdmopen.c: some minor cleanup

	* configure.in: raise version

Thu Sep 25 11:23:24 2003  George Lebl <jirka@5z.com>

	* daemon/errorgui.c, daemon/slave.c: be even more strict
	  about the setuid stuff here (it can't actually fail, but
	  just in case, we're being paranoid)  Also reset the
	  environment and desetuid for the setup program even
	  though that's not really needed.

Thu Sep 25 10:37:38 2003  George Lebl <jirka@5z.com>

	* daemon/auth.c, daemon/filecheck.[ch], daemon/gdm.[ch],
	  daemon/misc.c, daemon/slave.c:  Auditing the file handling
	  stuff, increase general paranoia and code strictness about
	  these things plus check pretty much every return of the
	  sete[ug]id even though they are pretty much guaranteed
	  to exist.  Being paranoid here is good.  Allow the
	  authentication cookie be given in upper case hex for
	  the socket protocol.

Wed Sep 24 18:01:06 2003  George Lebl <jirka@5z.com>

	* daemon/slave.c: add some extra strictness to the slave when looking
	  at the session name supplied in .dmrc, and also be careful about
	  what we read as the user pic.

Wed Sep 24 16:34:02 2003  George Lebl <jirka@5z.com>

	* gui/greeter/greeter_item_pam.c, gui/greeter/greeter_geometry.c,
	  gui/greeter/greeter_canvas_item.[ch]: rework the text wrapping
	  stuff.  Now we use pango to figure out where breaks should be
	  and then do a pretty stupid algorithm to break the string at
	  the requested length.  This works better it seems and isn't
	  perhaps on as much crack as messing with the canvas text items
	  pango layout.  It's still on crack however.

Wed Sep 24 13:21:43 2003  George Lebl <jirka@5z.com>

	* daemon/slave.c: don't exec chooser/greeter in shell that's kind of
	  evil and resets too many env vars.  Instead reset to the original
	  env first and then setup our env vars and exec the greeter or
	  chooser.

	* gui/greeter/greeter.c, gui/greeter/greeter_canvas_item.[ch],
	  gui/greeter/greeter_events.c, gui/greeter/greeter_geometry.c,
	  gui/greeter/greeter_item.[ch],
	  gui/greeter/greeter_item_customlist.c,
	  gui/greeter/greeter_item_pam.c, gui/greeter/greeter_parser.c:
	  Fix bug #123017 with use of evil hacks (as if the original
	  text code was not evil). Check max-width and
	  max-screen-percent-width attributes for label pos elements.
	  Wrap text if it goes over it's width or the max-width
	  (Mental note: the greeter layout stuff is on complete crack
	  and should be rewritten with great prejudice).  Also while
	  at it save an extra 112 bytes off every element by using
	  more appropriate types and some unions, adds up to about
	  5k for Bluecurve so it's not much actually.  Also fix
	  the enriched string parsing to understand \n just like
	  gdmlogin does

	* gui/greeter/themes/circles/circles.xml.in,
	  gui/greeter/themes/happygnome/happygnome.xml.in,
	  gui/greeter/themes/happygnome-list/happygnome.xml.in:
	  For some reason the canvas now gives me larger fonts, so
	  use smaller fonts and tweak the layout a bit.

	* docs/C/gdm.xml: update the docs a bit

Tue Sep 23 10:16:08 2003  George Lebl <jirka@5z.com>

	* gui/greeter/gdmthemetester: fix shell parse error

	* gui/greeter/greeter_canvas_item.c, gui/greeter/greeter_parser.c:
	  parse and use font and color info for the entry types.  The
	  documentation is unclear but would sort of imply this is 
	  possible.  Plus it is good for making large font themes.
	  Based on a patch from: Anton Altaparmakov <aia21@cam.ac.uk>

Mon Sep 22 15:37:03 2003  George Lebl <jirka@5z.com>

	* Release 2.4.4.2

Mon Sep 22 15:35:23 2003  George Lebl <jirka@5z.com>

	* daemon/slave.c, daemon/misc.[ch]: add a func to get a specific
	  stored env var.  Check in the stored PATH for TryExec and
	  only check TryExec when finding a session when nothing else
	  is given.  The greeters really take care of TryExec.

Mon Sep 22 15:19:21 2003  George Lebl <jirka@5z.com>

	* config/gnome.desktop.in: add TryExec=gnome-session

Mon Sep 22 15:16:05 2003  George Lebl <jirka@5z.com>

	* config/Makefile.am: in the old location where we're not replacing
	  the files, move them rather then just copy them to avoid duplicate
	  copies.  Also just append the .orig extension, we handle that
	  now

	* gui/gdmlogin.c, gui/greeter/greeter_session.c: Fix the extension
	  handling checking and default.desktop.rpmorig and such won't be
	  treated as .desktop files anymore

Mon Sep 22 15:01:41 2003  George Lebl <jirka@5z.com>

	* daemon/gdm.h, config/gdm.conf.in: use $datadir/xsessions instead of
	  hardcoding /usr/share/xsessions

	* config/Makefile.am: install gnome.desktop and CDE.desktop into the
	  datadir location as they're not config and this way we share them
	  with KDM, yay.  They should be installed by respective owner
	  packages at some point though ...

	* docs/C/gdm.xml: update a bit.

Mon Sep 22 13:55:50 2003  George Lebl <jirka@5z.com>

	* gui/modules/dwellmouselistener.c: fix error handling / leaks

	* gui/modules/keymouselistener.c: fix error handling and leaks,
	  fix the stupid and annoying as hell "turn of key-repeat" hack,
	  fix using modifier keys as the gestures themselves (#122944)

	* gui/modules/AccessKeyMouseEvents.in: fix documentation a bit

	* daemon/errorgui.c: listen to all events on the dialogs to
	  make the accessibility gestures work

Mon Sep 22 12:25:44 2003  George Lebl <jirka@5z.com>

	* daemon/errorgui.c: re-enable the gtk modules stuff, it wasn't
	  linkage issues but in fact not setting stuff like $HOME properly.

	* daemon/misc.c: unset SIGABRT, SIGXFSZ and SIGXCPU in
	  gdm_unset_signals else bad things happen (as I found out by
	  the modules excersise)
	  
	* daemon/slave.c: kill unused var warning.

Mon Sep 22 11:25:30 2003  George Lebl <jirka@5z.com>

	* daemon/slave.c: catch exit code 1 from greeter as fail error

	* daemon/errorgui.c: disable the gtk modules loading, this is broken
	  due to bonobo non-linkage here, will need to reevaluate linkage
	  all over wrt a11y.  Also catch when the dialog dies and try again
	  first with no themes then with absolutely no modules as well.

Mon Sep 22 10:20:56 2003  George Lebl <jirka@5z.com>

	* daemon/errorgui.c: add the gtk modules to error dialogs, so
	  that accessibility works there as well.

	* daemon/slave.c: Look in ~/.face and ~/.face.icon to get faces set
	  by KDM.  Also a bit of cleanup in the face reading routine.

Mon Sep 22 10:03:10 2003  George Lebl <jirka@5z.com>

	* daemon/slave.c, gui/gdmlogin.c, gui/greeter/greeter_session.c: Fix
	  session masking by path in the greeters and rework the 'Desktop'
	  -> 'desktop' migration code to be correct and simpler (migrate
	  where we read from the ~/.dmrc)

Sat Sep 20 09:32:52 2003  George Lebl <jirka@5z.com>

	* gui/gdmlogin.c, gui/greeter/greeter_session.c: test for defsess and
	  savedsess in testing for switchdesk mode default rather then
	  'default.desktop'

Fri Sep 19 18:59:28 2003  George Lebl <jirka@5z.com>

	* gui/gdmlogin.c, gui/greeter/greeter_session.c: fix rh bug #104287,
	  The default session is not 'Xclients.desktop' but
	  'default.desktop'.  Also don't talk of 'switchdesk' if
	  /usr/bin/switchdesk is not around.

Fri Sep 19 18:00:37 2003  George Lebl <jirka@5z.com>

	* daemon/slave.c: Launch the greeter from a shell so that we get
	  a nice environment.  This is needed for both TryExec in the
	  sessions and for finding things in the path for the accessibility
	  modules

	* gui/gdmlogin.c: select all events on the login window, this will
	  catch all events so that the modules get them

	* gui/modules/AccessDwellMouseEvents.in,
	  gui/modules/AccessKeyMouseEvents.in: update the docs here and
	  use the path.  Also change <Mouse0> to <Mouse1>.  And make
	  it 4 times 4 seconds. to get gok.  1 time is annoying as hell.
	  Also add the same for <Mouse3> as that may be for a left handed
	  person.

	* gui/modules/dwellmouselistener.c, gui/modules/keymouselistener.c:
	  cleanups to both modules, fix it so that sequences aren't 1
	  longer in the key mouse listener, also don't kill the events.
	  it does kill a lot of real events, especially if we use the mouse
	  events.  We just have to deal with the mouse doing something.
	  We can't decide if it was a gesture until after it was done,
	  which means we're really out of luck.  Fixes #122658

Fri Sep 19 15:34:36 2003  George Lebl <jirka@5z.com>

	* gui/gdmXnestchooser.c, gui/gdmchooser.c, gui/gdmcomm.c,
 	  gui/gdmflexiserver.c, gui/gdmlogin.c, gui/gdmphotosetup.c,
	  gui/gdmsetup.c, gui/greeter/greeter.[ch],
	  gui/greeter/greeter_action_language.c,
	  gui/greeter/greeter_item_pam.c, gui/greeter/greeter_session.c,
	  gui/greeter/greeter_system.c: Use the new ve_hig_dialog_new
	  interface to set the markup flag where appropriate fixing
	  #122683

	* gui/gdmphotosetup.c, gui/gdmsetup.c: convert filenames
	  to utf8 before displaying them.

Fri Sep 19 13:41:37 2003  George Lebl <jirka@5z.com>

	* config/Makefile.am, config/default.desktop.in:  Rename
	  'Default.desktop' to 'default.desktop' for KDM compatibility
	  since default session is now marked by 'default'

	* config/gdm.conf.in: update the path after discussion with
	  the KDM maintainer

	* daemon/gdm.h: update the session path.

	* daemon/slave.c, gui/gdmlogin.c, gui/greeter/greeter_session.c:
	  minor cleanup and make sure that 'Default' gets rewritten
	  to 'default' as it should be.  'default' will actually work
	  with the previous version of gdm so it's quite OK.

	* docs/C/gdm.xml:  Update the session docs to reflect reality,
	  plus some other minor cleanup

	* po/POTFILES.in: s/Default/default/

Thu Sep 18 17:41:25 2003  George Lebl <jirka@5z.com>

	* gui/modules/keymouselistener.c: Fix the parser to use strtok
	  and make it buffer overflow safe.

	* gui/modules/dwellmouselistener.c: skip initial whitespace from
	  service

Thu Sep 18 17:23:21 2003  George Lebl <jirka@5z.com>

	* gui/modules/dwellmouselistener.c: fixed underflow with start
	  position.  Fix the parser to use strtok and make it buffer overflow
	  safe.  Plus various other cleanups and fixes.  Fixes #122616


Thu Sep 18 16:20:07 2003  David Bolter <david.bolter@utoronto.ca>

	* gui/modules/AccessKeyMouseEvents.in: added gok gestures for
	direct mode

	* gui/modules/AccessDwellMouseEvents.in: added a gok gesture for
	dwell mode


Thu Sep 18 16:15:38 2003  George Lebl <jirka@5z.com>

	* configure.in, acconfig.h, daemon/slave.c: apply the SELinux patch,
	  taking care not to break the string freeze.

Thu Sep 18 13:53:37 2003  George Lebl <jirka@5z.com>

	* configure.in: update version

	* daemon/gdm.[ch], daemon/slave.c, gui/gdmlogin.c,
	  gui/greeter/greeter_session.c: treat SessionDesktopDir
	  as a PATH type variable using the first element.  This
	  will allow full interoperability with upcoming KDM
	  without sacrificing backcompat for GDM itself.  Also
	  it will be easier to change the dir in the future
	  this way.

	* config/gdm.conf.in: update for the path stuff

	* docs/C/gdm.xml: update for the path stuff

Thu Sep 18 03:33:44 2003  George Lebl <jirka@5z.com>

	* daemon/gdm.c, daemon/cookie.c: Can't sleep, so re-clean the random
	  stuff.  This time really think about what's happening and document
	  the random tick stuff.  The random tick is now a lot faster too
	  after browsing the MT pseudorandom thing, what we were doing before
	  was just slow (not that slow, we're talking 'too slow for
	  sopwith').  But it was kind of embarrassing I suppose.  I need to
	  think about such code before I use it.  Also really get all the
	  entropy we can get from the current time instead of just around
	  20 lousy bits.  So we need less ticks to get better entropy.

Wed Sep 17 10:14:27 2003  George Lebl <jirka@5z.com>

	* config/gdm.conf.in: the sessions dir is now commented out so that
	  we take the default rather then what's in the file by default.

Fri Sep 12 15:32:07 2003  George Lebl <jirka@5z.com>

	* Release 2.4.4.1

Fri Sep 12 15:29:05 2003  George Lebl <jirka@5z.com>

	* daemon/gdm.c, daemon/cookie.c: a little bit of cleanup in the
	  random number department

Fri Sep 12 14:49:30 2003  George Lebl <jirka@5z.com>

	* configure.in: raise version

	* daemon/gdm-net.c: some cleanup and be utterly strict when
	  creating /tmp/.gdm_socket
	  (note: we were strict before, but now we're really REALLY strict)

	* daemon/gdm.c: disable substituting 'nobody' for 'gdm', what was I
	  smoking when I wrote that?

	* daemon/misc.c: some cleanup and make sure gdm_fdprintf writes all
	  the characters it really needs to write.  Also the ensure extension
	  doesn't append extensions to empty strings.

	* daemon/slave.c: use only one pipe for all the waitpids, since we
	  really don't need more then one and this make code simpler.

	* docs/C/gdm.xml: update

Thu Sep 11 16:11:57 2003  George Lebl <jirka@5z.com>

	* config/gdm.conf.in: add comment about ShowLastSession

	* daemon/gdm.h, daemon/slave.c, daemon/misc.[ch], gui/gdmlogin.c,
	  gui/greeter/greeter_session.c: Work with the session setup
	  as implemented now in KDM.  Doesn't add the built in default,
	  custom, failsafe sessions to the greeters themselves though
	  yet, and doesn't change the default session path (will change
	  to /etc/X11/sessions from /etc/X11/dm/Sessions)

	* daemon/gdm.c: minor cleanup

Tue Sep 02 12:11:39 2003  George Lebl <jirka@5z.com>

	* Release 2.4.4.0

Mon Sep 01 14:01:02 2003  George Lebl <jirka@5z.com>

	* daemon/slave.c: move gdm_verify_cleanup after running of
	  PostSession and touching the home dir.  Home dir may be
	  unmounted in pam_close_session leading to failures when
	  trying to touch the home dir in the PostSession script
	  and in the code that closes the session.

	* daemon/auth.c: fix error output so that bug reports wouldn't
	  point me to the wrong code.

Tue Aug 26 18:06:51 2003  George Lebl <jirka@5z.com>

	* docs/C/gdm.xml: minor update

Tue Aug 26 17:58:46 2003  George Lebl <jirka@5z.com>

	* docs/C/gdm.xml: lots of updates, stylistic and fixing
	  errors, also add ShowLastSession.

	* configure.in: raise version number

	* config/Makefile.am: create log dir correctly

	* README: fixed non-sensical sentence

	* gdm.spec.in: make this work again

Mon Aug 25 16:48:20 2003  George Lebl <jirka@5z.com>

	* Release 2.4.2.102

Mon Aug 25 16:27:09 2003  George Lebl <jirka@5z.com>

	* daemon/slave.c, daemon/errorgui.c, daemon/gdm.h, daemon/display.c:
	  if we can't use the file ~/.xsession-errors, try
	  /tmp/xses-<user>.XXXXXX using mkstemp.

	* docs/C/gdm.xml: update

	* NEWS: update

Mon Aug 25 13:55:09 2003  George Lebl <jirka@5z.com>

	* daemon/gdm.h, daemon/auth.[ch], daemon/xdmcp.c, daemon/server.c:
	  Server auth file now uses FamilyWild and we set up the different
	  access stuff for the user auth file.  Don't add FamilyInternet
	  stuff to the xauth file if we start the server with
	  "-nolisten tcp".  The purging is done right and doesn't
	  mistakenly whack entries we didn't add.

	* NEWS: update

Mon Aug 25 11:13:08 2003  George Lebl <jirka@5z.com>

	* gui/gdmsetup.c: make insensitive the options which make no sense
	  in the security page when actions menu is off.  Partly fixes
	  #120639, the other part can be fixed after UI freeze is off.

	* docs/C/gdm.xml: update the SystemMenu (Actions menu) key
	  description.

Mon Aug 25 10:47:30 2003  George Lebl <jirka@5z.com>

	* daemon/auth.c: if the .Xauthority would be empty, just
	  unlink the file.  That is nicer to systems with quotas.

	* daemon/slave.c: It appears some people are not letting
	  us redirect the ~/.xsession-errors and close the pipe
	  for us and we weren't handling EOF correctly (and ran
	  into a very tight loop then).  This fixes #120580.
	  Also fix select usage, and fix some minor bugs with
	  respect to returns from the read calls.  Also catch
	  and handle the XFSZ signal to avoid abrupt logouts when
	  evil limits are set.

	* docs/C/gdm.xml: updates relating to the ~/.xsession-errors
	  stuff and how to handle the Xsession file.

Fri Aug 22 16:11:15 2003  George Lebl <jirka@5z.com>

	* daemon/misc.[ch], daemon/auth.c, daemon/filecheck.c, daemon/gdm.c,
	  daemon/server.c, daemon/slave.c: construct files properly using
	  g_build_filename, add a utility for this gdm_make_filename if
	  we want to build out of dir, name and extension.  Fixes
	  bug #118040

	* daemon/gdm.c, daemon/slave.c: remove unused variable

Fri Aug 22 13:19:05 2003  George Lebl <jirka@5z.com>

	* AUTHORS: update to be correct UTF-8

Thu Aug 21 14:35:25 2003  George Lebl <jirka@5z.com>

	* docs/Makefile.am, docs/gdm.1: add a very simple man page

Thu Aug 21 14:10:44 2003  George Lebl <jirka@5z.com>

	* daemon/gdm.c: add --version option to fix #120409

Thu Aug 21 14:05:09 2003  George Lebl <jirka@5z.com>

	* gui/gdmsetup.desktop.in: Add System to categories to partly fix
	  #120360.  We can't add Settings as that would break the spec
	  as spec says settings are only for desktop settings and not
	  for system setup.

Wed Aug 20 18:55:06 2003  George Lebl <jirka@5z.com>

	* AUTHORS: update, haven't done so in a while

Wed Aug 20 13:21:48 2003  George Lebl <jirka@5z.com>

	* Release 2.4.2.101

Wed Aug 20 12:13:04 2003  George Lebl <jirka@5z.com>

	* config/gdm.conf.in, daemon/gdm.h: sync some defaults and make
	  lots of keys commented out in the standard config file so that
	  we can change the defaults later without users having to
	  install a new config file.

	* daemon/xdmcp.c, daemon/cookie.c: Use glib's random functions
	  instead of rand where we need those pesky pseudorandom
	  numbers

	* daemon/slave.c: cleanup for greeter restarting

	* daemon/verify-pam.c: a bit of cleanup and set tmp_PAM_USER
	  to login if login is set, just in case pam is weird.

	* gui/gdmsetup.c: when not running from within gdm itself
	  display "ghelp:gdm" on help

	* docs/C/gdm.xml: minor updates

Mon Aug 18 17:33:12 2003  George Lebl <jirka@5z.com>

	* gui/gdmlogin.c, gui/greeter/greeter.c,
	  gui/greeter/greeter_session.c: cleanup and fix the signal blocking,
	  plus abort when we receive a bad opcode since otherwise we pretty
	  much just hang.

	* daemon/auth.c: don't add entries twice

Mon Aug 18 13:56:14 2003  George Lebl <jirka@5z.com>

	* daemon/cookie.c: add more fallbacks in case of /dev/random and
	  friends not being around, also use the last cookie generated in the
	  checksum and spot check the data we get from the files for
	  randomness (for example /dev/audio might just give us zeros), also
	  read 1024 bytes from the files.

Mon Aug 18 11:02:38 2003  George Lebl <jirka@5z.com>

	* daemon/slave.c, daemon/gdm.h, daemon/server.c, daemon/xdmcp.c:
	  To prevent a possible DoS attack where an app might spit out
	  too many warnings on stdout/stderr and thus fill up the users
	  home dir (or when an app is buggy), the output of the session
	  no longer goes directly into .xsession-errors but in fact
	  through an internal pipe.  This way we can just cap the file
	  at some size (currently 80*2500 bytes, which should be long
	  enough for actual use in debugging but it's short enough to
	  prevent a DoS attack)

	* docs/C/gdm.xml: note about the above

	* daemon/cookie.c: skip the first 16megs of /dev/mem only on
	  i386

	* daemon/xdmcp.c, daemon/gdm.[ch], daemon/server.c, daemon/slave.c,
	  daemon/cookie.c: some cleanup with the IGNORE_EINTR macro

Sat Aug 16 08:47:45 2003  George Lebl <jirka@5z.com>

	* daemon/cookie.c: hell we only need 16 bytes of random data from
	  /dev/random, (or /dev/srandom) we don't want to waste kernel
	  entropy.  16 bytes of randomness is all we need.

Fri Aug 15 18:32:54 2003  George Lebl <jirka@5z.com>

	* daemon/auth.c: handle NULL addresses, purge by number and name,
	  not by number and address

	* daemon/auth.c, daemon/gdm.c: Correctly handle out of diskspace
	  errors on auth files and on the PID file

	* daemon/slave.c, daemon/gdm.c: fix the runlevel checking code.
	  It's popen, not fopen.  DOH!

	* daemon/misc.c: use 16 lines of output for text dialogs, since
	  some of the strings we use are quite long.

Fri Aug 15 12:36:30 2003  George Lebl <jirka@5z.com>

	* docs/C/gdm.xml: added more notes on the MIT-MAGIC-COOKIE-1
	  authorization scheme

	* configure.in: raise version

	* daemon/cookie.c: use xor instead of + for the seed since it
	  looks more technical and makes it perhaps a little bit more
	  random (depending on how long 'long' is)

Fri Aug 15 12:14:58 2003  George Lebl <jirka@5z.com>

	* daemon/cookie.[ch], daemon/slave.c, daemon/xdmcp.c, daemon/gdm.c:
	  Add some semi randomness spinners which are spun on somewhat random
	  occasions.  This should add to our entropy a bit especially on
	  systems without /dev/random (20 bytes of semi randomness is added
	  this way).  And try /dev/srandom on openbsd.

	* daemon/cookie.c: don't read the buffer max from /dev/random, but
	  only the required size, the (there's no need to md5 512 bytes of
	  truly random data just to get 16 bytes).  Require 32 bytes from
	  /dev/random (this is what openssl does apparently), also from
	  openssl, /dev/random still sometimes blocks, so set up a select
	  loop for it that waits 10ms at most.  Also try /dev/mem as one of
	  the files in case we can't get enough entropy from /dev/random.

	* daemon/slave.c: some G_UNLIKELY/G_LIKELY code from yesterday
	  that was still uncommitted

	* daemon/auth.c: set egid as well as euid when testing for root
	  squashing

	* gui/gdmXnestchooser.c: add some IGNORE_EINTR

	* gui/gdmchooser.c: make sure the ARRAY8's are initialized
	  to zero so that we don't possibly crash on bad return packet.

Fri Aug 15  Brian Cameron <Brian.Cameron@Sun.COM>

	* daemon/misc.h: Provide a #define for __PRETTY_FUNCTION__
	  for systems where it is not available.

Fri Aug 15 01:59:53 2003  George Lebl <jirka@5z.com>

	* daemon/auth.c: fix possible crash on on purge and redo the
	  purge reopening to be more strict

	* daemon/slave.c: fix some possible fd leaks

	* daemon/gdm.c, daemon/misc.[ch], daemon/slave.c,
	  daemon/xdmcp.c: Implement our own asserts that do
	  gdm_fail

	* daemon/auth.c, daemon/gdm.c, daemon/misc.c, daemon/slave.c,
	  daemon/xdmcp.c, gui/greeter/greeter_events.c,
	  gui/greeter/greeter_parser.c:  Go crazy with G_LIKELY
	  and G_UNLIKELY.  It's 1:50am, I can't sleep and am bored.
	  Might as well do some optimizations.

Thu Aug 14 17:50:30 2003  George Lebl <jirka@5z.com>

	* daemon/auth.c: The UserAuthDir is treated just like /tmp when
	  no tilde expansion is used.  Without that it is kind of useless.
	  Also try to detect a nfs home directory by trying to open file
	  for reading in it as root, and if we can't use the fallback
	  directory.

	* docs/C/gdm.xml:  Update docs for UserAuthDir and add a note about
	  using this with NFS mounted home directories.

	* config/gdm.conf.in: add note about UserAuthDir

Thu Aug 14 14:45:42 2003  George Lebl <jirka@5z.com>

	* gui/greeter/greeter_item.[ch], gui/greeter/greeter_parser.c,
	  gui/greeter/greeter_canvas_item.c, gui/greeter/greeter_events.c:
	  whack the button lookup, we can just setup a "my_button" pointer
	  when parsing avoiding tree traversal up to root on every event

	* gui/greeter/greeter_geometry.c, gui/greeter/greeter_item.[ch],
	  gui/greeter/greeter_parser.c:  Notice that we never use the
	  orig_pixbufs, so we completely whack them, also we try to avoid
	  hitting the disk all the time for pixmaps, if we have already
	  loaded them elsewhere just use a cached copy.  This all won't
	  work right if we would allocate items several times but we never
	  do.  The above change seems to save about 6megs of memory for
	  circles (and other themes with larger pixmaps around)

	* gui/greeter/greeter_item.[ch], gui/greeter/greeter_parser.c,
	  gui/greeter/greeter_canvas_item.c: By clever use of bitfields and
	  reordering the items in the info structure, reduce the size of the
	  info structure by 72 bytes on x86 at least, this saves about 2.5k
	  for the Bluecurve theme.

	* gui/greeter/greeter_events.c, gui/greeter/greeter_item.h,
	  gui/greeter/greeter_parser.c: don't change state for things
	  that don't have the other states defined, and don't do the
	  state change stuff for items that only have the normal state.
	  Saves quite a bit of CPU grinding that was going on for constant
	  updates.

Thu Aug 14 11:36:45 2003  George Lebl <jirka@5z.com>

	* daemon/gdm.h, daemon/slave.c: Save status of the last session
	  process, and use code 66 to mean do not display the "session
	  crashed" error box.  Use the 66 error code from the session
	  code when we know the session has not had problems starting,
	  and where we told the user what was wrong.  Also move
	  parent_exists to avoid compiler warning and assume "once dead,
	  always dead".

Thu Aug 14 09:55:31 2003  George Lebl <jirka@5z.com>

	* gui/gdmlogin.c, gui/greeter/greeter_item_ulist.c: Limit number of
	  users to display at 500, but also limit the time it takes to get
	  them by 5 seconds.  Whatever we can read in 5 seconds we get.

	* gui/gdmsetup.c: similarly as above but cap the number of users at
	  100 since more then that is kind of useless in the combo box.

Wed Aug 13 11:17:15 2003  George Lebl <jirka@5z.com>

	* daemon/slave.c: when the parent process doesn't exist,
	  we die after session ended.  This is a semi decent (not really,
	  but it's simple) way to handle the main daemon crashing.

Wed Aug 13 10:56:52 2003  George Lebl <jirka@5z.com>

	* daemon/misc.c: try /dev/fd (FreeBSD equivalent of /proc/self/fd) as
	  well, and also ignore entries starting with '.', just in case.

Wed Aug 13  Brian Cameron <Brian.Cameron@Sun.COM>

	* acconfig.h, configure.in: add check for fbconsole (fallback
	  (console)
	* daemon/server.c: add call to start fbconsole (if present)
          after the Xserver starts.

Tue Aug 12 17:48:45 2003  George Lebl <jirka@5z.com>

	* daemon/gdm.c: check operating system on startup

Mon Aug 11 09:38:08 2003  George Lebl <jirka@5z.com>

	* docs/C/gdm.xml: whack a doubled paragraph.

Fri Aug 08 17:20:59 2003  George Lebl <jirka@5z.com>

	* docs/C/gdm.xml: fill in missing info in the theme manual

	* gui/greeter/greeter_geometry.c, gui/greeter/greeter_item.h,
	  gui/greeter/greeter_parser.c:
	  respect negative coordinates with "-0", must store the
	  negativity in a flag for that.

	* gui/greeter/greeter_item_pam.c: break all pam messages at
	  50 columns, not just pam-error (actually those are not
	  all pam messages we just call them that)

	* gui/greeter/greeter_parser.c: parse "active" for text
	  items, not just prelight and normal.
	  
	* gui/greeter/greeter_item.c: fix typo in g_warning

Fri Aug 08 09:35:41 2003  George Lebl <jirka@5z.com>

	* Release 2.4.2.100

Thu Aug 07 17:59:25 2003  George Lebl <jirka@5z.com>

	* daemon/gdm.[ch], daemon/slave.c, config/gdm.conf.in: Remove
	  the SessionMaxFile key since it wasn't used anyway (we've killed
	  the GNOME session chooser).  Also fixup the comment on XDMCP
	  enabling.

	* docs/C/gdm.xml: add more comments on security of XDMCP, fixup
	  the screen sections a bit, whack SessionMaxFile entry

Wed Aug 06 17:40:27 2003  George Lebl <jirka@5z.com>

	* gdmsetup-pam: don't use the paths but let pam find modules itself

	* gui/gdmlogin.c, gui/greeter/greeter_item_ulist.c: limit number of
	  users at 100 (rather then 50) where it really becomes bad.  We need
	  to handle this in a nicer way.

	* daemon/xdmcp.c: make the globsessid default to rand() so that they
	  really differ from run to run, rather then just time(NULL).  check
	  tcp wrappers for managed_forward and got_managed_forward (just to
	  be strict), also check tcp wrappers on forward query, the Alive packet
	  now gets sent with real info rather then just whatever keepalive
	  sent us (and thus follows the spec).  Make sure the session id is
	  never zero as that can happen now.  Send at most one unwilling packet
	  per second, and try to defer doing any actual work until after
	  we checked with tcp wrappers.  Also add some more potential
	  debugging.

	* daemon/verify-pam.c: translate the lowercase "username:" and
	  "password:", some modules seem to be using those.

	* daemon/xdmcp.c, gui/gdmchooser.c: if the condition is not new
	  data to be read, don't try to run XdmcpFill

	* docs/C/gdm.xml: more notes on security of XDMCP and using
	  MIT-MAGIC-COOKIE-1 added, plus a section on the TCP Wrappers,
	  though it kind of sucks.

Wed Aug 06 12:05:52 2003  George Lebl <jirka@5z.com>

	* configure.in, docs/C/gdm.xml: update version number

Wed Aug 06 11:39:37 2003  George Lebl <jirka@5z.com>

	* docs/C/gdm.xml: some fixes from my mailspool from like
	  a year ago, plus added section about terminal lab
	  example setups

Wed Aug 06  Brian Cameron <Brian.Cameron@Sun.COM>

	* gui/Makefile.am: Remove any existing gdmXnest symbolic link before 
	  creating the new symbolic link.  Now make install doesn't fail
	  on Solaris when replacing an existing gdm2 install.

Mon Aug 04 15:05:26 2003  George Lebl <jirka@5z.com>

	* daemon/choose.c: fix crash when indirect display expires

	* daemon/gdm.c: call gdm_ensure_sanity on startup as well, seems like
	  a good place to ensure sanity too

	* daemon/xdmcp.c: fix checking auth string, fix debug messages

Mon Aug 04 13:43:29 2003  George Lebl <jirka@5z.com>

	* daemon/misc.c: Fixed #118878 by actually ensuring the /tmp/.ICE-unix
	  permissions.

Mon Aug 04 09:20:06 2003  George Lebl <jirka@5z.com>

	* config/gdm, config/gdm-autologin: Don't include the /lib/security
	  dir for the pam modules and just let pam locate things on its own

	* daemon/errorgui.[ch], daemon/gdm.c, daemon/slave.c: Use the gtk
	  resource file for the greeters in the errorgui to get the same
	  GTK theme going here, instead of gdm run the post session error
	  dialog as the user for whom it is running, and run the post session
	  error dialog before the session stop again since the home dir might
	  not be present after the session stopped.

Fri Aug 01 11:19:50 2003  George Lebl <jirka@5z.com>

	* daemon/gdm.c: the SIGABRT handler cannot use the mainloop as
	  it can never return.

Fri Aug 01 11:06:37 2003  George Lebl <jirka@5z.com>

	* daemon/misc.[ch]: first get initial rlimits and use those
	  when restoring limits.  Should fix errors where root limits
	  are set low and we jack them up uselessly or when someone
	  wants to limit the gdm process.

	* daemon/gdm.c, daemon/slave.c: ignore SIGPWR, restart on
	  SIGXCPU and SIGXFSZ, and cleanly exit on SIGABRT (which
	  could come from glib).  Slave only ignores SIGPWR
	  otherwise since we handle slave crashes properly.  Also
	  print error to the log rather then just debug when child
	  actually crashes, that's an error obviously.

Fri Aug  1 01:51:50 2003  Jordi Mallach <jordi@sindominio.net>

	* gui/gdmcomm.c, gui/gdmphotosetup.c: fix typo. Missed the release...

Thu Jul 31 15:26:41 2003  George Lebl <jirka@5z.com>

	* docs/C/gdm.xml: add the release info as the first paragraph of the
	  preface so that it appears in the HTML and PDF versions

Thu Jul 31 14:43:43 2003  George Lebl <jirka@5z.com>

	* Release 2.4.2.99

Thu Jul 31 13:50:38 2003  George Lebl <jirka@5z.com>

	* daemon/misc.c: unset SIGINT as well in gdm_unset_signals

	* NEWS: update some more

	* docs/C/gdm.xml: fix closing tag

Thu Jul 31 12:58:26 2003  George Lebl <jirka@5z.com>

	* XKeepsCrashing, daemon/verify-pam.c:  update comments

	* daemon/misc.c: fix leaks/crashes in the text message dialog stuff

	* daemon/slave.c: do a chdir as the user id again just for sanity
	  sake

	* gui/gdmlogin.c, gui/greeter/greeter_item_ulist.c: don't load
	  more then 50 users into the user listing.  This should fix
	  random badness happening on large systems using things like NIS
	  (you shouldn't use face browser here anyway)

	* gui/greeter/greeter.c: remove the use of redundant
	  _set_has_separator

	* NEWS: update 

Wed Jul 30 15:21:08 2003  George Lebl <jirka@5z.com>

	* gui/gdmlogin.c, gui/greeter/greeter.c: add gdk_beep to the Username
	  prompt, that way you know you can type.  Useful for blind people,
	  or people that are not watching their screen to see when the
	  computer finished booting.

Tue Jul 29 17:32:35 2003  George Lebl <jirka@5z.com>

	* configure.in: whack the gdk-pixbuf-2.0 req since we're including
	  gtk+ already, this apparently breaks compilation on older systems
	  Also fix the paths and handle case where X installed in
	  /opt/X11R6/bin

Tue Jul 29 16:39:51 2003  George Lebl <jirka@5z.com>

	* configure.in: fix the GNOME_COMPILE_WARNINGS and remove
	  GNOME_COMMON_INIT, fixes #118578

Tue Jul 29 14:35:18 2003  George Lebl <jirka@5z.com>

	* daemon/gdm.c: no need to handle server dead condition specifically
	  for the unhandled case.  The pause call will exit and we'll notice
	  the servpid being 0 and exit.

	* NEWS: update

Tue Jul 29 12:15:54 2003  George Lebl <jirka@5z.com>

	* daemon/display.c, daemon/gdm.c: killall the xdmcp slaves first and
	  then wait for them en-masse.  This should make large xdmcp server
	  much faster when shutting gdm down.  Make races with the waitpid
	  stuff harder to happen.  In the worst case we wait 10 seconds.

	* daemon/misc.[ch], daemon/gdm.c, daemon/slave.c, daemon/server.c
	  daemon/verify-*.c: implement a sleep using select which doesn't
	  stop on signals (it restarts self), which is useful in a whole
	  bunch of places, and also avoids the alarm vs. sleep thing
	  which we were completely forgetting about.

Tue Jul 29 11:10:20 2003  George Lebl <jirka@5z.com>

	* daemon/misc.c: apparently _SC_OPEN_MAX can be ridiculously high
	  sometimes (1024^2 on Linux 2.4 kernel if I understand it right).
	  closing all those FDs can take quite a bit of time.  So 1)
	  use /proc/self/fd/ directory if it exists and 2) limit the
	  maximum fd to 4096 as we really won't be using fds higher then
	  that I don't think.  We'll try an open in that case to see
	  if we are really very high in the number of fds

	* daemon/slave.c: fix xdmcp logins, the servpid will not be set
	  here even if the server is running.  DUH!  Also send XPID 0
	  before killing self just in case when we receive that
	  X died.

Mon Jul 28 16:28:28 2003  George Lebl <jirka@5z.com>

	* docs/C/gdm.xml: fix doc of the gdm User/Group and add
	  a section on this to the Overview.

Mon Jul 28 14:10:12 2003  George Lebl <jirka@5z.com>

	* daemon/gdm.h, daemon/*.c: for all functions for which I found in
	  the manpages that EINTR could be returned on at least some
	  systems, use a new IGNORE_EINTR macro which will ignore the EINTR
	  errno.  This should fix any bugs with signals coming at the
	  wrong times, though that is quite unlikely I'd say.  Apparently
	  SVr4 can return EINTR even for execv which is really strict since
	  EINTR is pretty much useless.  Why can't we all be sane like BSD.

	* daemon/misc.c, daemon/server.c: automatic vars have weird behaviour
	  when using Setjmp, so use static (volatile wouldn't work here if
	  I'm reading the docs right)

Mon Jul 28 10:36:52 2003  George Lebl <jirka@5z.com>

	* confiugure.in, acconfig.h, daemon/slave.c, daemon/gdm.c:  check
	  for sched_yield in the standard lib and then in -lrt, and don't
	  use it if we can't find it.  Also remove its usage from places
	  where we're going to yield the processor very soon anyway.

Mon Jul 28 09:19:38 2003  George Lebl <jirka@5z.com>

	* configure.in: Fix #118404, we don't need TCP Wrappers if compiling
	  without XDMCP

	* gui/gdmlogin.c, gui/greeter/greeter_item_timed.c: Apply patch from
	  Steve Chaplin to fix use of some deprecated functions #118361

	* config/Xsession.in: remove the 'no zenity' message and add an echo
	  when starting the failsafe session, even though in that case it's
	  unlikely there is a .xsession-errors unless something went wrong

Sat Jul 26 21:04:21 2003  Christophe Merlet  <redfox@redfoxcenter.org>

	* gui/gdmphotosetup.desktop.in: Fixed a little typo.

Sat Jul 26 01:47:40 2003  George Lebl <jirka@5z.com>

	* daemon/display.c, daemon/gdm.c: the waitpid function doesn't work
	  as I expected with respect to signals so emulate it with either
	  sleep or pause and then a WNOHANG waitpid.  Also kill the
	  XKeepsCrashing thing if we get a SIGTERM, SIGINT or SIGHUP,
	  just like with the slaves.  The slaves are now killed at least
	  once in 10 seconds in case they are hanging somewhere.

	* daemon/gdm.c: set up a TERM/INT handler for the first few moments,
	  which will kill the extra process if any in addition to exiting.

	* daemon/misc.c: fix the gdm_signal_default to use SIG_DFL and
	  not SIG_IGN, doh! and fix extra_process check a little

	* daemon/server.c, daemon/slave.c: fix server start race that
	  could result in the USR1 to not set SERVER_RUNNING, and fix
	  slave not to try to open the display again if the server
	  is gone.

Fri Jul 25 19:01:11 2003  George Lebl <jirka@5z.com>

	* daemon/gdm.c: minor cleanup of main

	* daemon/gdm.c, daemon/server.c, daemon/misc.c, daemon/slave.c,
	  gui/gdmlogin.c, gui/greeter/greeter.c, gui/gdmchooser.c:
	  unification of some error messages to make translations simpler,
	  plus fixing bug #56654 finally hopefully by removing programmer
	  references from translatable strings

	* daemon/slave.c, daemon/misc.[ch], daemon/gdm.c: new functions
	  for ignoring or resetting to DFL of signals using sigaction.
	  In the main daemon ignore SIGPIPE and SIGUSR1, in the slave
	  ignore SIGPIPE and SIGUSR1 and set the mask before the setjmp.
	  also we just unmask some signals now instead of masking
	  everything. 

	* daemon/slave.c: accept DISPLAY_GREETERFAILED from a greeter

	* gui/gdmlogin.c, gui/greeter/greeter.c: return DISPLAY_GREETERFAILED
	  on bad failures.

Fri Jul 25 17:46:11 2003  George Lebl <jirka@5z.com>

	* daemon/slave.c: fix C99/C++ism that gcc no longer warns about,
	  anywhere declarations C++ style

	* daemon/gdm.c: when reading with %02x use unsigned int

	* daemon/gdm-net.[ch]: the connection close_notify should be of
	  type GDestroyNotify

Fri Jul 25 17:09:52 2003  George Lebl <jirka@5z.com>

	* daemon/verify-pam.c: apparently pam can be on crack and so the
	  best and apparently most theoretically portable (to different
	  module configs) way of handling the face browser is by resetting
	  the pam handle after a user has been selected.  This works just
	  as well and we dump any possibly dangerous state from the pam
	  handle's previous invocation of pam_authenticate.

Fri Jul 25 16:31:24 2003  George Lebl <jirka@5z.com>

	* daemon/gdm.c:  Fix updating the gdm_main_pid, which fixes gdm_fail
	  that is done after daemonification.

	* daemon/gdm.c, daemon/misc.c, daemon/verify-pam.c: Fix debian bug
	  194613 by adding an option --no-console which ignores the [servers]
	  section.  An empty [servers] section implies --no-console.  In this
	  mode the console will not be used (so no opening of text dialogs on
	  virtual terminals which just screws up XDMCP only headless servers)

	* daemon/slave.c: always send XPID after server_stop unless of course
	  we're just about to exit

	* docs/C/gdm.xml: add documentation of command line options

Fri Jul 25 13:06:49 2003  George Lebl <jirka@5z.com>

	* daemon/display.c, daemon/gdm.c: if child crashed (died of a signal)
	  then log the signal if debug is on

	* daemon/gdm.h, daemon/server.c, daemon/slave.[ch]:  The X server
	  quite apparently emits a USR1 on re-init so catch that (apparently
	  I was not seeing this before as USR1 seems to have been blocked
	  during the fun times.)

	* demon/server.c: on exit from an XDMCP display whack all clients
	  to support broken X terminals

	* daemon/slave.c: whack the \n's from some of the GUI messages as
	  that's not needed anymore with gtk2 and in fact sometimes
	  can look bad.

	* daemon/slave.c: run session_stop before the 10 second session
	  warning and don't run the warning if the server is dead

	* daemon/veriy-pam.c: don't return uninit value if we don't
	  open session or delete secred, return PAM_SUCCESS

	* daemon/gdmthemetester: add -terminate to command line so that
	  I don't keep getting thousands of Xnest windows on my screen

Fri Jul 25 03:32:48 2003  George Lebl <jirka@5z.com>

	* daemon/display.c: whack unneeded block pushes, when killing child
	  rekill if we get a SIGTERM, if the slave crashes during unmanage
	  kill its children.

	* daemon/gdm.c, daemon/slave.c: use sched_yield at the right places
	  where we expect the other process to do work.

	* daemon/gdm.c, daemon/slave.c, daemon/server.c, daemon/misc.c:
	  handle interrupts on writes/reads and use PIPE_BUF to limit
	  size of buffer to send in run_pictures and fix a fd leak

	* daemon/server.c: fix select call usage

	* daemon/slave.c, daemon/server.c: reset the SIGUSR1 to SIG_IGN
	  rather then to default to avoid a crash when the server sends
	  SIGUSR1 on re-init

	* daemon/slave.c: avoid XIOErrors when possible by properly closing
	  the display on normal quick exits.  Also set session_started much
	  later in the session_start as we don't really need it until
	  quite a bit later

	* daemon/verify-pam.c: have flags for did_setcred and opened_session
	  so that we only delete credentials and close session if we have
	  set credentials and opened session respectively

	* gui/greeter/greeter_item_ulist.c: split the doubleclick message
	  onto two lines as it's quite long and looks messy as one line.

Thu Jul 24 17:40:09 2003  George Lebl <jirka@5z.com>

	* gui/gdmgreeter.c: fix build on systems without PIPE_BUF
	  but with _PC_PIPE_BUF

Thu Jul 24 16:41:25 2003  George Lebl <jirka@5z.com>

	* docs/C/gdm.xml: update the version information on top

	* configure.in: bump version number

Thu Jul 24 16:40:07 2003  George Lebl <jirka@5z.com>

	* gui/gdmlogin.c, gui/greeter/greeter.c: fixed comment so that it
	  shows up for the translators

	* docs/C/gdm.xml: fixed the art.gnome.org link added a link to the
	  GDM website, ran through a spellchecker, whacked the last vestiges
	  of iconification feature mentions and added MinimalUID mention
	  next to Exclude in the overview.

	* README: update a bit

Thu Jul 24 14:58:23 2003  George Lebl <jirka@5z.com>

	* daemon/gdm.c, daemon/slave.c, daemon/auth.c: change some
	  g_strconcat's to g_build_filename's to address #118040.
	  still more need to be converted

	* gdm.spec.in, daemon/gdm.h, config/gdm.conf.in, config/Makefile.am,
	  configure.in: By default use logdir of /var/log/gdm just
	  like redhat does it

	* daemon/gdm.c: check logdir to exist and if not set it to
	  ServAuthDir

	* gdm.spec.in, daemon/gdm.c, config/Makefile.am:  Make the
	  ServAuthDir permissions to be 1770 with ownership root.gdm.
	  That makes it impossible for the gdm user to run DoS attacks
	  against the gdm daemon (though without any process limits set
	  it can still somewhat do that)

	* daemon/slave.c, daemon/display.c, daemon/gdm.c, daemon/misc.c,
	  daemon/server.c: Hunt more races and hangs.  Make sure we really
	  don't do anything bad in signal handlers by making a setjmp
	  at the beginning of the slave_start function and returning
	  there from signal handlers to do final cleanup kind of stuff.
	  Also when we are receiving TERM signals while waiting on stuff
	  to die, be very un-nice to things and SIGKILL them.  Also stop
	  using sleep if we might be using alarm at the same time.

	* daemon/display.c: whack non-useful signal block push on unmanage,
	  and if we get a TERM signal while waiting on the slave, then send
	  a TERM signal to the slave again.

	* daemon/errorgui.c: set USER, USERNAME and LOGNAME to "gdm" so that
	  they don't end up root by some mistake

	* daemon/slave.c: Use home of root rather then /root for the home
	  directory of gdmsetup.  Also if we can't change to the home
	  directory chdir to / instead of leaving it at servauthdir.
	  Be strict about COOKIEs in the logfile.  Also when things go
	  just a bit wrong and not completely whacko, don't ABORT but
	  just REMANAGE, the toplevel loop of death will handle things
	  for us correctly.  And setsid a very close to the start of
	  the session to avoid a race ABORTing a display by mistake.

	* daemon/slave.c: make the PostLogin behave just like PostSession
	  with respect to the return value

	* daemon/verify-pam.c: avoid races on termination with the
	  verify_cleanup and handle some cases where crashes may (but
	  should not) occur.

	* daemon/gdm.c: whack unneeded signal blockers (the main daemon
	  is all async with a nice mainloop)

	* gui/gdmchooser.c: handle HUP gracefully, when one of the
	  config options we care about changes just restart self
	  instead of 

	* gui/gdmlogin.c, gui/greeter/greeter_item_ulist.c: make
	  the username bold

	* docs/C/gdm.xml: update the PostLogin behaviour and the permissions
	  on the ServAuthDir

Wed Jul 23 15:13:33 2003  George Lebl <jirka@5z.com>

	* Release 2.4.2.98

	* docs/Makefile.am: fix for distcheck

Wed Jul 23 14:29:53 2003  George Lebl <jirka@5z.com>

	* gui/greeter/greeter.c: whack some debug messages

	* daemon/display.c, daemon/gdm.[ch], daemon/slave.c: open a pipe
	  for the internal message connection rather then using the fifo.
	  Use the fifo only as backup.  This way we 1) reduce damage gdm
	  user can cause 2) make things faster, no need to open
	  and close the fifo on disk 20 times for each login.

	* daemon/gdm.c: add close notifies for the main connections and
	  NULL the connection pointer when that happens

	* daemon/display.c, daemon/slave.c, daemon/server.c,
	  daemon/misc.[ch], daemon/errorgui.c: The close_all_descriptors
	  now takes 2 exception arguments, since we need to keep 2 fd's
	  open for slaves now.

	* daemon/gdm-net.c: fix gdm_connection_open_fd (some copy/paste
	  typos were present)

	* daemon/slave.c: don't run session_stop unless we already ran
	  session_start, and cleanup send_chosen_host to use gdm_slave_send,
	  also wrap the xioerror in gdm_in_signal as it could be

Wed Jul 23 11:41:16 2003  George Lebl <jirka@5z.com>

	* daemon/misc.c: raise the cache time of gethostbyaddr/name to 60 seconds
	  and catch TERM/HUP/INT signals during this time and whack the host
	  resolution when we catch these.  This way it is possible to SIGTERM
	  the gdm daemon during a hanging resolution call.  Fixes issues from
	  #109331

Tue Jul 22 18:15:51 2003  George Lebl <jirka@5z.com>

	* daemon/slave.c: use pause() instead of select with all
	  zero arguments.  Also fix select usage in loop in
	  slave_waitpid

	* daemon/gdm.[ch], daemon/slave.c, gui/gdmlogin.c
	  gui/greeter/greeter.c, gui/greeter/greeter_configuration.h,
	  gui/greeter/greeter_item_pam.c, gui/greeter/greeter_session.[ch]:
	  Remove the commented out gnome session chooser stuff

	* gui/gdmlogin.c, gui/greeter/greeter_item_pam.c,
	  gui/greeter/greeter_item_timed.[ch],
	  gui/greeter/greeter_session.c:  Fix running timed login
	  on empty enter.

Tue Jul 22 15:05:41 2003  George Lebl <jirka@5z.com>

	* gui/greeter/greeter_canvas_item.c: set justification according to
	  the anchor.  If the anchor centers the text, center it, etc...

Tue Jul 22 14:31:25 2003  George Lebl <jirka@5z.com>

	* daemon/auth.c, daemon/slave.c, daemon/server.c:
	  Set XAUTHORITY to GDM_AUTHFILE always for root processes.
	  Also make sure not to set it if it's NULL already.

	* daemon/auth.[ch], daemon/slave.c, daemon/server.c: use
	  XSetAuthority instead of XAUTHORITY env var as that is
	  more failsafe

	* daemon/errorgui.c: set the DISPLAY and use XSetAuthority
	  instead of relying on XAUTHORITY/DISPLAY being set right
	  (which they not always are).  Also cleanup the dialog
	  startup a bit.

	* daemon/slave.c, daemon/errorgui.c: chmod the authfile
	  to 640 before a session and back to 644 afterwards.  This
	  reduces the risk from gdm user breakage.  In case someone
	  breaks the gdm user they can't connect to existing
	  user sessions, only new ones.

	* daemon/misc.h, daemon/server.c, daemon/slave.c: redo the
	  re-init stuff.  Don't close the display before we re-init
	  and then do a nice setjmp hack to notice when the server
	  got re-inited.  This avoids races, avoids an extra process
	  for figuring out the re-init and as icing on the cake it
	  is also about 4-5 seconds faster to re-init not (and the
	  server is re-inited just once instead of thrice which
	  might have been causing some X server whackiness)

	* daemon/server.c: be careful in the log directory as well
	  when opening files and do safer moves there as well
	  for the rotation.

	* daemon/slave.c: whack the stupid extra XOpenDisplay,
	  this is apparently only a workaround for some whacky
	  streams X server connection which we don't support.
	  And this takes up quite a bit of time on startup
	  it turns out.  Also related we'll set the cursor
	  to pointer before we fork so that we don't need to
	  do yet another XOpenDisplay.  This speeds up startup
	  yet some more.

	* daemon/slave.c: when reading the session .desktop file
	  _get it rather then _new it so that we do less reading/parsing
	  on session startup.

	* daemon/slave.c: some cleanup of session ends

Mon Jul 21 15:36:48 2003  George Lebl <jirka@5z.com>

	* docs/GdmGreeterThemeManual.txt: removed since this is now in
	  the XML documentation

Mon Jul 21 13:45:31 2003  George Lebl <jirka@5z.com>

	* docs/C/gdm-C.omf: add.  I forgot to add this to CVS :)

Mon Jul 21 12:24:01 2003  George Lebl <jirka@5z.com>

	* config/Xsession.in: eek, it's /dev/null, not dev/null

	* daemon/misc.[ch], daemon/gdm.c, daemon/slave.c:
	  Fix #117527, get the root user name from the passwd info
	  rather then assuming it's "root".

	* configure.in: fix #117895, when --with-xinerama=no, don't
	  do the xinerama checks and just don't use xinerama

	* daemon/slave.c:  Fix counting bugs in gdm_in_signal to
	  fix hangs

	* daemon/slave.c: Fix the waiting for notify when
	  inside the usr2 signal handler.

	* daemon/gdm.c, daemon/slave.c: Redo the waitpid mess and
	  just use a pipe and select kind of stuff.  Also remove
	  the greeter restarts from within signal handlers as we
	  can just do it now by popping out of the select and doing
	  it there.  This fixes a bunch of races and hangs related
	  to doing too many things from signal handlers.  Also
	  don't do waitpid from the main daemon for slaves children
	  as it won't work anyway and kill the entire process groups.

	* daemon/slave.c: fix the waiting code in focus_first_x_window

	* gui/gdmlogin.c: fix the clock sensitivity issues by twiddling
	  the sensitive flags on the clock menuitem directly.  Should
	  fix theme ugliness issues with the clock.

	* config/Xsession.in: Apply patch from Steve Chaplin
	  <stevech1097@yahoo.com.au> to fix #117898 to add $0
	  to all the echo messages in this file to make debugging
	  easier.

Sun Jul 20 14:34:42 2003  George Lebl <jirka@5z.com>

	* gui/gdmlogin.c: add mnemonics to _Username: and _Password: by a
	  somewhat of a hack.

	* gui/gdmlogin.c, config/gdm.conf.in, daemon/gdm.h:  The
	  iconification feature was broken, instead of fixing it, I just
	  removed it since it was kind of stupid anyway.

	* daemon/misc.c: include xdmcp.h

	* docs/C/gdm.xml: remove the documentation for the Icon key, and
	  add a better blurb in the [servers] description.

Sun Jul 20 12:36:06 2003  George Lebl <jirka@5z.com>

	* gui/gdmlogin.c, gui/greeter/greeter_action_language.c,
	  gui/greeter/greeter_system.c, gui/greeter/greeter_session.c:
	  Fix some keynav issues from #117776.  Add mnemonics where possible,
	  change some strings to be more HIGgy and such.

	* gui/greeter/greeter_parser.c, gui/greeter/gdmthemetester:
	  Scale fonts when screen with is less then 800 by PANGO_SCALE_SMALL
	  and if they are less then 640 by PANGO_SCALE_X_SMALL.  This should
	  make small displays be usable, though this is kind of a hack.
	  There should be some scaling info in the theme rather then this.
	  Also add ability to test different display sizes to theme tester,

	* docs/C/gdm.xml: update

Sun Jul 20 11:01:01 2003  George Lebl <jirka@5z.com>

	* gui/gdmsetup.c: mention the GDM manual in the help dialog box.
	  Connecting to the manual is a bit harder since this is usually
	  running as root or on the GDM screen

	* gui/gdmchooser.(c|glade): Fixed most issues from #117784, there is
	  proper keynav, the add button is sensitive only when there is
	  something to add, the messages are shortened a bit to make the
	  interface saner and not have the window change sizes, buttons
	  are reordered, and hostnames in the list are now bold.  Also
	  cap status text at max of 256 chars for sanity of display (maybe
	  should be shortened even more).

	* configure.in: raise version to 2.4.2.98

Sun Jul 20 08:59:19 2003  George Lebl <jirka@5z.com>

	* docs/C/gdm.xml: fix docbook errors

Sat Jul 19 16:40:55 2003  George Lebl <jirka@5z.com>

	* docs/C/gdm.xml: update the way the years in the copyright are done

Sat Jul 19 16:33:19 2003  George Lebl <jirka@5z.com>

	* docs/C/gdm.xml, configure.in, docs/C/Makefile.am,
	  docs/Makefile.am, xmldocs.make, omf.make: update the
	  documentation a lot and install the docs.  Yay!  We
	  have actual documentation now!!!

	* daemon/misc.c: add sys/time.h and sys/resource.h includes
	  (from looking at the FreeBSD patches)

	* daemon/slave.c: pass LOGIN_SETENV as well to setusercontext
	  (from looking at the FreeBSD patches)

	* gui/gdmsetup.c: fix gccism, and look for the chown/chmod command
	  (from looking at the FreeBSD patches)

	* gui/gdmphotosetup.c: add signal.h include
	  (from looking at the FreeBSD patches)

	* configure.in, utils/Makefile.am:  When the security/pam_misc.h is
	  available also test for where the misc_conv function is as it seems
	  to be sometimes compiled into the main libpam (FreeBSD for example)
	  (from looking at the FreeBSD patches)

	* config/Default.in, config/Xsession.in, config/(Pre|Post)Session.in,
	  config/XKeepsCrashing: don't use command -v and use which properly.
	  And avoid stderr from which

	* utils/gdmaskpass.c: use GETTEXT_PACKAGE here

	* configure.in, utils/gdmtranslate.c, utils/Makefile.am,
	  config/XKeepsCrashing, config/Xsession.in, config/Makefile.am:
	  Add gdmtranslate libexec proggie since gettext command is not
	  always installed apparently (non-developer machines) so we
	  can't rely on it existing.  Also do translations from the
	  Xsession script

	* gui/gdmlogin.c, gui/greeter/greeter_system.c: Fix #117504 by
	  changing the tooltip to be more informative

	* gui/greeter/greeter_system.c: Fix warnings when not all
	  system dialog possibilities are present

	* Makefile.am, greeter.c, greeter.dtd, greeter_configuration.h,
	  greeter_item.[ch], greeter_item_customlist.[ch],
	  greeter_parser.[ch], greeter_system.c:  Add listitem (proposed
	  as customitem to the release-team) tags that can be inside
	  a list and thus create custom widgetry.  At this point all
	  custom widgetry that can be done is a list to pick from but
	  this should be possible to extend for some future releases.
	  This custom info is then written to a per display file
	  to use from login scripts or elsewhere.  While I was there
	  I fixed leaks and crashes when the parser would find parse
	  errors.

	* docs/C/gdmconfig/*, docs/C/gdm.sgml, docs/C/gdm-manual.txt:
	  remove everything here as it was old and unused and outdated.

2003-07-19  Christian Neumair  <chris@gnome-de.org>

	* gui/gdmchooser-strings.c, gui/gdmsetup-strings.c: Use english
	Glade comment, non-ASCII characters may cause weird gettext/intltool
	behavior.

Thu Jul 17 10:43:07 2003  George Lebl <jirka@5z.com>

	* configure.in: require libart 2.3.13 which fixes the crash I was
	  seeing

Wed Jul 16 15:12:22 2003  George Lebl <jirka@5z.com>

	* Release 2.4.2.97

Wed Jul 16 15:09:43 2003  George Lebl <jirka@5z.com>

	* NEWS, README, README.install: updates

	* daemon/display.c, daemon/gdm.c, daemon/xdmcp.c: Fix current session
	  counting.  Could possibly raise the maximal session count.  Also
	  rename the sessions and pending vars to xdmcp_sessions and
	  xdmcp_pending.  During shutdown don't close xdmcp stuff if it's not
	  enabled.  Close xdmcp if enabled on all possible forks from the
	  main daemon.  Don't quit the main loop from the child handling
	  callback as it's not needed

	* daemon/xdmcp.c: complain to the log file if limits are reached

	* daemon/slave.c: in the slave child handler, make sure the euid
	  is set to 0 so that we can really kill things we want to kill

Tue Jul 15 15:54:14 2003  George Lebl <jirka@5z.com>

	* docs/GdmGreeterThemeManual.txt, gui/greeter/Makefile.am,
	  gui/greeter/greeter.dtd, gui/greeter/themes/circles/circles.xml.in,
	  gui/greeter/themes/happygnome/happygnome.xml.in,
	  gui/greeter/themes/happygnome-list/happygnome.xml.in:  Remove
	  the translations from the .xml.in files (they are now processed
	  by intltool needlessly).  These were not used anyway, we are
	  using stock labels here.  Perhaps people will this way stop putting
	  translated labels inside the themes if they can use stock labels.
	  Also this improves loadup speed a bit as it reduces the average
	  theme xml size from about 25k to about 5k.  Also whack the id
	  timed-rect as it's not used and kill it from the dtd as it's bogus.
	  Update the theme manual adding the userlist and whacking
	  pam-warning which does not exist and other minor fixes and
	  additions.

Tue Jul 15 13:04:26 2003  George Lebl <jirka@5z.com>

	* daemon/verify-pam.c: reset limits in cleanup

Tue Jul 15 11:11:01 2003  George Lebl <jirka@5z.com>

	* gui/Makefile.am: add EXTRA_CHOOSER_LIBS to LIBS for gdmchooser

Tue Jul 15 11:08:31 2003  George Lebl <jirka@5z.com>

	* configure.in: check for needing to link in libsocket and libnsl

Tue Jul 15 11:07:57 2003  George Lebl <jirka@5z.com>

	* configure.in, gui/Makefile.am, gdmchooser.(c|glade): Whack
	  GnomeIconList and replace with GtkTreeView as in the other
	  browsers.  Fixes among other things connecting to the wrong
	  host (Why someone has NOT seen this bug before is a mystery
	  to me, but the chooser was definitely not usable for more
	  then a few hosts and then only if they responded in
	  alphabetical order).  Thanks to Niall Power for spotting this
	  bug.  Also clean up the glade file a bit and don't compile
	  with libgnome/ui anymore.

	* gui/gdmlogin.c, gui/gdmsetup.c,
	  gui/greeter/greeter_action_language.c,
	  gui/greeter/greeter_canvas_item.c:  Add the rules hint for
	  lists since it looks cooler and seems easier to browse to me.

	* NEWS: update

Mon Jul 14 16:44:19 2003  George Lebl <jirka@5z.com>

	* daemon/misc.[ch], daemon/slave.c: Fix #97774 by resetting the
	  rlimits back to infinity after we fork the user session.

	* config/gdm.conf.in, daemon/gdm.h: The default for
	  AlwaysRestartServer is now again false, since it turns out to be
	  a LOT nicer with buggy X servers (and it turns out quite a lot of
	  people have these).

	* daemon/slave.c: properly guess the failsafeness of a session and
	  don't re-guess it again

	* daemon/slave.c: when under the influence of rlimits never
	  ABORT a display since it really could just be that we're hitting
	  stupid limits (definitely set way too low).

	* daemon/slave.c, daemon/server.c, daemon/misc.c: Be extra careful
	  about when to reset signals to avoid races (unlikely though they
	  may be)

Mon Jul 14 12:04:13 2003  George Lebl <jirka@5z.com>

	* config/XKeepsCrashing, config/extract-shell.sh: Fix RH #84247 by
	  checking for gettext first.  We could perhaps require bash here
	  though and use $""

	* daemon/server.[ch], daemon/slave.c: don't twiddle around with the
	  lock files, reading them or whatnot, just whack them and also whack
	  the unix socket, safer and simpler.

Mon Jul 14 11:24:06 2003  George Lebl <jirka@5z.com>

	* daemon/server.[ch], daemon/slave.c: XFree86 is an wanker and doesn't
	  wipe it's lockfile sometimes apparently (well obviously it won't if it
	  crashed or some such), so if we find a stale lock file after we
	  kill the server, whack the lock file.  Should address #114003 and
	  redhat #90014

	* daemon/misc.c: be very careful when approaching lockfiles in the
	  /tmp directory

Fri Jul 11 14:31:20 2003  George Lebl <jirka@5z.com>

	* daemon/errorgui.c, daemon/server.c, daemon/slave.c:
	  using /tmp as failsafe for HOME seems on second thought patently
	  bad for security.  Use ServAuthDir for gdm processes and / again
	  for user and server.

	* daemon/errorgui.c: Use GtkTextView for the details file display.
	  this be much nicer to CPU/network traffic if the details file is
	  big (GtkLabel is BAD for displaying 500 lines of text quite
	  apparently).  Also fixup encoding conversion issues, and use
	  checkbox instead of a button.

	* gui/greeter/greeter.[ch], gui/greeter/greeter_item_pam.c:
	  update the use of login protocol to sync with gdmlogin

	* daemon/misc.[ch], daemon/auth.c, daemon/gdm.c, daemon/slave.c:
	  be extra careful even in users home dir and in ServAuthDir when
	  opening files.  Not a huge deal but prevents some possible
	  damage if someone gains the gdm user access somehow.

	* daemon/misc.c: fix minor memleak on conversion errors

	* gui/modules/dwellmouselistener.c, gui/modules/keymouselistener.c:
	  fix compiler warnings.

	* daemon/server.c: support XFree86 version 4 logfile format

	* config/XKeepsCrashing: For XFree86 v4 it's possible that X puts its
	  log not on the command line but into a file, so ask if that
	  should be viewed as well.

	* daemon/gdm.c: whack the stored_path stuff and just restore
	  to the initial env before re execing, also restore env when
	  we launch XKeepsCrashing

	* utils/gdmopen.c: on linux set TERM=linux otherwise the fonts
	  just may not work right

	* NEWS: update

Thu Jul 10 17:12:40 2003  George Lebl <jirka@5z.com>

	* daemon/auth.c, daemon/errorgui.c, daemon/gdm.c, daemon/misc.c,
	  daemon/server.c, daemon/slave.c: use the ve_ versions of the
	  environment funcs and use ve_config instead of gnome_config,
	  and thus killing the libgnome dependency.  The ve-config
	  functions are faster, I trust them more, saner in API and
	  definitely don't leak any memory to children.

	* gui/gdmchooser.c, gui/gdmlogin.c,
	  gui/greeter/gui/greeter/greeter_canvas_item.c
	  gui/greeter/greeter_item_capslock.c,
	  gui/greeter/greeter_parser.c:  Use the ve_ versions of
	  the environment funcs and ve_config instead of gnome_config,
	  also the use the ve version of the language list function
	  and hand implement the LC_NUMERIC locale push.

	* configure.in, daemon/Makefile.am, gui/Makefile.am,
	  gui/greeter/Makefile.am:  Link against the right ve libs
	  and don't link to libgnome(ui) / glade where not needed

Thu Jul 10 14:33:59 2003  George Lebl <jirka@5z.com>

	* gui/gdmsetup.desktop.in: This is a system SETUP tool, not a system
	  tool so change System keyword to SystemSetup, also add
	  X-Red-Hat-Base, so that it shows up in the non-others menu (This
	  should have been done the other way around IMO, no keyword means
	  it goes in the main menu) </rant>  Fixes bug #116977

	* daemon/gdm.h, config/gdm.conf.in: sync the defaults for Exclude
	  and add pcap user to excludes

Tue Jul 08 01:42:43 2003  George Lebl <jirka@5z.com>

	* gui/gdmsetup.glade: the DisallowTCP checkbox label is now more
	  clear as to what it does

Tue Jul 08 01:38:34 2003  George Lebl <jirka@5z.com>

	* daemon/gdm.[ch], daemon/slave.c, daemon/display.c:  If a greeter
	  crashes within 10 seconds of the display being managed, we assume
	  it's unusable, pop up a dialog box and run a different greeter,
	  and next time try the old one over again.  This is mostly in
	  place to catch gdmgreeter crashing (such as currently on my
	  system with a libart bug).  The user can then run the setup and
	  select a different greeter or try to reinstall or upgrade
	  or whatever.  Better then a flickering display.

Tue Jul 08 01:07:08 2003  George Lebl <jirka@5z.com>

	* daemon/auth.c: minor leak fixes in case auth file writes fail

	* gui/gdmsetup.c: properly unref the size group

	* configure.in, NEWS: raise version, add NEWS

Mon Jul 07 18:13:34 2003  George Lebl <jirka@5z.com>

	* gui/modules/dwellmouselistener.c,
	  gui/modules/keymouselistener.c:  Error dialogs are not warnings,
	  and should have OK and not CLOSE.  Not quite HIG, but closer.

Mon Jul 07 18:04:21 2003  George Lebl <jirka@5z.com>

	* configure.in, gui/greeter/Makefile.am: compile gdmgreeter with
	  viciousui (adds also libgnomeui, though we don't use it) (ugh!)

	* gui/gdmXnestchooser.c, gui/gdmchooser.c, gui/gdmcomm.c,
	  gui/gdmflexiserver.c, gui/gdmlogin.c, gui/gdmphotosetup.c,
	  gui/gdmsetup.c, gui/greeter/Makefile.am, gui/greeter/greeter.[ch],
	  gui/greeter/greeter_action_language.c,
	  gui/greeter/greeter_item_pam.c, gui/greeter/greeter_session.c,
	  gui/greeter/greeter_system.c: HIGify as many message dialogs
	  as possible.  Buttons now make more sense, ordering is HIGgy,
	  and all such good stuff.

Mon Jul 07 15:42:44 2003  George Lebl <jirka@5z.com>

	* daemon/misc.c, gui/gdmXnestchooser.c: the display check code was
	  wrong, it only used the tcp connections.  Which are the most robust
	  way, but we also really need to check the lock file.

Mon Jul 07 12:41:21 2003  George Lebl <jirka@5z.com>

	* gui/gdmsetup.(c|glade), gui/gdmcomm.c, gui/gdmphotosetup.c: Change
	  so that messages in the .po files do not contain unnecessary
	  markup.  Fixes #101794 and #101795

	* config/Makefile.am: make the /etc/X11/dm dir if it doesn't exist
	  fixes #116836

Thu Jul 03 14:57:38 2003  George Lebl <jirka@5z.com>

	* daemon/errorgui.c: the details file is read first, capped at 500
	  lines, and so now we can run the errorbox as the gdm user meaning
	  no more gtk code as root.

	* daemon/gdm.h, daemon/misc.[ch], daemon/xdmcp.c, daemon/slave.c,
	  daemon/auth.c: Apparently gethostbyaddr can return a dot in the
	  name field meaning unknown host which is kind of bad, so handle
	  that.  In fact make our own saner gdm_gethostby{addr,name} that
	  handle such cases and cache last result for 5 seconds.  This way we
	  do a lot less dns lookups since we used to do 1 or 2 (or even 3)
	  per every xdmcp packet (if tcpwrappers were on).  Also instead of
	  resolving ip to name and back to ip, keep the list of addresses of
	  the host in the display structure.  This all should speed up
	  XDMCP in general and fix XDMCP for places without proper DNS.

	* daemon/errorgui.c, daemon/slave.c, daemon/server.c: /tmp is a much
	  better choice for fallback HOME then / and /bin/sh is a much better
	  fallback then /bin/bash.

2003-07-02  Jordi Mallach  <jordi@sindominio.net>

	* gui/*.desktop.in: Fix Terminal entries and add StartupNotify
	support where appropriate.

2003-06-30  Mohammad DAMT  <mdamt@bisnisweb.com>

	* po/id.po: Added Indonesian translation
	* configure.in: Added "id" to ALL_LINGUAS

2003-06-28  Dafydd Harries  <daf@parnassus.ath.cx>

	* configure.in: Added cy (Welsh) to ALL_LINGUAS.

Thu Jun 26 12:01:55 2003  George Lebl <jirka@5z.com>

	* configure.in, docs/Makefile.am, Makefile.am: actually include the
	  docs dir in the tarball and redo the .96 release (doh!)

Thu Jun 26 11:43:26 2003  George Lebl <jirka@5z.com>

	* Release 2.4.2.96

Thu Jun 26 08:48:35 2003  George Lebl <jirka@5z.com>

	* gui/gdmlogin.c: after setting the label on select, resize login box

Wed Jun 25 18:18:46 2003  George Lebl <jirka@5z.com>

	* NEWS, configure.in: prepare for .96

	* daemon/verify-crypt.c: remove unused var

Wed Jun 25 15:38:29 2003  George Lebl <jirka@5z.com>

	* configure.in, config/gdm.conf.in: Fix some typos pointed out by Ali
	  Akcaagac <aliakc@web.de>

	* daemon/errorgui.[ch]: fix a bug with yes/no dialog return and add
	  several button dialog type.  run the dialogs with gdm privileges
	  and not root.  All except the full error with details file.

	* daemon/display.c: turn some info's back into debugs 

	* daemon/getvt.[ch], daemon/gdm.c: push the vt changing stuff into
	  getvt, though it's still a hack

	* daemon/slave.c, daemon/gdm.[ch], config/gdm.conf.in,
	  daemon/verify-*.c: add a double login warning question.  This asks
	  if the user still wants to log in.  If on console and there is
	  another login on a console the user can return to a previous login.
	  Can be turned off by daemon/DoubleLoginWarning=false.  For this
	  we needed notify ack response and a QUERYLOGIN SOP protocol entry.

	* daemon/slave.c: set DESKTOP_SESSION as well as GDMSESSION

	* daemon/verify-pam.c: don't refer to the /etc/pam.d/ dir since
	  that's linux-pam specific

	* daemon/gdm.[ch]: add ALL_SERVERS command which returns all the
	  displays on the system similarly to CONSOLE_SERVERS except it
	  does not return any vt information and returns even remote
	  and non-console xnest servers

2003-06-16  Frederic Crozat  <fcrozat@mandrakesoft.com>

	* gui/greeter/greeter_session.c: (greeter_session_init):
	don't use file name from session name.

Thu Jun 12 16:27:47 2003  George Lebl <jirka@5z.com>

	* gui/gdmflexiserver-xnest.desktop.in, gui/gdmflexiserver.desktop.in,
	  gui/gdmphotosetup.c, gui/gdmphotosetup.desktop.in, 
	  gui/gdmsetup.desktop.in, gui/gdmsetup.glade:  Fix #85543 by
	  changing the .desktops to call gdm Login Screen and not GDM.  Also
	  update corresponding window titles.

Thu Jun 12  Diego Gonzalez <diego@pemas.net>

	* gui/greeter/greeter_session.c (greeter_session_init): initialize sessnames 
	  hash table to avoid crash upon start.

Thu Jun 12 15:51:47 2003  George Lebl <jirka@5z.com>

	* daemon/verify-shadow.c, daemon/verify-crypt.c: fix compilation and
	  face browser for non-pam setups

Thu Jun 12 12:28:49 2003  George Lebl <jirka@5z.com>

	* gui/greeter/greeter_parser.c: Allow empty label text

Wed Jun 11 16:04:02 2003  George Lebl <jirka@5z.com>

	* configure.in, daemon/gdm.h, config/gdm.conf.in: Sync defaults into
	  with the header file.  Add comment about the gtk modules stuff
	  and make it default to what you'd normally have for accessibility
	  (though it doesn't add them by default).  The gdm.h defaults to
	  no modules though.  Also if we can't find an X server, default
	  to the Linux setup so that the beast at least builds.

	* docs/Makefile.am: actually include the theme document, DUH!

Wed Jun 11  Brian Cameron <Brian.Cameron@Sun.COM>

	* configure.in, config/gdm.conf.in: Fixed setting of DefaultPath and
	RootPath so it works properly.  Properly export X_SERVER_PATH in
	configure.in.

Wed Jun 11 09:13:50 2003  George Lebl <jirka@5z.com>

	* daemon/gdm.c: add ifdefs around the change_to_first_and_clear since
	  that's a linux only function.  Fixes compilation on non-linux.

Wed Jun 11  Brian Cameron <Brian.Cameron@Sun.COM>

	* config/CDE.desktop.in, config/Makefile.am: Add support for
	logging into CDE sessions.

Tue Jun 10 16:54:04 2003  George Lebl <jirka@5z.com>

	* Release 2.4.2.95

	* config/Makefile.am: dist fixes

Tue Jun 10 16:47:59 2003  George Lebl <jirka@5z.com>

	* daemon/slave.c: Fix the session setup, and get rid of the quoting
	  unquoting badness.  Also fix a race in the focus_first_x_window
	  function

	* daemon/gdm.c: ensure that the GdmXsession is set to something

Tue Jun 10 16:04:40 2003  George Lebl <jirka@5z.com>

	* daemon/slave.c:  It is silly to have a secret argument.  The
	  script can already get the session .desktop from the GDMSESSION
	  environmental variable, so there's no reason to pass it.

Tue Jun 10 15:57:39 2003  George Lebl <jirka@5z.com>

	* daemon/slave.c, config/Xsession.in: Change the argument to the
	  Xsession to be the Exec= line of the .desktop and not the .desktop,
	  that was kind of silly in retrospect.  We still pass the desktop,
	  but it's kind of secret since I don't want people to depend on this
	  second argument.  Also update the comments inside the Xsession
	  to reflect what's really going on.

Tue Jun 10 09:59:44 2003  George Lebl <jirka@5z.com>

	* configure.in: remove removed files from the generated files list

Tue Jun 10 09:23:16 2003  George Lebl <jirka@5z.com>

	* config/Default.desktop.in, config/Xsession.in, config/Makefile.am:
	  Apparently I can't read.  The original discussion actually
	  mentioned what I thought "Xclients" are and named it "default".
	  Also there is the "custom" type, but there is no .desktop for that

	* daemon/slave.c: actually compile

Mon Jun 09 17:12:04 2003  George Lebl <jirka@5z.com>

	* daemon/slave.c: if Exec=failsafe exec the internal xterm failsafe
	  session.

Mon Jun 09 17:01:27 2003  George Lebl <jirka@5z.com>

	* daemon/slave.c, gui/gdmphotosetup.c: use $HOME/.face by default

	* daemon/slave.c: when no home dir, try /tmp as the home and not /

	* config/*, daemon/gdm.[ch], gui/gdmlogin.c,
	  gui/greeter/greeter.c, gui/greeter/greeter_action_language.c,
	  gui/greeter/greeter_configuration.h,
	  gui/greeter/greeter_session.[ch]:  Rework the session setup as
	  discussed with Oswald Buddenhagen, the kdm maintainer.   Now the
	  sessions are .desktop files and we have one happy Xsession file
	  which parses that .desktop file and runs the appropriate command.
	  Also store preferences such as last session and language in .dmrc.
	  The session desktops are now in /etc/X11/dm/Sessions since they can
	  be shared by kdm as well in the future.  The setup needs a bit
	  more tuning I think and it's not all tested.  Also remove the
	  GNOME chooser session stuff while I was at it.

Mon Jun 09  Brian Cameron <Brian.Cameron@Sun.COM>

	* gui/modules/keymouselistener.c: Fixed bug that caused the
	keymouselistener to get into a broken state that would cause
	applications to freeze.

Sun Jun 08 23:49:28 2003  George Lebl <jirka@5z.com>

	* configure.in, acconfig.h, daemon/verify-pam.c: Add patch
	  from Brian Cameron to fix #106537 (at lest the default/login
	  thing).  That is read some solaris preference file when logging
	  in.

Fri Jun 06 19:07:22 2003  George Lebl <jirka@5z.com>

	* docs/GdmGreeterThemeManual.txt:  Update a bit on theme creation and
	  the .desktop file and add notes about gdmthemetester

Fri Jun 06 16:41:47 2003  George Lebl <jirka@5z.com>

	* gui/gdmlogin.c: I should check if things compile, shouldn't I

Fri Jun 06 16:39:17 2003  George Lebl <jirka@5z.com>

	* daemon/errorgui.c, gui/gdmXnestchooser.c, gui/gdmchooser.c,
	  gui/gdmcomm.c, gui/gdmflexiserver.c, gui/gdmlogin.c,
	  gui/gdmphotosetup.c, gui/gdmsetup.c, gui/greeter/greeter.c,
	  gui/greeter/greeter_action_language.c, gui/greeter/greeter_item_pam.c,
	  gui/modules/dwellmouselistener.c, gui/modules/keymouselistener.c:
	  Dialogs have no separators.  Makes them look at least a bit closer
	  to HIG

Fri Jun 06 13:05:14 2003  George Lebl <jirka@5z.com>

	* daemon/filecheck.[ch], daemon/slave.c, daemon/auth.c: add another
	  argument to the file check to silence warnings about some missing
	  dirs where it is ok for them to be missing (in "run_pictures")

	* daemon/slave.c, daemon/gdm.c: On Linux detect the runlevel, and if
	  the runlevel is 0 or 6 after session stops (and we weren't started
	  in 0 or 6) then wait 30 seconds after the session stops.  This
	  should fix login coming up again when the user selected reboot
	  or halt from the logout menu.  Also when we do reboot or shutdown
	  ourselves on linux, change to vt1, clear the screen and print a nice
	  message about it, otherwise the shutdown/reboot looks kind of
	  bad I think.

Fri Jun 06 11:21:44 2003  George Lebl <jirka@5z.com>

	* daemon/gdm.h, gui/gdmlogin.c, gui/greeter/greeter.c,
	  gui/greeter/greeter_item_capslock.[ch]: add a query for the capslock
	  state in the greeter

	* daemon/verify-*.c: fix #71496 by checking the capslock state
	  before telling the user that he should make sure it's off.  Also
	  only say "invalid username or password" if we actually did ask for
	  a password, else the message would be silly indeed (note that
	  the check if we did ask for password is a silly hack, but the
	  verify-pam.c code is a large set of silly hacks and as such it's
	  ok to add yet another one)

Fri Jun 06 09:43:39 2003  George Lebl <jirka@5z.com>

	* gui/gdmsetup.(c|glade): attempt at hig-ifying the xdmcp page

Thu Jun 05 13:26:09 2003  George Lebl <jirka@5z.com>

	* config/gdm.conf.in, daemon/gdm.h, gui/gdmlogin.c,
	  gui/gdmsetup.(c|glade), gui/greeter/greeter_item.c,
	  gui/greeter/greeter_pareser.c, gui/greeter/greeter.c
	  gui/greeter/greeter_configuration.h:  Use the Welcome label in
	  the greeter (as long as the stock welcome string was used),
	  Add RemoteWelcome for XDMCP sessions.  Change default of Welcome
	  to just plain "Welcome".  Move the welcome string setup to the
	  main property page in the setup since it now affects both greeters.

	* gui/gdmsetup.(c|glade): the first page of the properties needed
	  some size group love

Thu Jun 05 11:37:19 2003  George Lebl <jirka@5z.com>

	* daemon/xdmcp.c, daemon/auth.c, daemon/display.c, daemon/errorgui.c,
	  daemon/gdm.c, daemon/server.c, daemon/slave.c: Fix #56654 by removing
	  programmer references out of translatable strings

	* gui/gdmsetup.glade, gui/greeter/greeter_session.c
	  gui/greeter/greeter_system.c:  An attempt at getting at least
	  a little bit closer to the HIG specification.

	* gui/gdmlogin.c, gui/greeter/greeter_system.c, gui/gdmsetup.glade,
	  config/gdm.conf.in, gui/greeter/themes/*/*.xml.in:
	  The system menu is renamed to "Actions" since that's a lot more
	  appropriate

	* gui/greeter/greeter_system.c: Applied patch from Mihael Vrbanec
	  <Mihael.Vrbanec@stud.uni-karlsruhe.de> to activate the action if
	  you double click on the radio button.

Wed Jun 04 17:34:22 2003  George Lebl <jirka@5z.com>

	* daemon/verify-pam.c: Fix some issues from bug #106537.  don't
	  ever set RUSER and only set RHOST if not a console login.  Fix
	  leaks in the conversation functions on error.

	* daemon/verify-pam.c: Translate a bunch of common pam messages (I
	  got some from strings pam_unix.so)

	* daemon/verify-*.c: change "Password: " to "Password:", that space
	  didn't make sense

Wed Jun 04 16:30:38 2003  George Lebl <jirka@5z.com>

	* daemon/gdm.h, daemon/slave.c, daemon/verify-*.c, daemon/verify.h:
	  The pam setup now asks for the username itself.  This is
	  accompanied by a set of hacks to make this actually work and
	  make it work with the browsers.  Add a select user interrupt,	
	  since user selection is now done differently.  Also support
	  the username changing during the pam_authenticate as it apparently
	  can.  Also fix the authenticate sleep delay to not be done if
	  we have interrupted.

	* config/gdm.conf.in, daemon/gdm.[ch], daemon/misc.[ch],
	  daemon/verify-*.c: Kill the LocalNoPasswordUsers since it won't
	  work with the new pam setup

	* gui/gdmlogin.c, gui/greeter/greeter.[ch],
	  gui/greeter/greeter_item_ulist.c, gui/greeter/greeter_item_pam.[ch]:
	  Update to the new protocol for the new pam setup.  Also replace the
	  standard greeter browser with a tree view based browser just like
	  in the graphical greeter.

Wed Jun 04  Brian Cameron <Brian.Cameron@Sun.COM>

	* docs/GdmGreeterThemeManual.txt: Added theme docs.

Wed Jun 04 10:53:21 2003  George Lebl <jirka@5z.com>

	* gui/gdmchooser.(c|glade), gui/gdmwm.c: after 3 seconds of no
	  response print an error message if a host was just added.  If the
	  host sent back an unwilling, print an error message as well saying
	  that.  Also fix centering and the initial size of the chooser.

Tue Jun 03 13:56:24 2003  George Lebl <jirka@5z.com>

	* config/gdm.conf.in, daemon/gdm.h: change ScanTime default to 4,
	  which really coincides with the fact that we scan 3 times in
	  2 second intervals.  Maybe I should just whack this config thing,
	  it is eminently stupid for this to be configurable.

	* gui/gdmchooser.c: when we press refresh whack the select_addr,
	  so that it doesn't get selected on refresh since by now that
	  may be irrelevant.  Also if an addr is already in the query
	  list, don't readd it.

Tue Jun 03 13:37:31 2003  George Lebl <jirka@5z.com>

	* gdm.spec.in, configure.in, utils/Makefile.am, daemon/server.c,
	  daemon/misc.c, daemon/gdm.c, config/XkeepsCrashing:
	  whack gdmmktemp since it wasn't being used, move gdmaskpass and
	  gdmopen to libexec since that's where they really belong

	* daemon/gdm.h, config/gdm.conf.in, gui/gdmchooser.(c|glade): add an
	  "Add" entry and button so that, we can add random hosts by typing
	  their name.  Add chooser/AllowAdd config key (default to true)
	  that controls if this is available.  Also fix up the updating of
	  the icon list.  it was incredibly evil and rebuilt the list each
	  time a host packet came in, this compounded with the fact that
	  we were pinging 3 times (at least the broadcast to which everyone
	  answers).  Also make this run fairly sanely outside of GDM,
	  so that you can really just run it from anywhere if you really
	  wish (mostly for debugging, though I imagine some other uses might
	  pop up).

Tue Jun 03 11:11:20 2003  George Lebl <jirka@5z.com>

        * gui/greeter/greeter_item.[ch], gui/greeter/greeter_parser.c:
          whack subtype, though read it from "legacy" xml files into "type"
          (as long as type was "system"), also add a "config" stock label
          if someone really wanted to do a config button.  If the type
          is now config, halt, reboot, suspend or chooser, automatically
          check if SystemMenu is enabled, which avoids the whole subtype
          nonsense.
 
        * gui/greeter/greeter.dtd:  Update for the above and also add the
          stock labels for config and chooser

Tue Jun 03 10:41:03 2003  George Lebl <jirka@5z.com>

	* gui/greeter/greeter.dtd: update the DTD for the chooser stuff.
	  Also the type/subtype stuff was wrong (it is all kinds of wrong
	  really, this should be changed).

Fri May 30 12:02:59 2003  George Lebl <jirka@5z.com>

	* gui/gdmchooser.c: just do exit rather then gdm_main_quit, since that
	  might possible have issues and we can really just exit cleanly.

	* daemon/slave.c: if we can't start the chooser, we could still maybe
	  start the greeter if this was just a temporary thing, so just
	  remanage

	* daemon/gdm.[ch], daemon/display.c: Rework the loop of death thing.
	  it was really really broken.  It wasn't catching 5 sessions in 90
	  seconds, but 5 consecutive sessions 90secs or less, which is wrong.
	  So this is fixed and raised to 6 sessions in 90 secs, none of them
	  over 30 secs.  Also the sleep time is now 8 seconds ONLY after 2
	  tries which makes the chooser normally pop up faster.  Also the
	  DISPLAY_RUN_CHOOSER thing resets the loop of death since we are
	  expecting a short session.  Also if the loop of death is caught,
	  no longer abort the display but wait 2 minutes before starting
	  again.  This way a malicious local user at an internet cafe can't
	  whack gdm into disabling the local display.

Fri May 30 09:40:31 2003  George Lebl <jirka@5z.com>

	* daemon/server.c: when there is a query in the command line,
	  don't add the -nolisten tcp even if DisallowTCP is on, also don't
	  add this when not resolving flags (it would make no sense to
	  query something over tcp and disallow listening tcp at the
	  same time)

	* config/gdm.conf.in: add note about DisallowTCP not working when
	  the server is in query mode

Fri May 30 08:50:28 2003  George Lebl <jirka@5z.com>

	* gui/greeter/greeter_system.[ch], gui/greeter/greeter_canvas_item.c:
	  The F10 menu for the entry is now better, removed the System entry
	  and just whack the system menu in there, that's a lot nicer,
	  also add a tooltip to the entry that tells about the F10 menu.

Fri May 30  Brian Cameron <Brian.Cameron@Sun.COM>

	* configure.in, config/Default.in, config/PreSession.in,
	config/PostSession.in: Now Default, PreSession and PostSession
	are built using .in files so that we can properly set the
	PATH on Solaris.

Thu May 29 17:38:56 2003  George Lebl <jirka@5z.com>

	* config/gdm.conf.in: update the default config for the new
	  chooser server flag by adding another example server setup
	  and add ChooserButton key.  Also use @X_SERVER@ for the terminal
	  server setup

	* daemon/display.c, daemon/gdm.[ch], daemon/server.[ch],
	  daemon/slave.c:  Add a server "chooser=true" flag which will
	  make the daemon run a chooser instead of a greeter.  Also
	  if the greeter returns with a DISPLAY_RUN_CHOOSER, then run
	  the chooser for one session.  Also add notification stuff
	  for the ChooserButton option.  Note that this doesn't need
	  XDMCP to be running locally.

	* daemon/slave.c: if the chooser is closed exit with
	  DISPLAY_REMANAGE

	* gui/gdmsetup.(c|glade): add the ChooserButton key

	* gui/gdmlogin.c, gui/greeter/greeter.c,
	  gui/greeter/greeter_configuration.h, gui/greeter/greeter_item.c,
	  gui/greeter/greeter_parser.c, gui/greeter/greeter_system.c:
	  Add the "Run XDMCP chooser" button to the system menus here,
	  and allow a chooser button in the greeter.

	* gui/greeter/greeter_system.c: Fix the second SUSPEND exit status
	  usage to the suspend interrupt.  Add toolips to the system menu
	  radiobuttons (these should not be radiobuttons! but I'm too lazy to
	  change that now), also add mnemonics here

Wed May 28  Brian Cameron <Brian.Cameron@Sun.COM>

	* config/Makefile.am: Install PostLogin file to the postlogindir
	directory rather than the postdir.  This was causing make install
	to fail.

Tue May 27 08:52:20 2003  George Lebl <jirka@5z.com>

	* gui/gdmlanguages.c: add the utf8 translation for belarussian.

Mon May 19 14:42:23 2003  George Lebl <jirka@5z.com>

	* gui/greeter/greeter_system.c, gui/greeter/greeter_session.c, 
	  gui/greeter/greeter_action_language.c: make OK the default action
	  to make pressing Enter work as expected

	* gui/greeter/greeter_session.c: if there are too many sessions
	  to fit on screen add a scrollbox to fix #104120

Mon May 19 13:56:52 2003  George Lebl <jirka@5z.com>

	* gui/gdmsetup.glade: Fix #104757 by adding a scrolled window to the
	  theme preview thingie.  This way if the theme description is too
	  big the window doesn't change size.

Mon May 19 13:03:57 2003  George Lebl <jirka@5z.com>

	* gui/gdmphotosetup.c: do the face browser warning only if gdmlogin
	  is selected for both greeters

	* config/gdm.conf.in: add nfsnobody to Exclude

	* gui/gdmXnestchooser.c: when direct is on and we're looking
	  at the local server don't check indirect key for being on

	* gui/greeter/Makefile.am, gui/greeter/greeter.c,
	  gui/greeter/greeter_canvas_item.c,
	  gui/greeter/greeter_configuration.h,
	  gui/greeter/greeter_item.h, gui/greeter/greeter_item_pam.c,
	  gui/greeter/greeter_parser.c,
	  gui/greeter/greeter_item_ulist.[ch]:
	  Based on a patch from Patrizio Bruno <desertconsulting@firenze.net>,
	  add face browser support by adding a list item, this list item
	  should have id of "userlist" and it will be populated with
	  the users just like the gdmlogin browser.  When a user name is
	  selected (either by typing it in or selecting in the list) it
	  will be always selected in the list as well (which should make
	  some people happy).  I think we should use this kind of browser
	  in gtklogin as well, because it is much cooler.

	* gui/greeter/greeter.dtd: update DTD for the list item

	* configure.in, gui/greeter/themes/happygnome-list/*,
	  gui/greeter/themes/Makefile.am: Add a happygnome theme
	  with a face browser using the new list item

Fri May 16 20:46:43 2003  George Lebl <jirka@5z.com>

	* gui/gdmlanguages.c, config/locale.alias: added Malaylam, Marathi
	  and Oriya languages

	* gui/gdmlogin.c, gui/greeter/greeter_system.c: fix #105923 by
	  changing the "Configure..." item to "Configure the login
	  manager..."

	* utils/gdmopen.c: fix the -l option to actually work right

	* daemon/slave.c: fix Redhat #91031 by prepending the dash
	  to the command rather then replacing the command with a dash
	  when running the shell.  This was contributed by
	  mlblandf@sedona.intel.com (Michael Blandford)

	* config/gdm.conf.in, daemon/gdm.h: change PingInterval to
	  PingIntervalSeconds

	* daemon/gdm.[ch], daemon/slave.c: update DisallowTCP properly

	* daemon/slave.c: set GDMSESSION before running PreSession

	* daemon/misc.c: fixed warnings and an uninitialized var use

2003-05-15 Brian Cameron <Brian.Cameron@Sun.COM>

	* configure.in: Updated to add AccessDwellMouseEvents.in reference.
	* gui/modules/Makefile.in: Updated to add dwell listener references.
	* gui/modules/AccessDwellMouseEvents.in
	gui/modules/dwellmouselistener.c: Added a gestures listener for
	dwell events (cursor motion only).
	* gui/modules/AccessKeyMouseEvents.in gui/modules/keymouselistener.c:
	Minor cleanup.

Thu May 15 02:17:55 2003  George Lebl <jirka@5z.com>

	* gui/gdmlogin.c, gui/greeter/greeter_system.c,
	  daemon/gdm.[ch], daemon/slave.c: add a suspend interruption
	  and a SOP command.  The greeter interrupts, the slave notices
	  and proxies with a SOP command to the master which suspends.
	  perhaps a bit too complex ...  Fixes #108700

	* daemon/slave.c, daemon/gdm.[ch], config/gdm.conf.in,
	  config/PostLogin, config/Makefile.am:  Add a PostLogin script
	  which is run right after login before any user setup is done
	  and allows things like home mounting and stuff.  Should
	  address issues from bug #103258

	* daemon/gdm.c, daemon/slave.c, gui/gdmlogin.c,
	  gui/greeter/greeter.c, gui/gdmphotosetup.c:  Fix #106207 by
	  proper use of 'than' rather than 'then'

	* daemon/gdm.[ch], daemon/server.c, gui/gdmsetup.(c|glade),
	  config/gdm.conf.in: Add a security/DisallowTCP setting which
	  will append -nolisten tcp to X server command line always,
	  and make this the default.  Fixes #87291

Tue May 13 17:00:16 2003  George Lebl <jirka@5z.com>

	* daemon/slave.c, daemon/gdm.h, config/gdm.conf.in,
	  docs/C/gdm.(xml|sgml):  PingInterval is now in seconds.  It really
	  makes no sense in minutes, I mean who wants to use a connection
	  which hangs for several minutes, that makes no sense.  This
	  fixes a whole bunch of bugs, among others #103266

	* gui/gdmsetup.glade, gui/gdmsetup.c: add some accessibility stuff,
	  change the ping interval label to say seconds and not minutes,
	  and add "Delete theme" button which fixes #110302

Tue May 13 12:22:45 2003  George Lebl <jirka@5z.com>

	* gui/gdmsetup.c: when more then 50 users don't put them all in the
	  combo boxes, this is a semi-solution to #111830

	* daemon/verify-shadow.c: Apply patch from cschelcher@free.fr to fall
	  back to standard password when shadow is not available.  Apparently
	  fixes NIS stuff, but I really think people should be using pam,
	  but I digress.  Fixes #109765

	* daemon/auth.c, daemon/misc.c, daemon/server.c, daemon/slave.c:
	  use strerror instead of g_strerror as that returns always UTF-8
	  and we want current locale.  We already assume strerror is on
	  the system so this is not a portability issue anyway.  Fixes
	  #106655

	* utils/gdmopen.c: apply patch from Owen Taylor to fix #106656
	  by not deallocating the vt after we are done as apparently this
	  is what open does and the kernel has a fit otherwise anyway.
	  It's braindead, but oh well, this is the way it apparently works
	  right.

	* daemon/gdm.c: apply patch from Owen Taylor to fix #106657
	  by setting TEXTDOMAIN to GETTEXT_PACKAGE rather then PACKAGE
	  before running scripts

	* utils/gdmopen.c, daemon/misc.c: Apply patch from Owen Taylor
	  to fix #106658, but fix it portably by adding the -l
	  option to gdmopen as suggested by Owen.  So all gdmopens
	  we do are now using login shells which makes me wonder if we
	  should just build that into gdmopen, since it's a special
	  purpose utility anyhow.

2003-05-08 Brian Cameron <Brian.Cameron@Sun.COM>

	* gui/greeter/greeter.dtd: Updated so it is no longer
	out of date.  Patch provided by Aidan.Butler@Sun.COM.

2003-05-08  Abel Cheung  <maddog@linux.org.hk>

	* gui/gdmlanguages.c: Fix traditional Chinese language name.

2003-05-06  Guntupalli Karunakar  <karunakar@freedomink.org>

	* configure.in: Added "hi" to ALL_LINGUAS.

2003-05-06  Danilo Šegan  <dsegan@gmx.net>

	* configure.in: Added "sr" and "sr@Latn" to ALL_LINGUAS.

Mon May 05 13:33:28 2003  George Lebl <jirka@5z.com>

	* gdm.spec.in: fixup files list and lang stuff

	* config/Makefile.am: fixup link creation (don't use absolute name)

2003-05-02 Brian Cameron <Brian.Cameron@Sun.COM>

	* gui/modules/keymouselistener.c, gui/modules/AccessKeyMouseEvents.in
	Now the keymouselistener does not use grabs, so there is less
	opportunity for conflict with other programs (like the registryd).
	Now duration and timeout is specified in ms rather than seconds,
	which allows more flexibility.  Duration values of 0 to indicate
	a keypress of any length is now supported.

2003-04-30 Niall Power <Niall.Power@Sun.COM>

        * configure.in config/gdm.conf.in gui/Makefile.am gui/gdmlogin.c
          po/POTFILES.in
         Added Files: gui/modules/AccessKeyMouseEvents.in, 
         gui/modules/Makefile.am, gui/modules/keymouselistener.c
 	 Added a keyboard/mouse button gesture listener. This is a gtk
         module that is configurable by editing AccessKeyMouseEvents
         in ($sysconfdir)/gdm/modules

2003-04-30  Laurent Dhima <laurenti@alblinux.net>

	* configure.in: Added 'sq' to ALL_LINGUAS.

2003-04-10 Niall Power <Niall.Power@Sun.COM>

	* config/gdm.conf.in, daemon/gdm.c, daemon/gdm.h daemon/slave.c,
	  docs/C/gdm.xml: Add support for launching gdmlogin/gdmgreeter
	  with a configurable list of gtk modules. Needed for accessibility.
	  Adds two new options to gdm.conf: "AddGtkModules" (boolean) and
	  "GtkModulesList" (string).

2003-04-09 Niall Power <Niall.Power@Sun.COM>

	* acconfig.h, configure.in: Detect Xsun xinerama and Xdmcp on 
	  Solaris. Patch by Brian Cameron <Brian.Cameron@Sun.COM>
	* config/gdm.conf.in: set Xserver paths correctly for both 
	  XFree86 and Xsun. Patch by Brian Cameron (Brian.Cameron@Sun.COM)
	* daemon/slave.c, gui/Makefile.am gui/gdmwm.c: added Xinerama 
	  support for Solaris/Xsun platforms.

2003-03-15  Ross Golder <ross@golder.org>

	* config/locale.alias, gui/gdmlanguages.c: Sorted into proper
	  alphabetic order. (fixes #106293)

2003-03-13  Christian Rose  <menthos@menthos.com>

	* configure.in: Added "ml" to ALL_LINGUAS.

Wed Mar 05 15:11:49 2003  George Lebl <jirka@5z.com>

	* configure.in, daemon/Makefile.am, gui/Makefile.am,
	  gui/greeter/Makefile.am, utils/Makefile.am,
	  vicious-extensions/Makefile.am, daemon/slave.c, daemon/choose.c:
	  Fix Solaris build, a patch from Niall Power <Niall.Power@Sun.COM>

2003-03-03  Ross Golder <rossg@golder.org>

	* gui/gdmlanguage.c, config/locale.alias: Added language support
	  for these languages - Mongolian, Indonesian, Kannada, Hindi
	  Bengali, Belarusian, Bosnian, Welsh, Persian, Interlingua,
	  Albanian, Serbian, Yiddish and Panjabi.

Fri Feb 28 12:32:37 2003  George Lebl <jirka@5z.com>

	* config/gdm.conf.in: hmmm xdmcp/PingInterval was not present
	  here so add

Fri Feb 28 12:29:51 2003  George Lebl <jirka@5z.com>

	* config/gdm.conf.in, daemon/gdm.h: raise DisplaysPerHost to default
	  to 2.

2003-02-26  Pablo Saratxaga  <pablo@mandrakesoft.com>

	* configure.in: Added Walloon (wa) to ALL_LINGUAS

2003-02-26  Taneem Ahmed  <taneem@eyetap.org>

	* configure.in: Added "bn" to ALL_LINGUAS.

2003-02-21  Roozbeh Pournader  <roozbeh@sharif.edu>

	* configure.in: Added "fa" back after fixing the bug.

2003-02-18  Christian Rose  <menthos@menthos.com>

	* configure.in: Disabled "fa" as it's broken and breaks the
	build.

2003-02-18  Roozbeh Pournader  <roozbeh@sharif.edu>

	* configure.in: Added "fa" to ALL_LINGUAS.

2003-02-17  Sanlig Badral  <badral@chinggis.com>

	* gui/gdmlanguage.c, config/locale.alias: Added Mongolian

2003-02-16  Kjartan Maraas  <kmaraas@gnome.org>

	* daemon/verify-crypt.c: Fix typo in comment.
	* daemon/verify-pam.c: Same.
	* daemon/verify-shadow: Here too.
	
2003-02-13  Ross Golder <rossg@golder.org>

	* configure.in, gui/gdmlanguage.c, locale.alias: Added Thai
	  language support.

Mon Feb 03 09:18:01 2003  George Lebl <jirka@5z.com>

	* Release 2.4.1.3

Mon Feb 03 09:16:10 2003  George Lebl <jirka@5z.com>

	* daemon/md5.[ch]: Fix redhat bug #83334 by applying a modified
	  patch from Matt Wilson.  Basically use guint32 instead of
	  our own type.  This fixes cookie generation (and likely crashes)
	  on non-alpha 64bit platforms.  Has 0 effect on non-64 bit
